chromium (117.0.5938.149-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-5346: Type Confusion in V8. Reported by Amit Kumar.

 -- Andres Salomon <dilinger@debian.org>  Tue, 03 Oct 2023 19:31:26 -0400

chromium (117.0.5938.132-2) unstable; urgency=high

  * d/patches/fixes/v8-compressed-ptrs.patch: fix another armhf FTBFS.

 -- Andres Salomon <dilinger@debian.org>  Sun, 01 Oct 2023 15:46:49 -0400

chromium (117.0.5938.132-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-5217: Heap buffer overflow in vp8 encoding in libvpx.
      Reported by Clément Lecigne of Google's Threat Analysis Group.
    - CVE-2023-5186: Use after free in Passwords. Reported by [pwn2car].
    - CVE-2023-5187: Use after free in Extensions. Reported by Thomas Orlita.
  * d/patches:
    - bookworm/i386-lock-free.patch: add to fix i386 build failure.

 -- Andres Salomon <dilinger@debian.org>  Thu, 28 Sep 2023 00:41:20 -0400

chromium (117.0.5938.92-1) unstable; urgency=high

  * New upstream stable release.
  * Enable NEON on armhf. See
    <https://lists.debian.org/debian-devel/2023/09/msg00175.html>.
  * Add check in d/rules & chromium wrapper to ensure we don't build or
    run on non-NEON armhf machines.

 -- Andres Salomon <dilinger@debian.org>  Wed, 27 Sep 2023 01:00:07 -0400

chromium (117.0.5938.62-1~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon]
  * New upstream stable release.
    - CVE-2023-4900: Inappropriate implementation in Custom Tabs.
      Reported by Levit Nudi from Kenya.
    - CVE-2023-4901: Inappropriate implementation in Prompts.
      Reported by Kang Ali.
    - CVE-2023-4902: Inappropriate implementation in Input.
      Reported by Axel Chong.
    - CVE-2023-4903: Inappropriate implementation in Custom Mobile Tabs.
      Reported by Ahmed ElMasry.
    - CVE-2023-4904: Insufficient policy enforcement in Downloads.
      Reported by Tudor Enache @tudorhacks.
    - CVE-2023-4905: Inappropriate implementation in Prompts.
      Reported by Hafiizh.
    - CVE-2023-4906: Insufficient policy enforcement in Autofill.
      Reported by Ahmed ElMasry.
    - CVE-2023-4907: Inappropriate implementation in Intents.
      Reported by Mohit Raj (shadow2639) .
    - CVE-2023-4908: Inappropriate implementation in Picture in Picture.
      Reported by Axel Chong.
    - CVE-2023-4909: Inappropriate implementation in Interstitials.
      Reported by Axel Chong.
  * d/copyright: drop rust, llvm, siso, & cargo binaries.
  * d/patches:
    - fixes/size.patch: drop, merged upstream.
    - fixes/variant.patch: drop, merged upstream.
    - fixes/vector.patch: drop, merged upstream.
    - upstream/contains.patch: drop, merged upstream.
    - upstream/hvec.patch: drop, merged upstream.
    - upstream/limits.patch: drop, merged upstream.
    - upstream/statelessV4L2.patch: drop, merged upstream.
    - fixes/widevine-locations.patch: refresh for minor upstream changes.
    - disable/android.patch: drop half the patch.
    - disable/catapult.patch: refresh for minor upstream changes.
    - disable/tests.patch: refresh for minor upstream changes.
    - disable/unrar.patch: refresh for minor upstream changes.
    - fixes/material-utils.patch: build fix for clang w/ libstdc++.
    - rename fixes/null.patch to fixes/perfetto.patch.
    - upstream/memory.patch: build fix for missing header.
    - bookworm/struct-ctor.patch: add a bunch more build workarounds for
      clang-14.
    - bookworm/stringpiece3.patch: another clang-14 StringPiece to
      std::string explicit conversion.
    - bookworm/typename.patch: add more explicit typename declarations for
      clang-14.
    - bookworm/structured-binding-scope-bug.patch: add more clang-14 binding
      scope workarounds.
    - bookworm/initialize-const-ctor.patch: clang-14 workaround to init a
      const member inside a struct.
    - ppc64le/libaom/0001-Add-ppc64-target-to-libaom.patch: refresh.
    - disable/privacy-sandbox.patch: ensure Privacy Sandbox "features" are
      off by default.
    - bookworm/generate-ninja.patch: fix build failure w/ bullseye's older gn.
    - bullseye/default-equality-op.patch: refresh.
    - bullseye/lerp.patch: add a new build fix for libstdc++ 10.
    - bullseye/downgrade-typescript.patch: drop parts of patch that don't
      apply and simply update typescript node dependencies.
  * Switch to using bundled brotli, as the version in debian is too old.
    And so we can drop d/patches/bookworm/brotli.patch, too.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - 0001-Implement-support-for-PPC64-on-Linux.patch: refresh for upstream
       changes
    - 0001-Add-PPC64-support-for-boringssl.patch: refresh for upstream changes
    - 0002-third-party-boringssl-add-generated-files.patch: refresh for
       upstream changes
    - 0002-third_party-libvpx-Remove-bad-ppc64-config.patch: refresh for
       upstream changes
    - 0004-third_party-crashpad-port-curl-transport-ppc64.patch: refresh for
       upstream changes
    - skia-vsx-instructions.patch: refresh for upstream changes
    - 0003-third_party-ffmpeg-Add-ppc64-generated-config.patch: regenerate
    - 0001-third_party-boringssl-Properly-detect-ppc64le-in-BUI.patch: drop
  * d/patches/ungoogled:
    - core/ungoogled-chromium/disable-web-environment-integrity.patch: disable
      "Web Environment Integrity" trial and remove from build (closes: #1042111)

 -- Andres Salomon <dilinger@debian.org>  Thu, 14 Sep 2023 19:16:28 -0400

chromium (116.0.5845.180-1~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon]
  * New upstream security release.
    - CVE-2023-4761: Out of bounds memory access in FedCM. Reported by DarkNavy.
    - CVE-2023-4762: Type Confusion in V8. Reported by Rong Jian of VRI.
    - CVE-2023-4763: Use after free in Networks. Reported by anonymous.
    - CVE-2023-4764: Incorrect security UI in BFCache.
      Reported by Irvan Kurniawan (sourc7).

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - 0001-Add-PPC64-support-for-boringssl.patch: Fix incorrect function call
      parameter types in gmult_func() and ghash_func() implementations

 -- Andres Salomon <dilinger@debian.org>  Tue, 05 Sep 2023 19:10:10 -0400

chromium (116.0.5845.140-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-4572: Use after free in MediaStream.
      Reported by fwnfwn(@_fwnfwn).
  * Drop d/chromium.conffiles; it's been a year (and major debian release)
    since started deleting /etc/chromium/policies/recommended/duckduckgo.json
    (closes: #1024981).

 -- Andres Salomon <dilinger@debian.org>  Wed, 30 Aug 2023 04:14:41 -0400

chromium (116.0.5845.110-1~deb11u1) bullseye-security; urgency=high

  [ Timothy Pearson ]
  * New upstream security release.
    - CVE-2023-4430: Use after free in Vulkan.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-4429: Use after free in Loader. Reported by Anonymous.
    - CVE-2023-4428: Out of bounds memory access in CSS.
      Reported by Francisco Alonso (@revskills).
    - CVE-2023-4427: Out of bounds memory access in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4431: Out of bounds memory access in Fonts.
      Reported by Microsoft Security Researcher.

  [ Andres Salomon ]
  * d/patches/upstream hvec.patch: add arm* v4l2 build fix.
  * d/rules: FTBFS if we're uploading to -security distribution w/out CVEs.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Wed, 23 Aug 2023 08:58:00 -0500

chromium (116.0.5845.96-2) unstable; urgency=high

  * d/patches/upstream/limits.patch: Add a build fix for arm64.

 -- Andres Salomon <dilinger@debian.org>  Wed, 16 Aug 2023 04:48:02 -0400

chromium (116.0.5845.96-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2023-2312: Use after free in Offline. Reported by avaue at S.S.L.
    - CVE-2023-4349: Use after free in Device Trust Connectors.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-4350: Inappropriate implementation in Fullscreen.
      Reported by Khiem Tran (@duckhiem).
    - CVE-2023-4351: Use after free in Network.
      Reported by Guang and Weipeng Jiang of VRI.
    - CVE-2023-4352: Type Confusion in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4353: Heap buffer overflow in ANGLE.
      Reported by Christoph Diehl / Microsoft Vulnerability Research.
    - CVE-2023-4354: Heap buffer overflow in Skia.
      Reported by Mark Brand of Google Project Zero.
    - CVE-2023-4355: Out of bounds memory access in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4356: Use after free in Audio.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2023-4357: Insufficient validation of untrusted input in XML.
      Reported by Igor Sak-Sakovskii.
    - CVE-2023-4358: Use after free in DNS.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-4359: Inappropriate implementation in App Launcher.
      Reported by @retsew0x01.
    - CVE-2023-4360: Inappropriate implementation in Color.
      Reported by Axel Chong.
    - CVE-2023-4361: Inappropriate implementation in Autofill.
      Reported by Thomas Orlita.
    - CVE-2023-4362: Heap buffer overflow in Mojom IDL.
      Reported by Zhao Hai of NanJing Cyberpeace TianYu Lab.
    - CVE-2023-4363: Inappropriate implementation in WebShare.
      Reported by Alesandro Ortiz.
    - CVE-2023-4364: Inappropriate implementation in Permission Prompts.
      Reported by Jasper Rebane.
    - CVE-2023-4365: Inappropriate implementation in Fullscreen.
      Reported by Hafiizh.
    - CVE-2023-4366: Use after free in Extensions. Reported by asnine.
    - CVE-2023-4367: Insufficient policy enforcement in Extensions API.
      Reported by Axel Chong.
    - CVE-2023-4368: Insufficient policy enforcement in Extensions API.
      Reported by Axel Chong.
  * d/patches:
   - fixes/cmath.patch: drop, merged upstream.
   - fixes/vector.patch: drop, merged upstream.
   - fixes/cookieresult.patch: drop, merged upstream.
   - upstream/feature-list-static.patch: drop, merged upstream.
   - disable/catapult.patch: refresh.
   - upstream/statelessV4L2.patch: refresh.
   - ppc64le/third_party/0001-Add-PPC64-support-for-boringssl.patch: refresh.
   - ppc64le/libaom/0001-Add-ppc64-target-to-libaom.patch: refresh.
   - ppc64le/breakpad/0001-Implement-support-for-ppc64-on-Linux.patch: refresh.
   - ppc64le/third_party/use-sysconf-page-size-on-ppc64.patch: refresh.
   - fixes/rust-clanglib.patch: add patch to handle new clang deps for rust.
   - debianization/clang-version.patch: move from bullseye/lld-13.patch.
   - bookworm/typename.patch: more typename fixes needed.
   - fixes/variant.patch: add a missing header that libstdc++ needs.
   - fixes/vector.patch: add a missing header that libstdc++ needs.
   - fixes/null.patch: fix missing namespace for nullptr_t + header fix.
   - fixes/size.patch: missing header fix.
   - bookworm/brotli.patch: revert upstream change that requires newer brotli.
   - bookworm/struct-ctor.patch: add a bunch of explicit struct constructors
     to make clang-15 happy.
   - fixes/size.patch
   - bullseye/stringpiece.patch: drop, since we're bundling re2 now.
   - bullseye/downgrade-typescript.patch: newer tsc 5.1 doesn't work with
     bullseye's ancient nodejs, so we have to downgrade back to 5.0.
   - bullseye/constexpr.patch: add another build fix.
   - bullseye/default-equality-op.patch: add another build fix.
  * d/rules: automatically detect rust/clang versions & add needed rust args.
    But also continue disabling rust for now.
  * d/rules: drop use_gnome_keyring=false, upstream has completely removed
    libgnome-keyring support in favor of gnome's libsecret.
  * Use bundled re2 (for now) instead of libre2-dev due to random crashes
    we're seeing. Adjust build-deps, Files-Excluded, d/clean,
    and d/scripts/unbundle accordingly.

  [ Timothy Pearson ]
   * d/patches/ppc64le:
     - database/0001-Properly-detect-little-endian-PPC64-systems.patch: refresh
       for upstream changes
     - third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
       refresh for upstream changes
     - third_party/0002-third-party-boringssl-add-generated-files.patch:
       refresh, no changes
     - third_party/use-sysconf-page-size-on-ppc64.patch: refresh for upstream
       changes
     - third_party/skia-vsx-instructions.patch: refresh for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 15 Aug 2023 17:46:56 -0400

chromium (115.0.5790.170-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-4068: Type Confusion in V8. Reported by Jerry.
    - CVE-2023-4069: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2023-4070: Type Confusion in V8. Reported by Jerry.
    - CVE-2023-4071: Heap buffer overflow in Visuals.
      Reported by Guang and Weipeng Jiang of VRI.
    - CVE-2023-4072: Out of bounds read and write in WebGL.
      Reported by Apple Security Engineering and Architecture (SEAR).
    - CVE-2023-4073: Out of bounds memory access in ANGLE.
      Reported by Jaehun Jeong(@n3sk) of Theori.
    - CVE-2023-4074: Use after free in Blink Task Scheduling.
      Reported by Anonymous.
    - CVE-2023-4075: Use after free in Cast.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-4076: Use after free in WebRTC.
      Reported by Natalie Silvanovich of Google Project Zero.
    - CVE-2023-4077: Insufficient data validation in Extensions.
      Reported by Anonymous.
    - CVE-2023-4078: Inappropriate implementation in Extensions.
      Reported by Anonymous.
  * debian/patches/disable/driver-chrome-path.patch: refresh for minor changes.

 -- Andres Salomon <dilinger@debian.org>  Wed, 02 Aug 2023 19:26:52 -0400

chromium (115.0.5790.102-2) unstable; urgency=high

  * debian/patches/upstream/contains.patch:Yet Another v4l2 ARM build fix.

 -- Andres Salomon <dilinger@debian.org>  Tue, 25 Jul 2023 18:25:50 -0400

chromium (115.0.5790.102-1) unstable; urgency=high

  * New upstream stable release.
  * debian/patches/upstream/statelessV4L2.patch: add v4l2 build fix.

 -- Andres Salomon <dilinger@debian.org>  Fri, 21 Jul 2023 02:36:46 -0400

chromium (115.0.5790.98-2) unstable; urgency=high

  * Add build fix for gcc13 on arm64.

 -- Andres Salomon <dilinger@debian.org>  Wed, 19 Jul 2023 22:23:08 -0400

chromium (115.0.5790.98-1~deb11u1) bullseye-security; urgency=high

  * New upstream release
    - CVE-2023-3727: Use after free in WebRTC.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-3728: Use after free in WebRTC.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2023-3730: Use after free in Tab Groups. Reported by @ginggilBesel.
    - CVE-2023-3732: Out of bounds memory access in Mojo.
      Reported by Mark Brand of Google Project Zero.
    - CVE-2023-3733: Inappropriate implementation in WebApp Installs.
      Reported by Ahmed ElMasry.
    - CVE-2023-3734: Inappropriate implementation in Picture In Picture.
      Reported by Thomas Orlita.
    - CVE-2023-3735: Inappropriate implementation in Web API Permission Prompts.
      Reported by Ahmed ElMasry.
    - CVE-2023-3736: Inappropriate implementation in Custom Tabs.
      Reported by Philipp Beer (TU Wien).
    - CVE-2023-3737: Inappropriate implementation in Notifications.
      Reported by Narendra Bhati of Suma Soft Pvt. Ltd. Pune (India) .
    - CVE-2023-3738: Inappropriate implementation in Autofill.
      Reported by Hafiizh.
    - CVE-2023-3740: Insufficient validation of untrusted input in Themes.
      Reported by Fardeen Siddiqui.

  * d/patches:
    - debianization/master-preferences.patch: upstream variable renamed
    - disable/catapult.patch: upstream changes required reworking
    - disable/tests.patch: remove new upstream puffin test data file
      dependencies
    - disable/unrar.patch: upstream changes required reworking
    - fixes/cmath.patch: add missing header include for skia
    - fixes/vector.patch: add missing header include for net
    - upstream/sizet.patch: drop, merged upstream
    - ppc64le/fixes/fix-partition-alloc-compile.patch: refresh for upstream
      changes
    - ppc64le/third_party/0001-Add-PPC64-support-for-boringssl.patch: refresh
      for upstream changes
    - ppc64le/third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
      refresh for upstream changes
    - ppc64le/third_party/0003-third_party-libvpx-Add-ppc64-generated-config.patch:
      regenerate configs from upstream source
    - ppc64le/third_party/skia-vsx-instructions.patch: refresh for upstream
      changes

  [ Andres Salomon ]
    - fixes/clang-and-gcc11.patch: drop, (a different version) merged upstream.
    - bookworm/typename.patch: drop parts that were merged upstream, and add
      new build fixes.
    - bookworm/structured-binding-scope-bug.patch: drop some of it, add new bits
    - bullseye/constexpr.patch: refresh for string -> StringPiece change.
    - bullseye/stringpiece.patch: add to work around older libre2.
    - bullseye/default-equality-op.patch: add more workarounds for older
      compilers
    - fixes/brandversion-construct.patch: add to fix build failure.
    - fixes/SkColor4f-init.patch: another missing struct constructor fix.
    - fixes/cookieresult.patch: another struct ctor build fix.
    - ppc64le/third_party/0001-Add-PPC64-support-for-boringssl.patch: refresh.
    - ppc64le/libaom/0001-Add-ppc64-target-to-libaom.patch: refresh.
    - ppc64le/third_party/0002-third-party-boringssl-add-generated-files.patch:
      refresh.
    - bullseye/disable-mojo-ipcz.patch: refresh.
    - bullseye/mulodic.patch: refresh.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Tue, 18 Jul 2023 17:50:00 -0500

chromium (114.0.5735.198-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-3420: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2023-3421: Use after free in Media.
      Reported by Piotr Bania of Cisco Talos.
    - CVE-2023-3422: Use after free in Guest View. Reported by asnine.

 -- Andres Salomon <dilinger@debian.org>  Tue, 27 Jun 2023 02:21:12 -0400

chromium (114.0.5735.133-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-3214: Use after free in Autofill payments.
      Reported by Rong Jian of VRI.
    - CVE-2023-3215: Use after free in WebRTC. Reported by asnine.
    - CVE-2023-3216: Type Confusion in V8.
      Reported by 5n1p3r0010 from Topsec ChiXiao Lab.
    - CVE-2023-3217: Use after free in WebXR.
      Reported by Sergei Glazunov of Google Project Zero.

 -- Andres Salomon <dilinger@debian.org>  Tue, 13 Jun 2023 13:31:55 -0400

chromium (114.0.5735.106-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2023-3079: Type Confusion in V8.
      Reported by Clément Lecigne of Google's Threat Analysis Group.
  * d/patches:
    - ppc64le/third_party/skia-vsx-instructions.patch: rewrite for POWER8
      compatibility, fix graphics corruption, and enable in builds

 -- Timothy Pearson <tpearson@raptorengineering.com>  Mon, 05 Jun 2023 21:38:00 -0500

chromium (114.0.5735.90-2~deb11u1) bullseye-security; urgency=high

  [ Timothy Pearson ]
  * d/patches:
    - Add upstream/feature-list-static.patch
      This patch fixes an out of scope array access that can lead to crashes at startup

  [ Andres Salomon ]
  * d/patches: add bullseye/av1-vaapi.patch to disable av1 encoding on bullseye;
    libav-dev is too old.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Wed, 31 May 2023 12:36:00 -0500

chromium (114.0.5735.90-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2023-2929: Out of bounds write in Swiftshader.
      Reported by Jaehun Jeong(@n3sk) of Theori.
    - CVE-2023-2930: Use after free in Extensions. Reported by asnine.
    - CVE-2023-2931: Use after free in PDF.
      Reported by Huyna at Viettel Cyber Security.
    - CVE-2023-2932: Use after free in PDF.
      Reported by Huyna at Viettel Cyber Security.
    - CVE-2023-2933: Use after free in PDF. Reported by
      Quang Nguyễn (@quangnh89) of Viettel Cyber Security and Nguyen Phuong.
    - CVE-2023-2934: Out of bounds memory access in Mojo.
      Reported by Mark Brand of Google Project Zero.
    - CVE-2023-2935: Type Confusion in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-2936: Type Confusion in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-2937: Inappropriate implementation in Picture In Picture.
      Reported by NDevTK.
    - CVE-2023-2938: Inappropriate implementation in Picture In Picture.
      Reported by Alesandro Ortiz.
    - CVE-2023-2939: Insufficient data validation in Installer.
      Reported by ycdxsb from VARAS@IIE.
    - CVE-2023-2940: Inappropriate implementation in Downloads.
      Reported by Axel Chong.
    - CVE-2023-2941: Inappropriate implementation in Extensions API.
      Reported by Jasper Rebane.
  * d/copyright: properly delete some android & chromeos stuff.
  * d/patches:
    - fixes/clang-and-gcc11.patch: refresh.
    - upstream/webview-cstr.patch: drop, merged upstream.
    - upstream/monostate.patch: drop, merged upstream.
    - disable/unrar.patch: additional upstream changes required more reworking.
    - disable/android.patch: refresh, & add one more build fix.
    - disable/catapult.patch: refresh.
    - disable/swiftshader.patch: refresh.
    - disable/angle-perftest.patch: refresh.
    - system/jpeg.patch: refresh.
    - upstream/mojo.patch: regenerate from git.
    - upstream/sizet.patch: add an upstream build fix.
    - bookworm/typename.patch: include more build fixes.
    - bookworm/lambda-bug.patch -> bookworm/structured-binding-scope-bug.patch,
      and add another place it's happening (turns out it's not just lambdas).
  * Add build-dep on libevdev-dev - now required by upstream.

  [ Timothy Pearson ]
   * d/patches:
     - Refresh ppc64le patches

 -- Andres Salomon <dilinger@debian.org>  Wed, 31 May 2023 03:06:35 -0400

chromium (113.0.5672.126-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-2721: Use after free in Navigation.
      Reported by Guang Gong of Alpha Lab, Qihoo 360.
    - CVE-2023-2722: Use after free in Autofill UI.
      Reported by Rong Jian of VRI.
    - CVE-2023-2723: Use after free in DevTools. Reported by asnine.
    - CVE-2023-2724: Type Confusion in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-2725: Use after free in Guest View. Reported by asnine.
    - CVE-2023-2726: Inappropriate implementation in WebApp Installs.
      Reported by Ahmed ElMasry.

 -- Andres Salomon <dilinger@debian.org>  Tue, 16 May 2023 16:25:03 -0400

chromium (113.0.5672.63-2) unstable; urgency=low

  * d/patches:
    - Set baseline ppc64 CPU back to POWER ISA 2.07 (POWER8)

 -- Timothy Pearson <tpearson@raptorengineering.com>  Wed, 03 May 2023 10:47:00 -0500

chromium (113.0.5672.63-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2023-2459: Inappropriate implementation in Prompts.
      Reported by Rong Jian of VRI.
    - CVE-2023-2460: Insufficient validation of untrusted input in Extensions.
      Reported by Martin Bajanik, Fingerprint[.]com.
    - CVE-2023-2461: Use after free in OS Inputs. Reported by @ginggilBesel.
    - CVE-2023-2462: Inappropriate implementation in Prompts.
      Reported by Alesandro Ortiz.
    - CVE-2023-2463: Inappropriate implementation in Full Screen Mode.
      Reported by Irvan Kurniawan (sourc7).
    - CVE-2023-2464: Inappropriate implementation in PictureInPicture.
      Reported by Thomas Orlita.
    - CVE-2023-2465: Inappropriate implementation in CORS.
      Reported by @kunte_ctf.
    - CVE-2023-2466: Inappropriate implementation in Prompts.
      Reported by Jasper Rebane (popstonia).
    - CVE-2023-2467: Inappropriate implementation in Prompts.
      Reported by Thomas Orlita.
    - CVE-2023-2468: Inappropriate implementation in PictureInPicture.
      Reported by Alesandro Ortiz.

  [ Andres Salomon]
   * Remove Michel from Uploaders.
   * Build against libopenh264-dev (closes: #1031352).
   * d/copyright:
     - drop fuchsia*: entirely different OS.
     - drop chrome/build: 200MB of PGO optimizations for official chrome builds.
     - drop third_party/updater: upstream included update binary.
     - re-add part of chrome/browser/resources/chromeos/ and chrome/android/ to
       fix build errors.
   * d/patches:
     - debianization/master-preferences.patch: check for initial_preferences or
       master_preferences, rather than just for the latter (closes: #992178).
     - disable/unrar.patch: complete rewrite for upstream's nested archive changes.
     - disable/catapult.patch: refresh.
     - upstream/webview-cstr.patch: add simple build fix from upstream.
     - upstream/monostate.patch: add simple build fix from upstream.
     - bookworm/clang-attribs.patch: build fix for clang-14 to keep from
       generating hundreds of warnings per compilation unit.
     - bookworm/typename.patch: add another build fix for missing typename.
     - bookworm/lamba-bug.patch: add to work around compiler bug (clang < 16).
     - bullseye/constexpr.patch: work around build failure w/ bullseye's
       clang/libstdc++.
     - disable/openh264.patch -> bullseye/openh264.patch, and stop using it
       for sid & bookworm.
     - bullseye/disable-mojo-ipcz.patch: refresh.
     - bullseye/mulodic.patch: refresh.

  [ Timothy Pearson ]
   * d/patches:
     - Set baseline ppc64 CPU to POWER ISA 3.0 (OpenPOWER, POWER9)
     - Enable VSX acceleration in Skia
     - Refresh ppc64le/third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch
     - Add fixes for new Highway library on ppc64
     - Suppress harmless warning messages from compiler during ppc64 builds

 -- Timothy Pearson <tpearson@raptorengineering.com>  Wed, 03 May 2023 00:42:00 -0500

chromium (112.0.5615.138-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-2133: Out of bounds memory access in Service Worker API.
      Reported by Rong Jian of VRI.
    - CVE-2023-2134: Out of bounds memory access in Service Worker API.
      Reported by Rong Jian of VRI.
    - CVE-2023-2135: Use after free in DevTools.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-2136: Integer overflow in Skia.
      Reported by Clément Lecigne of Google's Threat Analysis Group.
    - CVE-2023-2137: Heap buffer overflow in sqlite.
      Reported by Nan Wang(@eternalsakura13) and Guang Gong of 360 Vulnerability Research Institute
  * d/patches:
    - upstream/protobuf.patch: drop, merged upstream.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Tue, 18 Apr 2023 22:00:00 -0500

chromium (112.0.5615.121-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-2033: Type Confusion in V8.
      Reported by Clément Lecigne of Google's Threat Analysis Group.
  * Build-dep on rollup.
  * Delete the bundled acorn & rollup node modules, and build using the
    debian packaged version of those and other modules.
  * Drop d/patches/bullseye/downgrade-rollup.patch, since we're now using
    bullseye's rollup.
  * Add d/patches/bullseye/disable-mojo-ipcz.patch to fix i386 issue
    (closes: #1034406).
  * (Re-)enable optimize_webui.
  * Add d/patches/upstream/protobuf.patch to fix FTBFS due to race.

 -- Andres Salomon <dilinger@debian.org>  Sat, 15 Apr 2023 03:20:13 -0400

chromium (112.0.5615.49-2~deb11u2) bullseye-security; urgency=high

  * Add d/patches/upstream/protobuf.patch to fix FTBFS due to race.
  * Disable v8_context_snapshot on i386, which was failing to build.

 -- Andres Salomon <dilinger@debian.org>  Tue, 11 Apr 2023 12:50:44 -0400

chromium (112.0.5615.49-2~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon ]
  * Add d/patches/i386/angle-lockfree.patch to fix FTBFS on i386. Also create
    & populate that d/patches/i386/ directory, since we now have multiple
    i386 patches.
  * Remove enable_js_type_check=false build arg; upstream dropped it.
  * d/patches/bullseye:
    - downgrade-rollup.patch: downgrade the bundled rollup back to 2.58,
      as rollup 3.x requires nodejs >= 14.
    - default-equality-op.patch: work around an issue with clang-13 and
      setting the default equality operator.
    - ptr-traits-bug.patch: provide our own copy of <bits/ptr_traits.h>
      to work around a bug in libstdc++ 10.2. This bug is fixed in sid's
      libstdc++.

  [ Timothy Pearson ]
   * d/patches:   
    - Re-add boringssl support for ppc64le (dropped by Google upstream)
    - Add ppc64le detection to partition allocator build
    - Regenerate 0003-third_party-ffmpeg-Add-ppc64-generated-config.patch

 -- Andres Salomon <dilinger@debian.org>  Fri, 07 Apr 2023 13:58:37 -0400

chromium (112.0.5615.49-1) unstable; urgency=high

  * New upstream stable release.
    - CVE-2023-1810: Heap buffer overflow in Visuals.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-1811: Use after free in Frames. Reported by Thomas Orlita.
    - CVE-2023-1812: Out of bounds memory access in DOM Bindings.
      Reported by Shijiang Yu.
    - CVE-2023-1813: Inappropriate implementation in Extensions.
      Reported by Axel Chong.
    - CVE-2023-1814: Insufficient validation of untrusted input in
      Safe Browsing. Reported by Young Min Kim (@ylemkimon),
      CompSec Lab at Seoul National University.
    - CVE-2023-1815: Use after free in Networking APIs. Reported by DDV_UA.
    - CVE-2023-1816: Incorrect security UI in Picture In Picture.
      Reported by NDevTK.
    - CVE-2023-1817: Insufficient policy enforcement in Intents.
      Reported by Axel Chong.
    - CVE-2023-1818: Use after free in Vulkan. Reported by Abdulrahman
      Alqabandi, Microsoft Browser Vulnerability Research, Eric Lawrence,
      Microsoft, Patrick Walker (@HomeSen), & Kirtikumar Anandrao Ramchandani.
    - CVE-2023-1819: Out of bounds read in Accessibility.
      Reported by Microsoft Edge Team.
    - CVE-2023-1820: Heap buffer overflow in Browser History.
      Reported by raven at KunLun lab.
    - CVE-2023-1821: Inappropriate implementation in WebShare.
      Reported by Axel Chong.
    - CVE-2023-1822: Incorrect security UI in Navigation. Reported by 강우진.
    - CVE-2023-1823: Inappropriate implementation in FedCM.
      Reported by Jasper Rebane (popstonia).
  * d/copyright: change location for deleted image_diff directory.
  * d/patches:
    - disable/unrar.patch: update for stuff dropped upstream.
    - disable/swiftshader.patch: straight refresh.
    - bullseye/clang13.patch: straight refresh.
    - ppc64le/third_party/0001-third_party-angle-Include-missing-header-cstddef-in-.patch:
      straight refresh.
    - ppc64le/third_party/use-sysconf-page-size-on-ppc64.patch: straight
      refresh.
    - debian/patches/ppc64le/third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch:
      change is_mac to is_apple.

 -- Andres Salomon <dilinger@debian.org>  Tue, 04 Apr 2023 18:44:47 -0400

chromium (111.0.5563.110-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-1528: Use after free in Passwords.
      Reported by Wan Choi of Seoul National University.
    - CVE-2023-1529: Out of bounds memory access in WebHID.
    - CVE-2023-1530: Use after free in PDF.
      Reported by The UK's National Cyber Security Centre (NCSC).
    - CVE-2023-1531: Use after free in ANGLE.
      Reported by Piotr Bania of Cisco Talos.
    - CVE-2023-1532: Out of bounds read in GPU Video.
      Reported by Mark Brand of Google Project Zero.
    - CVE-2023-1533: Use after free in WebProtect.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-1534: Out of bounds read in ANGLE.
      Reported by Jann Horn and Mark Brand of Google Project Zero.
  * Document how to properly enable Wayland support in README.Debian
    (closes: #1033223).
  * d/rules patch from "Daniel Richard G." <skunk@iSKUNK.ORG>:
    - Disable lto flags (closes: #1015367).
    - don't clobber LDFLAGS from dpkg-buildflags (closes: #1033015).

 -- Andres Salomon <dilinger@debian.org>  Wed, 22 Mar 2023 03:17:36 -0400

chromium (111.0.5563.64-1~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2023-1213: Use after free in Swiftshader.
      Reported by Jaehun Jeong(@n3sk) of Theori.
    - CVE-2023-1214: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2023-1215: Type Confusion in CSS. Reported by Anonymous.
    - CVE-2023-1216: Use after free in DevTools.
      Reported by Ganjiang Zhou(@refrain_areu) of ChaMd5-H1 team.
    - CVE-2023-1217: Stack buffer overflow in Crash reporting.
      Reported by sunburst of Ant Group Tianqiong Security Lab.
    - CVE-2023-1218: Use after free in WebRTC. Reported by Anonymous.
    - CVE-2023-1219: Heap buffer overflow in Metrics.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-1220: Heap buffer overflow in UMA.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-1221: Insufficient policy enforcement in Extensions API.
      Reported by Ahmed ElMasry.
    - CVE-2023-1222: Heap buffer overflow in Web Audio API.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-1223: Insufficient policy enforcement in Autofill.
      Reported by Ahmed ElMasry.
    - CVE-2023-1224: Insufficient policy enforcement in Web Payments API.
      Reported by Thomas Orlita.
    - CVE-2023-1225: Insufficient policy enforcement in Navigation.
      Reported by Roberto Ffrench-Davis @Lihaft.
    - CVE-2023-1226: Insufficient policy enforcement in Web Payments API.
      Reported by Anonymous.
    - CVE-2023-1227: Use after free in Core. Reported by @ginggilBesel.
    - CVE-2023-1228: Insufficient policy enforcement in Intents.
      Reported by Axel Chong.
    - CVE-2023-1229: Inappropriate implementation in Permission prompts.
      Reported by Thomas Orlita.
    - CVE-2023-1230: Inappropriate implementation in WebApp Installs.
      Reported by Axel Chong.
    - CVE-2023-1231: Inappropriate implementation in Autofill.
      Reported by Yan Zhu, Brave.
    - CVE-2023-1232: Insufficient policy enforcement in Resource Timing.
      Reported by Sohom Datta.
    - CVE-2023-1233: Insufficient policy enforcement in Resource Timing.
      Reported by Soroush Karami.
    - CVE-2023-1234: Inappropriate implementation in Intents.
      Reported by Axel Chong.
    - CVE-2023-1235: Type Confusion in DevTools.
      Reported by raven at KunLun lab.
    - CVE-2023-1236: Inappropriate implementation in Internals.
      Reported by Alesandro Ortiz.
  * Document upcoming security support in README.Debian.security.
  * Document switching the default search engine in README.debian.
  * d/patches:
    - upstream/clamp.patch: drop, merged upstream.
    - upstream/pwman-const.patch: drop, merged upstream.
    - upstream/move-stack-to-isolate.patch: drop, merged upstream.
    - upstream/blink-dbl-float.patch: drop, merged upstream.
    - upstream/v4l2-fix.patch: drop, merged upstream.
    - disable/catapult.patch: refresh & remove unnecessary android bits.
    - disable/google-api-warning.patch: refresh.
    - bullseye/mulodic.patch: add missing import.

  [ Timothy Pearson ]
   * d/patches:
    - ppc64le/third_party/0005-third_party-dav1d-crash-fix.patch: drop,
          merged upstream
    - ppc64le/workarounds/HACK-debian-clang-disable-skia-musttail.patch:
          skia musttail is back in upstream, disable on ppc64le due to
          contining Clang bugs
    - ppc64le: refresh libaom configuration

 -- Andres Salomon <dilinger@debian.org>  Tue, 07 Mar 2023 18:12:37 -0500

chromium (110.0.5481.177-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-0941: Use after free in Prompts. Reported by Anonymous.
    - CVE-2023-0927: Use after free in Web Payments API.
      Reported by Rong Jian of VRI.
    - CVE-2023-0928: Use after free in SwiftShader. Reported by Anonymous.
    - CVE-2023-0929: Use after free in Vulkan.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0930: Heap buffer overflow in Video.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0931: Use after free in Video.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0932: Use after free in WebRTC.
      Reported by Omri Bushari (Talon Cyber Security).
    - CVE-2023-0933: Integer overflow in PDF. Reported by
      Zhiyi Zhang from Codesafe Team of Legendsec at QI-ANXIN Group.
  * d/patches/bullseye/mulodic.patch: add another workaround for clang-13
    failure in v8.

 -- Andres Salomon <dilinger@debian.org>  Wed, 22 Feb 2023 16:11:07 -0500

chromium (110.0.5481.77-2) unstable; urgency=high

  * Fix build failure on arm* platforms with upstream/v4l2-fix.patch.

 -- Andres Salomon <dilinger@debian.org>  Wed, 08 Feb 2023 15:20:57 -0500

chromium (110.0.5481.77-1~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2023-0696: Type Confusion in V8.
      Reported by Haein Lee at KAIST Hacking Lab.
    - CVE-2023-0697: Inappropriate implementation in Full screen mode.
      Reported by Ahmed ElMasry.
    - CVE-2023-0698: Out of bounds read in WebRTC.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0699: Use after free in GPU.
      Reported by 7o8v and Cassidy Kim(@cassidy6564).
    - CVE-2023-0700: Inappropriate implementation in Download.
      Reported by Axel Chong.
    - CVE-2023-0701: Heap buffer overflow in WebUI.
      Reported by Sumin Hwang of SSD Labs.
    - CVE-2023-0702: Type Confusion in Data Transfer. Reported by Sri.
    - CVE-2023-0703: Type Confusion in DevTools.
      Reported by raven at KunLun lab.
    - CVE-2023-0704: Insufficient policy enforcement in DevTools.
      Reported by Rhys Elsmore and Zac Sims of the Canva security team.
    - CVE-2023-0705: Integer overflow in Core.
      Reported by SorryMybad (@S0rryMybad) of Kunlun Lab.
  * d/copyright: libpng16 binaries are gone, no longer need to exclude them.
  * d/scripts/unbundle: drop libjxl, which is dropped upstream. Add absl_log*.
  * d/patches:
    - debianization/optimization.patch: drop. This is unnecessary, as
      Debian's optimization flags override Chromium's by default.
    - disable/android.patch: upstream removed android_crazy_linker, so we can
      remove half of this patch.
    - disable/catapult.patch: refresh.
    - disable/google-api-warning.patch: refresh.
    - upstream/mojo.patch: refresh w/ what's in 110.
    - system/openjpeg.patch: completely rework due to upstream changes.
    - upstream/clamp.patch: backport a build fix.
    - upstream/blink-dbl-float.patch: another build fix.
  * Drop unused use_allocator="none" argument. This was used previously
    to switch from the default "partition" allocator. Upstream dropped
    the build flag in chromium v109. So in v109 we switched to the default
    "partition" allocator and I don't think anyone noticed, so let's just
    leave it on. Report issues if you notice any.
  * Disable v4l2 on bullseye; I forgot that it doesn't have new enough kernel
    headers (closes: #1030160).

  [ Timothy Pearson ]
  * d/patches:
    - Refresh ppc64le patches for v110
    - Add upstream patches to fix build errors when use_custom_libcxx=false
    - Drop stack smashing fix patch for ppc64le due to fix included upstream

 -- Andres Salomon <dilinger@debian.org>  Wed, 08 Feb 2023 00:20:01 -0500

chromium (109.0.5414.119-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-0471: Use after free in WebTransport.
      Reported by chichoo Kim(chichoo) and Cassidy Kim(@cassidy6564).
    - CVE-2023-0472: Use after free in WebRTC.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-0473: Type Confusion in ServiceWorker API.
      Reported by raven at KunLun lab.
    - CVE-2023-0474: Use after free in GuestView. Reported by avaue at S.S.L.
  * Re-enable v4l2 for arm platforms (closes: #1011346).

 -- Andres Salomon <dilinger@debian.org>  Wed, 25 Jan 2023 01:19:49 -0500

chromium (109.0.5414.74-2~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon ]
  * d/patches/bullseye/clang13.patch: don't use -gsimple-template-names in
    clang arguments, as it doesn't work with clang-13.

  [ Timothy Pearson ]
  * Fix crashes in dav1d during video playback on ppc64le
  * d/patches:
    - Apply upstream dav1d ppc64le fix from videolan merge request #1464

 -- Andres Salomon <dilinger@debian.org>  Thu, 12 Jan 2023 18:23:51 -0500

chromium (109.0.5414.74-1) unstable; urgency=high

  * New upstream stable release.
    - CVE-2023-0128: Use after free in Overview Mode. Reported by Khalil Zhani.
    - CVE-2023-0129: Heap buffer overflow in Network Service.
      Reported by asnine.
    - CVE-2023-0130: Inappropriate implementation in Fullscreen API.
      Reported by Hafiizh.
    - CVE-2023-0131: Inappropriate implementation in iframe Sandbox.
      Reported by NDevTK.
    - CVE-2023-0132: Inappropriate implementation in Permission prompts.
      Reported by Jasper Rebane (popstonia).
    - CVE-2023-0133: Inappropriate implementation in Permission prompts.
      Reported by Alesandro Ortiz.
    - CVE-2023-0134: Use after free in Cart.
      Reported by Chaoyuan Peng (@ret2happy).
    - CVE-2023-0135: Use after free in Cart.
      Reported by Chaoyuan Peng (@ret2happy).
    - CVE-2023-0136: Inappropriate implementation in Fullscreen API.
      Reported by Axel Chong.
    - CVE-2023-0137: Heap buffer overflow in Platform Apps.
      Reported by avaue and Buff3tts at S.S.L..
    - CVE-2023-0138: Heap buffer overflow in libphonenumber.
      Reported by Michael Dau.
    - CVE-2023-0139: Insufficient validation of untrusted input in Downloads.
      Reported by Axel Chong.
    - CVE-2023-0140: Inappropriate implementation in File System API.
      Reported by harrison.mitchell, cybercx.com.au.
    - CVE-2023-0141: Insufficient policy enforcement in CORS.
      Reported by scarlet.
  * d/patches:
    - upstream/re-fix-tflite.patch: drop, merged upstream.
    - disable/catapult.patch: refresh
    - disable/angle-perftests.patch: refresh

  [ Timothy Pearson ]
  *  d/patches:
    - Regenerate ppc64le configuration files from source
    - Fix register corruption in v8 on ppc64 systems

 -- Andres Salomon <dilinger@debian.org>  Thu, 12 Jan 2023 13:01:02 -0500

chromium (108.0.5359.124-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-4436: Use after free in Blink Media.
      Reported by Anonymous on 2022-11-15
    - CVE-2022-4437: Use after free in Mojo IPC.
      Reported by koocola(@alo_cook) and Guang Gong of 360 Vulnerability
      Research Institute on 2022-11-30
    - CVE-2022-4438: Use after free in Blink Frames.
      Reported by Anonymous on 2022-11-07
    - CVE-2022-4439: Use after free in Aura.
      Reported by Anonymous on 2022-11-22
    - CVE-2022-4440: Use after free in Profiles.
      Reported by Anonymous on 2022-11-09

  [ Andres Salomon ]
  * Drop fixes/disable-cxx20.patch; turned out to be a clang-14 bug
    (https://bugs.debian.org/1025394) causing the issue that is now fixed.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Tue, 13 Dec 2022 19:10:00 -0600

chromium (108.0.5359.94-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-4262: Type Confusion in V8.
      Reported by Clement Lecigne of Google's Threat Analysis Group.

 -- Andres Salomon <dilinger@debian.org>  Sat, 03 Dec 2022 13:29:49 -0500

chromium (108.0.5359.71-2~deb11u1) bullseye-security; urgency=high

  * Fix bullseye/mulodic.patch to actually work right on 32-bit platforms.
    Again.

  [ Timothy Pearson ]
  * Regenerate libaom configuration for ppc64el

 -- Andres Salomon <dilinger@debian.org>  Fri, 02 Dec 2022 15:03:21 -0500

chromium (108.0.5359.71-1) unstable; urgency=high

  * New upstream stable release.
    - CVE-2022-4174: Type Confusion in V8.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2022-4175: Use after free in Camera Capture.
      Reported by Leecraso and Guang Gong of 360 Alpha Lab.
    - CVE-2022-4176: Out of bounds write in Lacros Graphics.
      Reported by @ginggilBesel.
    - CVE-2022-4177: Use after free in Extensions.
      Reported by Chaoyuan Peng (@ret2happy).
    - CVE-2022-4178: Use after free in Mojo.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-4179: Use after free in Audio.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-4180: Use after free in Mojo. Reported by Anonymous.
    - CVE-2022-4181: Use after free in Forms. Reported by Aviv A.
    - CVE-2022-4182: Inappropriate implementation in Fenced Frames.
      Reported by Peter Nemeth.
    - CVE-2022-4183: Insufficient policy enforcement in Popup Blocker.
      Reported by David Sievers.
    - CVE-2022-4184: Insufficient policy enforcement in Autofill.
      Reported by Ahmed ElMasry.
    - CVE-2022-4185: Inappropriate implementation in Navigation.
      Reported by James Lee (@Windowsrcer).
    - CVE-2022-4186: Insufficient validation of untrusted input in Downloads.
      Reported by Luan Herrera (@lbherrera_).
    - CVE-2022-4187: Insufficient policy enforcement in DevTools.
      Reported by Axel Chong.
    - CVE-2022-4188: Insufficient validation of untrusted input in CORS.
      Reported by Philipp Beer (TU Wien).
    - CVE-2022-4189: Insufficient policy enforcement in DevTools.
      Reported by NDevTK.
    - CVE-2022-4190: Insufficient data validation in Directory.
      Reported by Axel Chong.
    - CVE-2022-4191: Use after free in Sign-In.
      Reported by Jaehun Jeong(@n3sk) of Theori.
    - CVE-2022-4192: Use after free in Live Caption.
      Reported by Samet Bekmezci @sametbekmezci.
    - CVE-2022-4193: Insufficient policy enforcement in File System API.
      Reported by Axel Chong.
    - CVE-2022-4194: Use after free in Accessibility. Reported by Anonymous.
    - CVE-2022-4195: Insufficient policy enforcement in Safe Browsing.
      Reported by Eric Lawrence of Microsoft.
  * d/copyright:
    - drop multiple ninja executables from upstream tarball.
    - Stop deleting chrome/test/data/*, since it's all just empty directories
      except for one BUILD.gn that is required to build.
  * d/scripts/unbundle: build against the bundled absl_utility.
  * d/patches:
    - upstream/fix-missing-cmath.patch: drop, merged upstream.
    - fixes/angle-wayland.patch: drop, merged upstream.
    - fixes/fix-arm-vfpv3-d16-libaom.patch: drop, merged upstream.
    - disable/unrar.patch: refresh due to 7z support added.
    - ppc64le/workarounds/HACK-third_party-libvpx-use-generic-gnu.patch:
      refresh for loongarch update.
    - ppc64le/third_party/use-sysconf-page-size-on-ppc64.patch: drop half of
      patch as upstream removed duplicate code.
    - fixes/disable-cxx20.patch: switch clang complication back to the c++17
      standard, as c++20 breaks linking.

 -- Andres Salomon <dilinger@debian.org>  Thu, 01 Dec 2022 22:23:10 -0500

chromium (107.0.5304.121-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-4135: Heap buffer overflow in GPU. Reported by Clement Lecigne
      of Google's Threat Analysis Group on 2022-11-22

 -- Timothy Pearson <tpearson@raptorengineering.com>  Sat, 26 Nov 2022 12:34:00 -0600

chromium (107.0.5304.110-2) unstable; urgency=high

  * Fix bullseye/mulodic.patch to actually work right. Sigh.

 -- Andres Salomon <dilinger@debian.org>  Thu, 10 Nov 2022 13:48:01 -0500

chromium (107.0.5304.110-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-3885: Use after free in V8. Reported by gzobqq@.
    - CVE-2022-3886: Use after free in Speech Recognition.
    - CVE-2022-3887: Use after free in Web Workers. Reported by anonymous.
    - CVE-2022-3888: Use after free in WebCodecs. Reported by Peter Nemeth.
    - CVE-2022-3889: Type Confusion in V8. Reported by anonymous.
    - CVE-2022-3890: Heap buffer overflow in Crashpad. Reported by anonymous.
  * Clean up old crash dump files on launch (closes: #1015931).
  * debian/patches:
    - bullseye/mulodic.patch: (hopefully!) fix FTBFS on bullseye under i386
      and armhf.

 -- Andres Salomon <dilinger@debian.org>  Wed, 09 Nov 2022 19:57:34 -0500

chromium (107.0.5304.87-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-3723: Type Confusion in V8. Reported by Jan Vojtěšek, Milánek,
      and Przemek Gmerek of Avast.
  * Revert v4l2 enable for arm platforms until a build error is fixed.

 -- Andres Salomon <dilinger@debian.org>  Fri, 28 Oct 2022 07:02:02 -0400

chromium (107.0.5304.68-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2022-3652: Type Confusion in V8. Reported by srodulv and ZNMchtss at
      S.S.L Team.
    - CVE-2022-3653: Heap buffer overflow in Vulkan. Reported by SeongHwan Park
      (SeHwa).
    - CVE-2022-3654: Use after free in Layout. Reported by Sergei Glazunov of
      Google Project Zero.
    - CVE-2022-3655: Heap buffer overflow in Media Galleries. Reported by
      koocola(@alo_cook) and Guang Gong of 360 Vulnerability Research Institute.
    - CVE-2022-3656: Insufficient data validation in File System. Reported by
      Ron Masas, Imperva.
    - CVE-2022-3657: Use after free in Extensions. Reported by Omri Bushari,
      Talon Cyber Security.
    - CVE-2022-3658: Use after free in Feedback service on Chrome OS. Reported
      by Nan Wang(@eternalsakura13) and Guang Gong of 360 Vulnerability Research
      Institute.
    - CVE-2022-3659: Use after free in Accessibility. Reported by @ginggilBesel.
    - CVE-2022-3660: Inappropriate implementation in Full screen mode. Reported
      by Irvan Kurniawan (sourc7).
    - CVE-2022-3661: Insufficient data validation in Extensions. Reported by
      Young Min Kim (@ylemkimon), CompSec Lab at Seoul National University.
  * Disable building against QT5 (for now).
    https://groups.google.com/a/chromium.org/g/chromium-packagers/c/-2VGexQAK6w
  * debian/copyright:
    - delete third_party/dawn/tools/golang binaries.
  * debian/patches:
    - upstream/armhf-ftbfs.patch: drop, merged upstream.
    - upstream/fix-nullptr-qual.patch: drop, merged upstream.
    - disable/catapult.patch: delete add'l blink reference to catapult.
    - bullseye/clang13.patch: refresh for minor upstream changes.
    - ppc64le/workarounds/HACK-third_party-libvpx-use-generic-gnu.patch: refresh
    - disable/clang-version-check.patch: added to fix build failure. Needs
      to go upstream.
    - ppc64le/workarounds/HACK-debian-clang-disable-skia-musttail.patch:
      drop, upstream skia stopped using clang::musttail.
    - upstream/re-fix-tflite.patch: re-add a build fix that upstream lost.

  [ Timothy Pearson ]
  * regenerate libaom configuration on ppc64el systems.

 -- Andres Salomon <dilinger@debian.org>  Tue, 25 Oct 2022 17:40:14 -0400

chromium (106.0.5249.119-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-3445: Use after free in Skia. Reported by Nan Wang
      (@eternalsakura13) and Yong Liu of 360 Vulnerability Research Institute on
      2022-09-16
    - CVE-2022-3446: Heap buffer overflow in WebSQL. Reported by Kaijie Xu
      (@kaijieguigui) on 2022-09-26
    - CVE-2022-3447: Inappropriate implementation in Custom Tabs. Reported by
      Narendra Bhati of Suma Soft Pvt. Ltd. Pune (India) on 2022-09-22
    - CVE-2022-3448: Use after free in Permissions API. Reported by raven at
      KunLun lab on 2022-09-13
    - CVE-2022-3449: Use after free in Safe Browsing. Reported by asnine on
      2022-09-17
    - CVE-2022-3450: Use after free in Peer Connection. Reported by Anonymous on
      2022-09-30

 -- Timothy Pearson <tpearson@raptorengineering.com>  Tue, 11 Oct 2022 19:42:00 -0500

chromium (106.0.5249.103-2) unstable; urgency=low

  * Reduce baseline compatibility for ppc64el builds from POWER9
    to POWER8.  This matches the current Debian build farm.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Sat, 08 Oct 2022 14:35:00 -0500

chromium (106.0.5249.103-1) unstable; urgency=medium

  * New upstream release.
  * Add ppc64el patches maintained by me, and enable builds for ppc64el
    (closes #1005083).

 -- Timothy Pearson <tpearson@raptorengineering.com>  Fri, 07 Oct 2022 17:54:00 -0500

chromium (106.0.5249.91-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-3370: Use after free in Custom Elements.
      Reported by Aviv A.
    - CVE-2022-3373: Out of bounds write in V8.
      Reported by Tibor Klajnscek.

 -- Andres Salomon <dilinger@debian.org>  Sat, 01 Oct 2022 03:21:58 -0400

chromium (106.0.5249.61-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2022-3304: Use after free in CSS. Reported by Anonymous.
    - CVE-2022-3201: Insufficient validation of untrusted input in
      Developer Tools. Reported by NDevTK.
    - CVE-2022-3305: Use after free in Survey. Reported by Nan
      Wang(@eternalsakura13) and Guang Gong of 360 Vulnerability
      Research Institute.
    - CVE-2022-3306: Use after free in Survey. Reported by Nan
      Wang(@eternalsakura13) and Guang Gong of 360 Vulnerability
      Research Institute.
    - CVE-2022-3307: Use after free in Media.
      Reported by Anonymous Telecommunications Corp. Ltd.
    - CVE-2022-3308: Insufficient policy enforcement in Developer Tools.
      Reported by Andrea Cappa (zi0Black) @ Shielder.
    - CVE-2022-3309: Use after free in Assistant.
      Reported by zh1x1an1221 of Ant Group Tianqiong Security Lab.
    - CVE-2022-3310: Insufficient policy enforcement in Custom Tabs.
      Reported by Ashwin Agrawal from Optus, Sydney.
    - CVE-2022-3311: Use after free in Import.
      Reported by Samet Bekmezci @sametbekmezci.
    - CVE-2022-3312: Insufficient validation of untrusted input in VPN.
      Reported by Andr.Ess.
    - CVE-2022-3313: Incorrect security UI in Full Screen.
      Reported by Irvan Kurniawan (sourc7).
    - CVE-2022-3314: Use after free in Logging. Reported by Anonymous.
    - CVE-2022-3315: Type confusion in Blink. Reported by Anonymous.
    - CVE-2022-3316: Insufficient validation of untrusted input in Safe
      Browsing. Reported by Sven Dysthe (@svn_dy).
    - CVE-2022-3317: Insufficient validation of untrusted input in
      Intents. Reported by Hafiizh.
    - CVE-2022-3318: Use after free in ChromeOS Notifications.
      Reported by GraVity0.
  * debian/patches:
    - disable/angle-perftests.patch: drop most of patch.
      build_angle_perftests=false is set in d/rules, so no need to patch
      it and its dependencies.
    - upstream/browser-finder.patch: drop, merged upstream.
    - upstream/disk-cache.patch: drop, merged upstream.
    - upstream/masklayer-geom.patch: drop, merged upstream.
    - fixes/tflite.patch: drop, merged upstream.
    - bullseye/clang13.patch: update for upstream switching from one
      unsupported clang warning flag to another.
    - disable/catapult.patch: refresh.
    - disable/installer.patch: drop, as there's no real need to delete
      chrome/install_static; there's no licensing issues and it's only
      actually built on windows.
    - upstream/fix-missing-cmath.patch: added from upstream to fix ftbfs.
    - upstream/fix-nullptr-qual.patch: added from upstream to fix ftbfs.
    - fixes/fix-arm-vfpv3-d16-libaom.patch: add to fix a problem that
      was currently papered over by disabling libaom on arm. This new
      patch (hopefully) allows libaom to be built for the armhf arch.
    - disable/libaom-arm.patch: drop now that we've fixed libaom on arm.
    - system/event.patch: remove some old unused bits that patch gn.
  * Stop deleting chrome/install_static in d/copyright, and also start
    deleting third party libraries that we began linking to in v105 as
    well as tools/gn.

 -- Andres Salomon <dilinger@debian.org>  Tue, 27 Sep 2022 14:14:44 -0400

chromium (105.0.5195.125-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-3195: Out of bounds write in Storage. Reported by
      Ziling Chen and Nan Wang(@eternalsakura13) of 360 Vulnerability
      Research Institute.
    - CVE-2022-3196: Use after free in PDF. Reported by triplepwns.
    - CVE-2022-3197: Use after free in PDF. Reported by triplepwns.
    - CVE-2022-3198: Use after free in PDF. Reported by MerdroidSG.
    - CVE-2022-3199: Use after free in Frames. Reported by Anonymous.
    - CVE-2022-3200: Heap buffer overflow in Internals.
      Reported by Richard Lorenz, SAP.
    - CVE-2022-3201: Insufficient validation of untrusted input in
      DevTools. Reported by NDevTK

 -- Andres Salomon <dilinger@debian.org>  Wed, 14 Sep 2022 12:43:31 -0400

chromium (105.0.5195.102-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-3075: Insufficient data validation in Mojo.
  * Update the cpu check to allow pni instead of sse3 (closes: #1018937).
  * debian/patches:
    - upstream/armhf-ftbfs.patch: fix FTBFS introduced with v105 on armhf.

 -- Andres Salomon <dilinger@debian.org>  Mon, 05 Sep 2022 15:57:26 -0400

chromium (105.0.5195.52-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2022-3038: Use after free in Network Service.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-3039: Use after free in WebSQL. Reported by
      Nan Wang(@eternalsakura13) and Guang Gong of 360 Vulnerability
      Research Institute.
    - CVE-2022-3040: Use after free in Layout. Reported by Anonymous.
    - CVE-2022-3041: Use after free in WebSQL. Reported by Ziling Chen and
      Nan Wang(@eternalsakura13) of 360 Vulnerability Research Institute.
    - CVE-2022-3042: Use after free in PhoneHub. Reported by koocola
      (@alo_cook) and Guang Gong of 360 Vulnerability Research Institute.
    - CVE-2022-3043: Heap buffer overflow in Screen Capture.
      Reported by @ginggilBesel.
    - CVE-2022-3044: Inappropriate implementation in Site Isolation.
      Reported by Lucas Pinheiro, Microsoft Browser Vulnerability Research
    - CVE-2022-3045: Insufficient validation of untrusted input in V8.
      Reported by Ben Noordhuis <info@bnoordhuis.nl>.
    - CVE-2022-3046: Use after free in Browser Tag.
      Reported by Rong Jian of VRI.
    - CVE-2022-3071: Use after free in Tab Strip.
      Reported by @ginggilBesel.
    - CVE-2022-3047: Insufficient policy enforcement in Extensions API.
      Reported by Maurice Dauer.
    - CVE-2022-3048: Inappropriate implementation in Chrome OS lockscreen.
      Reported by Andr.Ess.
    - CVE-2022-3049: Use after free in SplitScreen.
      Reported by @ginggilBesel.
    - CVE-2022-3050: Heap buffer overflow in WebUI.
      Reported by Zhihua Yao of KunLun Lab.
    - CVE-2022-3051: Heap buffer overflow in Exosphere.
      Reported by @ginggilBesel.
    - CVE-2022-3052: Heap buffer overflow in Window Manager.
      Reported by Khalil Zhani.
    - CVE-2022-3053: Inappropriate implementation in Pointer Lock.
      Reported by Jesper van den Ende (Pelican Party Studios).
    - CVE-2022-3054: Insufficient policy enforcement in DevTools.
      Reported by Kuilin Li.
    - CVE-2022-3055: Use after free in Passwords. Reported by Weipeng
      Jiang (@Krace) and Guang Gong of 360 Vulnerability Research
      Institute.
    - CVE-2022-3056: Insufficient policy enforcement in Content
      Security Policy. Reported by Anonymous.
    - CVE-2022-3057: Inappropriate implementation in iframe Sandbox.
      Reported by Gareth Heyes.
    - CVE-2022-3058: Use after free in Sign-In Flow.
      Reported by raven at KunLun lab.
  * Drop workaround for lack of older clang's -ffile-prefix-map. This
    should make reproducible builds happy.
  * debian/copyright:
    - Update for new libevent location (moved out of base/).
    - libopenjpeg20 -> libopenjpeg
  * debian/patches:
    - debianization/support-i386.patch: refresh.
    - disable/catapult.patch: refresh.
    - disable/libaom-arm.patch: refresh.
    - system/event.patch: update for new libevent location.
    - system/openjpeg.patch: refresh.
    - bullseye/clang13.patch: drop part of patch dropped upstream.
    - upstream/disk-cache.patch: build fix pulled from upstream.
    - upstream/browser-finder.patch: build fix pulled from upstream.
    - upstream/masklayer-geom.patch: build fix pulled from upstream.
    - system/jsoncpp.patch: drop, merged upstream.
    - fixes/angle-wayland: build fix due to mismatched wayland headers
      on sid. Only needed until angle updates its copy of wayland.
    - disable/welcome-page.patch: drop. Upstream fixed the original
      issue some time ago, and this new version finally cleaned up
      the workaround.
    - fixes/connection-message.patch: drop it. I looked at sending this
      upstream, but the original extension doesn't exist any more,
      and chromium properly prints an error if a proxy is unreachable.
      If you can still reproduce the issue (described in
      http://bugs.debian.org/864539), let me know so I can get it fixed
      upstream.
  * debian/scripts/unbundle: upstream tripled the number of (previously
    vendored) libraries that we can use system versions of. However,
    the majority of them are either not in bullseye or are too old, so
    we'll have to wait to use the debian versions for the ones not newly
    added as build-deps.
  * Disable optimize_webui, due to a build failure using nodejs from
    bullseye. I'll reenable this when it either gets fixed or we're done
    with bullseye security support.
  * Remove sse3-support dependency and just refuse to run if SSE3 is
    not present. Breaking via preinst script isn't appropriate for
    packages that might be installed by default (eg, by Debian Edu).
  * debian/control: add build-deps for brotli, libdouble-conversion-dev,
    libwoff-dev, and libxnvctrl-dev (closes: #987292).
  * Rework default search engine stuff. People did not like the "Your
    browser is managed" and "Your administrator can change your browser
    setup remotely" messages, which are admittedly alarming.
    Instead of using /etc/chromium/policies/recommended/duckduckgo.json,
    delete that and use /etc/chromium/master_preferences instead.

 -- Andres Salomon <dilinger@debian.org>  Wed, 31 Aug 2022 20:48:11 -0400

chromium (104.0.5112.101-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-2852: Use after free in FedCM.
      Reported by Sergei Glazunov of Google Project Zero
    - CVE-2022-2854: Use after free in SwiftShader. Reported by Cassidy
      Kim of Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-2855: Use after free in ANGLE. Reported by Cassidy Kim
      of Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-2857: Use after free in Blink. Reported by Anonymous
    - CVE-2022-2858: Use after free in Sign-In Flow.
      Reported by raven at KunLun lab
    - CVE-2022-2853: Heap buffer overflow in Downloads.
      Reported by Sergei Glazunov of Google Project Zero
    - CVE-2022-2856: Insufficient validation of untrusted input in Intents
      Reported by Ashley Shen and Christian Resell of Google Threat
      Analysis Group
    - CVE-2022-2859: Use after free in Chrome OS Shell. Reported by
      Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2022-2860: Insufficient policy enforcement in Cookies.
      Reported by Axel Chong
    - CVE-2022-2861: Inappropriate implementation in Extensions API.
      Reported by Rong Jian of VRI
  * Change default search engine to DuckDuckGo for privacy reasons.
    Set a different search engine under Settings -> Search Engine
    (closes: #956012).
  * Drop a bunch of versioned build-deps that have been satisfied
    since at least oldoldstable.
  * debian/NEWS.Debian:
    - Document upstream dropping support for older TLSv1 and TLSv1.1
      protocols (closes: #1005808).
    - Document upstream dropping support for older x86 CPUs without
      SSE3 instruction support (closes: #1010407).
    - Document the Google to DuckDuckGo change.
    - Document upstream's config renaming of AuthServerWhitelist to
      AuthServerAllowlist (closes: #1013268).

 -- Andres Salomon <dilinger@debian.org>  Tue, 16 Aug 2022 17:29:29 -0400

chromium (104.0.5112.79-1~deb11u1) bullseye-security; urgency=high

  * Build with Clang 13 instead of the bullseye default of Clang 11.
  * New upstream stable release.
    - CVE-2022-2603: Use after free in Omnibox. Reported by Anonymous
    - CVE-2022-2604: Use after free in Safe Browsing. Reported by
      Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2022-2605: Out of bounds read in Dawn. Reported by Looben Yang
    - CVE-2022-2606: Use after free in Managed devices API. Reported by
      Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2022-2607: Use after free in Tab Strip. Reported by @ginggilBesel
    - CVE-2022-2608: Use after free in Overview Mode.
      Reported by Khalil Zhani
    - CVE-2022-2609: Use after free in Nearby Share. Reported by koocola
      (@alo_cook) and Guang Gong of 360 Vulnerability Research Institute
    - CVE-2022-2610: Insufficient policy enforcement in Background Fetch.
      Reported by Maurice Dauer
    - CVE-2022-2611: Inappropriate implementation in Fullscreen API.
      Reported by Irvan Kurniawan (sourc7)
    - CVE-2022-2612: Side-channel information leakage in Keyboard input.
      Reported by Erik Kraft (erik.kraft5@gmx.at),
      Martin Schwarzl (martin.schwarzl@iaik.tugraz.at)
    - CVE-2022-2613: Use after free in Input.
      Reported by Piotr Tworek (Vewd)
    - CVE-2022-2614: Use after free in Sign-In Flow.
      Reported by raven at KunLun lab
    - CVE-2022-2615: Insufficient policy enforcement in Cookies.
      Reported by Maurice Dauer
    - CVE-2022-2616: Inappropriate implementation in Extensions API.
      Reported by Alesandro Ortiz
    - CVE-2022-2617: Use after free in Extensions API.
      Reported by @ginggilBesel
    - CVE-2022-2618: Insufficient validation of untrusted input in
      Internals. Reported by asnine
    - CVE-2022-2619: Insufficient validation of untrusted input in Settings.
      Reported by Oliver Dunk
    - CVE-2022-2620: Use after free in WebUI. Reported by
      Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2022-2621: Use after free in Extensions.
      Reported by Huyna at Viettel Cyber Security
    - CVE-2022-2622: Insufficient validation of untrusted input in
      Safe Browsing. Reported by Imre Rad (@ImreRad) and @j00sean
    - CVE-2022-2623: Use after free in Offline. Reported by
      raven at KunLun lab
    - CVE-2022-2624: Heap buffer overflow in PDF. Reported by YU-CHANG
      CHEN and CHIH-YEN CHANG, working with DEVCORE Internship Program
  * debian/patches:
    - bullseye/nomerge.patch: drop, was only needed for clang-11.
    - bullseye/clang11.patch: drop clang-11 bits, rename to clang13.patch.
    - bullseye/blink-constexpr.patch: drop, only needed for clang-11.
    - bullseye/byteswap-constexpr2.patch: drop, only needed for clang-11.
    - disable/angle-perftests.patch: refresh
    - disable/catapult.patch: refresh & drop some no longer needed bits.
    - fixes/tflite.patch: fix a build error.
  * debian/copyright:
    - upstream dropped perfetto/ui/src/gen/.

 -- Andres Salomon <dilinger@debian.org>  Thu, 04 Aug 2022 21:39:17 -0400

chromium (103.0.5060.134-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-2477 : Use after free in Guest View. Reported by anonymous
    - CVE-2022-2478 : Use after free in PDF. Reported by triplepwns
    - CVE-2022-2479 : Insufficient validation of untrusted input in File.
      Reported by anonymous
    - CVE-2022-2480 : Use after free in Service Worker API.
      Reported by Sergei Glazunov of Google Project Zero
    - CVE-2022-2481: Use after free in Views. Reported by
      YoungJoo Lee(@ashuu_lee) of CompSecLab at Seoul National University
    - CVE-2022-2163: Use after free in Cast UI and Toolbar.
      Reported by Chaoyuan Peng (@ret2happy)

 -- Andres Salomon <dilinger@debian.org>  Wed, 20 Jul 2022 00:51:39 -0400

chromium (103.0.5060.114-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-2294: Heap buffer overflow in WebRTC. Reported by
      Jan Vojtesek from the Avast Threat Intelligence team
    - CVE-2022-2295: Type Confusion in V8.
      Reported by avaue and Buff3tts at S.S.L.
    - CVE-2022-2296: Use after free in Chrome OS Shell.
      Reported by Khalil Zhani

 -- Andres Salomon <dilinger@debian.org>  Sun, 10 Jul 2022 12:44:03 -0400

chromium (103.0.5060.53-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2022-2156: Use after free in Base.
      Reported by Mark Brand of Google Project Zero
    - CVE-2022-2157: Use after free in Interest groups. Reported by
      Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2022-2158: Type Confusion in V8. Reported by
      Bohan Liu (@P4nda20371774) of Tencent Security Xuanwu Lab
    - CVE-2022-2160: Insufficient policy enforcement in DevTools.
      Reported by David Erceg
    - CVE-2022-2161: Use after free in WebApp Provider.
      Reported by Zhihua Yao of KunLun Lab
    - CVE-2022-2162: Insufficient policy enforcement in File System API.
      Reported by Abdelhamid Naceri (halov)
    - CVE-2022-2163: Use after free in Cast UI and Toolbar.
      Reported by Chaoyuan Peng (@ret2happy)
    - CVE-2022-2164: Inappropriate implementation in Extensions API.
      Reported by José Miguel Moreno Computer Security Lab (COSEC) at UC3M
    - CVE-2022-2165: Insufficient data validation in URL formatting.
      Reported by Rayyan Bijoora
  * debian/patches:
    - upstream/dawn-version-fix.patch: drop merged upstream.
    - upstream/blink-ftbfs.patch: drop, merged upstream.
    - upstream/libxml.patch: drop, merged upstream.
    - upstream/nested-nested-nested-nested-nested-nested-regex-patterns.patch:
      drop, merged upstream.
    - upstream/byteswap-constexpr.patch: drop, merged upstream.
    - bullseye/byteswap-constexpr2.patch: sys_byteswap.h moved directories.
    - disable/angle-perftests.patch: simple refresh.
    - disable/catapult.patch: simple refresh.
    - bullseye/clang11.patch: minor update for some code dropped upstream.
    - system/openjpeg.patch: update for libopenjp2-7-dev's 2.4 -> 2.5 path
      change.

 -- Andres Salomon <dilinger@debian.org>  Tue, 21 Jun 2022 21:40:12 -0400

chromium (102.0.5005.115-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-2007: Use after free in WebGPU. Reported by David Manouchehri
    - CVE-2022-2008: Out of bounds memory access in WebGL.
      Reported by khangkito - Tran Van Khang (VinCSS)
    - CVE-2022-2010: Out of bounds read in compositing.
      Reported by Mark Brand of Google Project Zero
    - CVE-2022-2011: Use after free in ANGLE.
      Reported by SeongHwan Park (SeHwa)
  * debian/patches:
    - bullseye/byteswap-constexpr2.patch - additional fix for bullseye
      builds on 32-bit platforms (closes: #1011096).
    - debianization/support-i386.patch - re-enable support for i386 builds.
      Upstream no longer officially supports i386 builds on linux, so we
      are on our own here.

 -- Andres Salomon <dilinger@debian.org>  Fri, 10 Jun 2022 20:56:01 -0400

chromium (102.0.5005.61-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2022-1853: Use after free in Indexed DB. Reported by Anonymous
    - CVE-2022-1854: Use after free in ANGLE.
      Reported by SeongHwan Park (SeHwa)
    - CVE-2022-1855: Use after free in Messaging. Reported by Anonymous
    - CVE-2022-1856: Use after free in User Education. Reported by
      Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2022-1857: Insufficient policy enforcement in File System API.
      Reported by Daniel Rhea
    - CVE-2022-1858: Out of bounds read in DevTools. Reported by EllisVlad
    - CVE-2022-1859: Use after free in Performance Manager. Reported by
      Guannan Wang (@Keenan7310) of Tencent Security Xuanwu Lab
    - CVE-2022-1860: Use after free in UI Foundations.
      Reported by @ginggilBesel
    - CVE-2022-1861: Use after free in Sharing. Reported by Khalil Zhani
    - CVE-2022-1862: Inappropriate implementation in Extensions.
      Reported by Alesandro Ortiz
    - CVE-2022-1863: Use after free in Tab Groups. Reported by David Erceg
    - CVE-2022-1864: Use after free in WebApp Installs.
      Reported by Yuntao You (@GraVity0) of Bytedance Wuheng Lab
    - CVE-2022-1865: Use after free in Bookmarks.
      Reported by Rong Jian of VRI
    - CVE-2022-1866: Use after free in Tablet Mode.
      Reported by @ginggilBesel
    - CVE-2022-1867: Insufficient validation of untrusted input in
      Data Transfer. Reported by Michał Bentkowski of Securitum
    - CVE-2022-1868: Inappropriate implementation in Extensions API.
      Reported by Alesandro Ortiz
    - CVE-2022-1869: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab
    - CVE-2022-1870: Use after free in App Service. Reported by
      Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2022-1871: Insufficient policy enforcement in File System API.
      Reported by Thomas Orlita
    - CVE-2022-1872: Insufficient policy enforcement in Extensions API.
      Reported by ChaobinZhang
    - CVE-2022-1873: Insufficient policy enforcement in COOP.
      Reported by NDevTK
    - CVE-2022-1874: Insufficient policy enforcement in Safe Browsing.
      Reported by hjy79425575
    - CVE-2022-1875: Inappropriate implementation in PDF. Reported by NDevTK
    - CVE-2022-1876: Heap buffer overflow in DevTools.
      Reported by @ginggilBesel
  * debian/patches:
    - system/jpeg.patch - straight refresh.
    - disable/swiftshader.patch - straight refresh.
    - disable/swiftshader-2.patch - refresh for upstream dropping of legacy
      swiftshader GL stuff; they now use ANGLE.
    - disable/angle-perftests.patch - refresh.
    - system/jsoncpp.patch - refresh for jsoncpp_no_deprecated_declarations
      argument change.
    - bullseye/clang11.patch - merge cast-call.patch into it, as well as
      dropping additional unsupported clang arguments.
    - bullseye/cast-call.patch - drop.
    - upstream/dawn-version-fix.patch - add patch to deal w/ FTBFS.
    - upstream/blink-ftbfs.patch - another FTBFS patch.
    - upstream/nested-nested-nested-nested-nested-nested-regex-patterns.patch -
      fix a build failure that only happens with clang + GNU's libstdc++.
    - upstream/byteswap-constexpr.patch - add this to fix bullsye builds on
      32-bit platforms (closes: #1011096).
  * Don't build unneccessary dawn build tests.

 -- Andres Salomon <dilinger@debian.org>  Wed, 25 May 2022 02:24:52 -0400

chromium (101.0.4951.64-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-1633: Use after free in Sharesheet. Reported by Khalil Zhani
    - CVE-2022-1634: Use after free in Browser UI. Reported by Khalil Zhani
    - CVE-2022-1635: Use after free in Permission Prompts.
      Reported by Anonymous
    - CVE-2022-1636: Use after free in Performance APIs.
      Reported by Seth Brenith, Microsoft
    - CVE-2022-1637: Inappropriate implementation in Web Contents.
      Reported by Alesandro Ortiz
    - CVE-2022-1638: Heap buffer overflow in V8 Internationalization.
      Reported by DoHyun Lee (@l33d0hyun) of DNSLab, Korea University
    - CVE-2022-1639: Use after free in ANGLE.
      Reported by SeongHwan Park (SeHwa)
    - CVE-2022-1640: Use after free in Sharing. Reported by Weipeng
      Jiang (@Krace) and Guang Gong of 360 Vulnerability Research Institute
    - CVE-2022-1641: Use after free in Web UI Diagnostics.
      Reported by Rong Jian of VRI

 -- Andres Salomon <dilinger@debian.org>  Wed, 11 May 2022 11:08:36 -0400

chromium (101.0.4951.54-1) unstable; urgency=low

  * Depend on sse3-support to ensure that chromium is only installed on
    machines that support the SSE3 instruction set. Otherwise we crash,
    as described in #1010407. We can also remove the manual sse2 check now.
    Upstream describes the SSE3 requirement @ http://crbug.com/1123353
  * New upstream stable release.

 -- Andres Salomon <dilinger@debian.org>  Tue, 03 May 2022 12:16:07 -0400

chromium (101.0.4951.41-1~deb11u1) bullseye-security; urgency=high

  * debian/copyright:
    - Delete a bunch of file exclusion lines that no longer exist. That
      png file workaround also goes away.
    - Add a line to delete a prebuilt apache server & related modules that
      upstream now includes for some reason?
  * debian/patches:
    - upstream/rvo-workaround.patch - drop, merged upstream.
    - disable/android.patch - drop part of it that upstream fixed.
    - disable/swiftshader.patch - refresh.
    - upstream/libxml.patch - add fix for upstream bug related to
      building against the system libxml.
    - bullseye/cast-call.patch - add a patch to silence unsupported
      flag warnings in clang <= 13.
  * New upstream stable release.
    - CVE-2022-1477: Use after free in Vulkan.
      Reported by SeongHwan Park (SeHwa)
    - CVE-2022-1478: Use after free in SwiftShader.
      Reported by SeongHwan Park (SeHwa)
    - CVE-2022-1479: Use after free in ANGLE.
      Reported by Jeonghoon Shin of Theori
    - CVE-2022-1480: Use after free in Device API. Reported by @uwu7586
    - CVE-2022-1481: Use after free in Sharing. Reported by Weipeng Jiang
      (@Krace) and Guang Gong of 360 Vulnerability Research Institute
    - CVE-2022-1482: Inappropriate implementation in WebGL.
      Reported by Christoph Diehl, Microsoft
    - CVE-2022-1483: Heap buffer overflow in WebGPU.
      Reported by Mark Brand of Google Project Zero
    - CVE-2022-1484: Heap buffer overflow in Web UI Settings.
      Reported by Chaoyuan Peng (@ret2happy)
    - CVE-2022-1485: Use after free in File System API.
    - CVE-2022-1486: Type Confusion in V8. Reported by Brendon Tiszka
    - CVE-2022-1487: Use after free in Ozone. Reported by Sri
    - CVE-2022-1488: Inappropriate implementation in Extensions API.
      Reported by Thomas Beverley from Wavebox.io
    - CVE-2022-1489: Out of bounds memory access in UI Shelf.
      Reported by Khalil Zhani
    - CVE-2022-1490: Use after free in Browser Switcher.
      Reported by raven at KunLun lab
    - CVE-2022-1491: Use after free in Bookmarks.
      Reported by raven at KunLun lab
    - CVE-2022-1492: Insufficient data validation in Blink Editing.
      Reported by Michał Bentkowski of Securitum
    - CVE-2022-1493: Use after free in Dev Tools.
      Reported by Zhihua Yao of KunLun Lab
    - CVE-2022-1494: Insufficient data validation in Trusted Types.
      Reported by Masato Kinugawa
    - CVE-2022-1495: Incorrect security UI in Downloads.
      Reported by Umar Farooq
    - CVE-2022-1496: Use after free in File Manager. Reported by Zhiyi
      Zhang and Zhunki from Codesafe Team of Legendsec at Qi'anxin Group
    - CVE-2022-1497: Inappropriate implementation in Input. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2022-1498: Inappropriate implementation in HTML Parser.
      Reported by SeungJu Oh (@real_as3617)
    - CVE-2022-1499: Inappropriate implementation in WebAuthentication.
      Reported by Jun Kokatsu, Microsoft Browser Vulnerability Research
    - CVE-2022-1500: Insufficient data validation in Dev Tools.
      Reported by Hoang Nguyen
    - CVE-2022-1501: Inappropriate implementation in iframe.
      Reported by Oriol Brufau

 -- Andres Salomon <dilinger@debian.org>  Tue, 26 Apr 2022 18:25:05 -0400

chromium (100.0.4896.127-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-1364: Type Confusion in V8.
      Reported by Clément Lecigne of Google's Threat Analysis Group

 -- Andres Salomon <dilinger@debian.org>  Fri, 15 Apr 2022 13:12:11 -0400

chromium (100.0.4896.88-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-1305: Use after free in storage. Reported by Anonymous
    - CVE-2022-1306: Inappropriate implementation in compositing.
      Reported by Sven Dysthe
    - CVE-2022-1307: Inappropriate implementation in full screen.
      Reported by Irvan Kurniawan (sourc7)
    - CVE-2022-1308: Use after free in BFCache.
      Reported by Samet Bekmezci @sametbekmezci
    - CVE-2022-1309: Insufficient policy enforcement in developer tools.
      Reported by David Erceg
    - CVE-2022-1310: Use after free in regular expressions.
      Reported by Brendon Tiszka
    - CVE-2022-1311: Use after free in Chrome OS shell.
      Reported by Nan Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2022-1312: Use after free in storage. Reported by
      Leecraso and Guang Gong of 360 Vulnerability Research Institute
    - CVE-2022-1313: Use after free in tab groups. Reported by Thomas Orlita
    - CVE-2022-1314: Type Confusion in V8.
      Reported by Bohan Liu (@P4nda20371774) of Tencent Security Xuanwu Lab

 -- Andres Salomon <dilinger@debian.org>  Tue, 12 Apr 2022 04:03:19 -0400

chromium (100.0.4896.75-1~deb11u1) bullseye-security; urgency=high

  * debian/copyright:
    - Stop dropping third_party/zlib/contrib/, which is just source code
      with acceptable licenses.
    - Replace the rule that dropped third_party/depot_tools with a more
      specific rule that drops just the ninja binaries. Also delete some
      unused png files to work around a bug in our scripts.
    - Replace a rule that dropped third_party/devtools-frontend/src/test
      with just dropping all wasm files ('*.wasm'), as well as
      third_party/devtools-frontend/src/test/screenshots/image_diff/.
  * debian/patches:
    - disable/swiftshader-2.patch - drop most of it that's wrapped in a
      check for windows.
    - disable/fuzzers.patch - drop it; with the last release modifying
      fuzzer inclusion, we can now configure the build without this.
    - disable/owners.patch - drop it; no longer needed with depot_tools
      remaining in the source tree.
    - disable/devtools-unittests.patch - drop it; no longer needed if
      we keep third_party/devtools-frontend/src/test in the source tree.
    - disable/tests.patch - drop half of it; the media/gpu changes aren't
      needed, while keeping stuff in third_party/devtools-frontend/src/test
      from building is still necessary.
  * Drop enable_nacl_nonsfi=false from debian/rules, as upstream got rid
    of the variable.
  * New upstream security release.
    - CVE-2022-1232: Type Confusion in V8.
      Reported by Sergei Glazunov of Google Project Zero.

 -- Andres Salomon <dilinger@debian.org>  Wed, 06 Apr 2022 04:35:21 -0400

chromium (100.0.4896.60-1~deb11u1) bullseye-security; urgency=high

  * Fix debian/watch to find the correct upstream version.
  * Ensure xz uses all available cpu cores when preparing orig.tar.gz
  * Switch to bundled ICU, since Debian's ICU is 2 years old at this point
    and upstream depends on a bunch of new API in ICU 69.1.
  * debian/copyright:
    - ensure all *.dlls are dropped from source.
    - Stop dropping '*fuzz' directories. It was too aggressive, resulting
      in build errors for perfectly fine BSD-3-clause and similar code.
    - Instead, drop '*corpus' and '*corpora' directories. Some of it is
      fine (lots generated by oss-fuzz with .dict files provided), but
      not all of it is and it's easier to just drop it.
    - Drop an esbuild binary.
    - The full upstream tarball includes additional stuff we don't want,
      so drop *.jar, tools/win, and some other stuff in third_party/.
  * debian/rules:
    - Disabling & deleting swiftshader now also needs to add
      dawn_use_swiftshader=false.
    - Switch from -lite upstream tarball to the full tarball in order to
      include ICU sources.
  * debian/patches:
    - upstream/libdrm.patch - drop, merged upstream.
    - debianization/manpage.patch - drop a small chunk merged upstream.
    - system/icu.patch - drop now that we're bundling ICU.
    - bullseye/icu-types.patch - drop now that we're bundling ICU.
    - system/convertutf.patch - update build for bundled ICU path.
    - fixes/closure.patch - drop now that we're no longer using lite tarball.
    - disable/driver-chrome-path.patch - refresh for BUILDFLAG() macro.
    - system/jsoncpp.patch - refresh for unrelated ios change.
    - disable/catapult.patch - refresh due to moving around of .pak files.
    - upstream/rvo-workaround.patch - added to fix FTBFS w/ clang-11. Pulled
      from upstream git.
  * New upstream stable release.
    - CVE-2022-1125: Use after free in Portals. Reported by Khalil Zhani
    - CVE-2022-1127: Use after free in QR Code Generator.
      Reported by anonymous
    - CVE-2022-1128: Inappropriate implementation in Web Share API.
      Reported by Abdel Adim (@smaury92) Oisfi of Shielder
    - CVE-2022-1129: Inappropriate implementation in Full Screen Mode.
      Reported by Irvan Kurniawan (sourc7)
    - CVE-2022-1130: Insufficient validation of untrusted input in WebOTP.
      Reported by Sergey Toshin of Oversecurity Inc.
    - CVE-2022-1131: Use after free in Cast UI. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2022-1132: Inappropriate implementation in Virtual Keyboard.
      Reported by Andr.Ess
    - CVE-2022-1133: Use after free in WebRTC. Reported by Anonymous
    - CVE-2022-1134: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab
    - CVE-2022-1135: Use after free in Shopping Cart.
      Reported by Wei Yuan of MoyunSec VLab
    - CVE-2022-1136: Use after free in Tab Strip . Reported by Krace
    - CVE-2022-1137: Inappropriate implementation in Extensions.
      Reported by Thomas Orlita
    - CVE-2022-1138: Inappropriate implementation in Web Cursor.
      Reported by Alesandro Ortiz
    - CVE-2022-1139: Inappropriate implementation in Background Fetch API.
      Reported by Maurice Dauer
    - CVE-2022-1141: Use after free in File Manager.
      Reported by raven at KunLun lab
    - CVE-2022-1142: Heap buffer overflow in WebUI.
      Reported by Leecraso and Guang Gong of 360 Alpha Lab
    - CVE-2022-1143: Heap buffer overflow in WebUI.
      Reported by Leecraso and Guang Gong of 360 Alpha Lab
    - CVE-2022-1144: Use after free in WebUI.
      Reported by Leecraso and Guang Gong of 360 Alpha Lab
    - CVE-2022-1145: Use after free in Extensions.
      Reported by Yakun Zhang of Baidu Security
    - CVE-2022-1146: Inappropriate implementation in Resource Timing.
      Reported by Sohom Datta

 -- Andres Salomon <dilinger@debian.org>  Fri, 01 Apr 2022 23:22:56 -0400

chromium (99.0.4844.84-1~deb11u1) bullseye-security; urgency=high

  * New upstream security ("just *ONE* security hole, that's it?!") release.
    - CVE-2022-1096: Type Confusion in V8. Reported by anonymous.

 -- Andres Salomon <dilinger@debian.org>  Sat, 26 Mar 2022 13:24:59 -0500

chromium (99.0.4844.74-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-0971: Use after free in Blink Layout.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0972: Use after free in Extensions.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0973: Use after free in Safe Browsing.
      Reported by avaue and Buff3tts at S.S.L.
    - CVE-2022-0974 : Use after free in Splitscreen.
      Reported by @ginggilBesel.
    - CVE-2022-0975: Use after free in ANGLE.
      Reported by SeongHwan Park (SeHwa).
    - CVE-2022-0976: Heap buffer overflow in GPU. Reported by Omair.
    - CVE-2022-0977: Use after free in Browser UI. Reported by Khalil Zhani.
    - CVE-2022-0978: Use after free in ANGLE. Reported by Cassidy Kim of
      Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-0979: Use after free in Safe Browsing. Reported by anonymous.
    - CVE-2022-0980: Use after free in New Tab Page. Reported by Krace.

 -- Andres Salomon <dilinger@debian.org>  Wed, 16 Mar 2022 13:51:21 -0500

chromium (99.0.4844.51-2) unstable; urgency=medium

  * Change dependency on xdg-desktop-portal-* packages to be
    libgtk-3-0|xdg-desktop-portal-backend. Some folks don't want all
    the dependencies of the xdg portal packages, and chromium really just
    requires gtk unless runnning under KDE (closes: #1006267).
  * Disable fieldtrial testing config to fix some sandboxing issues. We
    used to do this, but the config flag was renamed (closes: #1003622).
  * Adjust patches:
    + system/zlib.patch: drop part of it that is unnecessary.

 -- Andres Salomon <dilinger@debian.org>  Sun, 06 Mar 2022 12:46:55 -0500

chromium (99.0.4844.51-1~deb11u1) bullseye-security; urgency=high

  * Embed harfbuzz instead of using the system harfbuzz. Debian doesn't
    yet package harfbuzz-subset (see #988781). Once it is packaged, we
    can go back to using it.
  * Build against Debian's rapidjson-dev package instead of ANGLE's
    bundled rapidjson.
  * Adjust patches:
    + system/harfbuzz.patch - drop, we're using bundled harfbuzz now.
    + upstream/quiche-include.patch - drop, merged upstream.
    + upstream/restrict.patch - drop, merged upstream.
    + upstream/sequence-point.patch - drop, merged upstream.
    + disable/installer.patch - use new BUILDFLAG() macro.
    + disable/unrar.patch - use new BUILDFLAG() macro.
    + disable/welcome-page.patch - use new BUILDFLAG() macro.
    + disable/widevine-cdm.cu.patch - use new BUILDFLAG() macro.
    + disable/tests.patch - drop unnecessary parts of the patch (which ends
      up being most of it).
    + disable/angle-perftests.patch - drop config disabling ANGLE's rapidjson.
    + disable/swiftshader.patch - drop removal of rapidjson dependency.
    + system/rapidjson.patch - add to enable building w/ rapidjson-dev.
  * New upstream stable release.
    - CVE-2022-0789: Heap buffer overflow in ANGLE.
      Reported by SeongHwan Park (SeHwa).
    - CVE-2022-0790: Use after free in Cast UI. Reported by Anonymous.
    - CVE-2022-0791: Use after free in Omnibox.
      Reported by Zhihua Yao of KunLun Lab.
    - CVE-2022-0792: Out of bounds read in ANGLE.
      Reported by Jaehun Jeong(@n3sk) of Theori.
    - CVE-2022-0793: Use after free in Views. Reported by Thomas Orlita.
    - CVE-2022-0794: Use after free in WebShare. Reported by Khalil Zhani.
    - CVE-2022-0795: Type Confusion in Blink Layout. Reported by 0x74960.
    - CVE-2022-0796: Use after free in Media. Reported by Cassidy Kim
      of Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-0797: Out of bounds memory access in Mojo.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0798: Use after free in MediaStream.
      Reported by Samet Bekmezci @sametbekmezci.
    - CVE-2022-0799: Insufficient policy enforcement in Installer.
      Reported by Abdelhamid Naceri (halov).
    - CVE-2022-0800: Heap buffer overflow in Cast UI.
      Reported by Khalil Zhani.
    - CVE-2022-0801: Inappropriate implementation in HTML parser.
      Reported by Michał Bentkowski of Securitum.
    - CVE-2022-0802: Inappropriate implementation in Full screen mode.
      Reported by Irvan Kurniawan (sourc7).
    - CVE-2022-0803: Inappropriate implementation in Permissions.
      Reported by Abdulla Aldoseri.
    - CVE-2022-0804: Inappropriate implementation in Full screen mode.
      Reported by Irvan Kurniawan (sourc7).
    - CVE-2022-0805: Use after free in Browser Switcher.
      Reported by raven at KunLun Lab.
    - CVE-2022-0806: Data leak in Canvas. Reported by Paril.
    - CVE-2022-0807: Inappropriate implementation in Autofill.
      Reported by Alesandro Ortiz.
    - CVE-2022-0808: Use after free in Chrome OS Shell.
      Reported by @ginggilBesel.
    - CVE-2022-0809: Out of bounds memory access in WebXR.
      Reported by @uwu7586.

 -- Andres Salomon <dilinger@debian.org>  Thu, 03 Mar 2022 00:14:50 -0500

chromium (98.0.4758.102-1~deb11u1) bullseye-security; urgency=high

  * Enable pipewire support in webrtc (closes: #954824).
  * Enable optimize_webui. This UI speed improvement was originally
    disabled due to nodejs deps, but recent upstream changes makes those
    deps necessary either way (closes: #970571).
  * Switch to using bundled node modules, to deal with (frequent) build
    failures (closes: #1005466).
  * Manually depend on xdg-desktop-portal-* packages. The file saving
    dialog needs a UI toolkit (closes: #1005230).
  * New upstream security release.
    - CVE-2022-0603: Use after free in File Manager.
      Reported by Chaoyuan Peng (@ret2happy).
    - CVE-2022-0604: Heap buffer overflow in Tab Groups. Reported by Krace.
    - CVE-2022-0605: Use after free in Webstore API.
      Reported by Thomas Orlita.
    - CVE-2022-0606: Use after free in ANGLE.
    - CVE-2022-0606: Use after free in ANGLE. Reported by Cassidy Kim of
      Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-0607: Use after free in GPU. Reported by 0x74960.
    - CVE-2022-0608: Integer overflow in Mojo.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0609: Use after free in Animation. Reported by
      Adam Weidemann and Clément Lecigne of Google's Threat Analysis Group.
    - CVE-2022-0610: Inappropriate implementation in Gamepad API.
      Reported by Anonymous.

 -- Andres Salomon <dilinger@debian.org>  Tue, 15 Feb 2022 20:15:03 -0500

chromium (98.0.4758.80-1~deb11u1) bullseye-security; urgency=high

  * Update manpage for package rename and everyone moving to https.
  * Drop libnpsr4-dev versioned dep.
  * Drop a bunch of patches (changes shouldn't affect chromium users).
    See https://salsa.debian.org/chromium-team/chromium/-/commits/master/
    for the dropped patches.
  * New upstream stable release.
    - CVE-2022-0452: Use after free in Safe Browsing.
      Reported by avaue at S.S.L.
    - CVE-2022-0453: Use after free in Reader Mode.
      Reported by Rong Jian of VRI.
    - CVE-2022-0454: Heap buffer overflow in ANGLE.
      Reported by Seong-Hwan Park (SeHwa).
    - CVE-2022-0455: Inappropriate implementation in Full Screen Mode.
      Reported by Irvan Kurniawan (sourc7).
    - CVE-2022-0456: Use after free in Web Search.
      Reported by Zhihua Yao of KunLun Lab.
    - CVE-2022-0457: Type Confusion in V8. Reported by rax of the Group0x58.
    - CVE-2022-0458: Use after free in Thumbnail Tab Strip.
      Reported by Anonymous.
    - CVE-2022-0459: Use after free in Screen Capture.
      Reported by raven (@raid_akame).
    - CVE-2022-0460: Use after free in Window Dialog. Reported by 0x74960.
    - CVE-2022-0461: Policy bypass in COOP. Reported by NDevTK.
    - CVE-2022-0462: Inappropriate implementation in Scroll.
      Reported by Youssef Sammouda.
    - CVE-2022-0463: Use after free in Accessibility.
      Reported by Zhihua Yao of KunLun Lab.
    - CVE-2022-0464: Use after free in Accessibility.
      Reported by Zhihua Yao of KunLun Lab.
    - CVE-2022-0465: Use after free in Extensions.
      Reported by Samet Bekmezci @sametbekmezci.
    - CVE-2022-0466: Inappropriate implementation in Extensions Platform.
      Reported by David Erceg.
    - CVE-2022-0467: Inappropriate implementation in Pointer Lock.
      Reported by Alesandro Ortiz.
    - CVE-2022-0468: Use after free in Payments. Reported by Krace.
    - CVE-2022-0469: Use after free in Cast. Reported by Thomas Orlita.
    - CVE-2022-0470: Out of bounds memory access in V8. Reported by Looben Yang.

 -- Andres Salomon <dilinger@debian.org>  Sat, 05 Feb 2022 20:18:00 -0500

chromium (97.0.4692.99-1~deb11u2) bullseye-security; urgency=high

  * Revert the terser build-dep for bullseye.

 -- Andres Salomon <dilinger@debian.org>  Sat, 22 Jan 2022 16:46:08 -0500

chromium (97.0.4692.99-1~deb11u1) bullseye-security; urgency=high

  * Add myself as an uploader.
  * Build-dep on terser | uglifyjs.terser (closes: #1001036).
  * Revert automatic wayland detection for now (closes: #1003689).
    We'll try again in chromium v98 or v99.
  * New upstream stable release.
    - CVE-2022-0289: Use after free in Safe browsing.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0290: Use after free in Site isolation. Reported by
      Brendon Tiszka and Sergei Glazunov of Google Project Zero.
    - CVE-2022-0291: Inappropriate implementation in Storage.
      Reported by Anonymous.
    - CVE-2022-0292: Inappropriate implementation in Fenced Frames.
      Reported by Brendon Tiszka.
    - CVE-2022-0293: Use after free in Web packaging. Reported by
      Rong Jian and Guang Gong of 360 Alpha Lab.
    - CVE-2022-0294: Inappropriate implementation in Push messaging.
      Reported by Rong Jian and Guang Gong of 360 Alpha Lab.
    - CVE-2022-0295: Use after free in Omnibox. Reported by Weipeng Jiang
      (@Krace) and Guang Gong of 360 Vulnerability Research Institute.
    - CVE-2022-0296: Use after free in Printing. Reported by koocola(@alo_cook)
      and Guang Gong of 360 Vulnerability Research Institute.
    - CVE-2022-0297: Use after free in Vulkan. Reported by Cassidy Kim of
      Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-0298: Use after free in Scheduling.
      Reported by Yangkang (@dnpushme) of 360 ATA.
    - CVE-2022-0300: Use after free in Text Input Method Editor. Reported by
      Rong Jian and Guang Gong of 360 Alpha Lab.
    - CVE-2022-0301: Heap buffer overflow in DevTools. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research.
    - CVE-2022-0302: Use after free in Omnibox. Reported by Weipeng Jiang
      (@Krace) and Guang Gong of 360 Vulnerability Research Institute.
    - CVE-2022-0303: Race in GPU Watchdog.
      Reported by Yiğit Can YILMAZ (@yilmazcanyigit).
    - CVE-2022-0304: Use after free in Bookmarks. Reported by Rong Jian and
      Guang Gong of 360 Alpha Lab.
    - CVE-2022-0305: Inappropriate implementation in Service Worker API.
      Reported by @uwu7586.
    - CVE-2022-0306: Heap buffer overflow in PDFium.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0307: Use after free in Optimization Guide.
      Reported by Samet Bekmezci @sametbekmezci.
    - CVE-2022-0308: Use after free in Data Transfer.
      Reported by @ginggilBesel.
    - CVE-2022-0309: Inappropriate implementation in Autofill.
      Reported by Alesandro Ortiz.
    - CVE-2022-0310: Heap buffer overflow in Task Manager.
      Reported by Samet Bekmezci @sametbekmezci.
    - CVE-2022-0311: Heap buffer overflow in Task Manager.
      Reported by Samet Bekmezci @sametbekmezci.

 -- Andres Salomon <dilinger@debian.org>  Thu, 20 Jan 2022 22:30:05 -0500

chromium (97.0.4692.71-0.1~deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload.
  * Stop building chromium's bunded gn and instead build-dep on generate-ninja.
  * Drop numerous patches related to gcc building, since we just build w/ clang.
  * Use python3 as default instead of relying on python2
    (closes: #942962, #996375).
  * Enable the ozone backend in the build (closes: #955540).
  * Automatically detect & enable Wayland support when launching chromium
    (closes: #861796).
  * Rename crashpad_handler to chrome_crashpad_handler.
  * No longer hardcode desktop GL implementation as default - it causes
    the chromium compositor's draw buffer to fill up & crash on my system.
  * Enable official builds.
  * Switch to using bundled ffmpeg instead of debian's ffmpeg.
  * New upstream stable release (closes: #995212).
    - CVE-2022-0096: Use after free in Storage. Reported by Yangkang
      (@dnpushme) of 360 ATA
    - CVE-2022-0097: Inappropriate implementation in DevTools. Reported by
      David Erceg
    - CVE-2022-0098: Use after free in Screen Capture. Reported by
      @ginggilBesel
    - CVE-2022-0099: Use after free in Sign-in. Reported by Rox
    - CVE-2022-0100: Heap buffer overflow in Media streams API. Reported by
      Cassidy Kim of Amber Security Lab, OPPO Mobile Telecommunications
      Corp. Ltd.
    - CVE-2022-0101: Heap buffer overflow in Bookmarks. Reported by raven
      (@raid_akame)
    - CVE-2022-0102: Type Confusion in V8. Reported by Brendon Tiszka
    - CVE-2022-0103: Use after free in SwiftShader. Reported by Abraruddin
      Khan and Omair
    - CVE-2022-0104: Heap buffer overflow in ANGLE. Reported by Abraruddin
      Khan and Omair
    - CVE-2022-0105: Use after free in PDF. Reported by Cassidy Kim of Amber
      Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-0106: Use after free in Autofill. Reported by Khalil Zhani
    - CVE-2022-0107: Use after free in File Manager API. Reported by raven
      (@raid_akame)
    - CVE-2022-0108: Inappropriate implementation in Navigation. Reported by
      Luan Herrera (@lbherrera_)
    - CVE-2022-0109: Inappropriate implementation in Autofill. Reported by
      Young Min Kim (@ylemkimon), CompSec Lab at Seoul National University
    - CVE-2022-0110: Incorrect security UI in Autofill. Reported by
      Alesandro Ortiz
    - CVE-2022-0111: Inappropriate implementation in Navigation. Reported by
      garygreen
    - CVE-2022-0112: Incorrect security UI in Browser UI. Reported by Thomas
      Orlita
    - CVE-2022-0113: Inappropriate implementation in Blink. Reported by Luan
      Herrera (@lbherrera_)
    - CVE-2022-0114: Out of bounds memory access in Web Serial. Reported by
      Looben Yang
    - CVE-2022-0115: Uninitialized Use in File API. Reported by Mark Brand
      of Google Project Zero
    - CVE-2022-0116: Inappropriate implementation in Compositing. Reported
      by Irvan Kurniawan (sourc7)
    - CVE-2022-0117: Policy bypass in Service Workers. Reported by
      Dongsung Kim (@kid1ng)
    - CVE-2022-0118: Inappropriate implementation in WebShare. Reported by
      Alesandro Ortiz
    - CVE-2022-0120: Inappropriate implementation in Passwords. Reported by
      CHAKRAVARTHI (Ruler96)
    (96.0.4664.110)
    - CVE-2021-4098: Insufficient data validation in Mojo. Reported by
      Sergei Glazunov of Google Project Zero
    - CVE-2021-4099: Use after free in Swiftshader. Reported by Aki Helin
      of Solita
    - CVE-2021-4100: Object lifecycle issue in ANGLE. Reported by Aki Helin
      of Solita
    - CVE-2021-4101: Heap buffer overflow in Swiftshader. Reported by
      Abraruddin Khan and Omair
    - CVE-2021-4102: Use after free in V8. Reported by Anonymous
    (96.0.4664.93)
    - CVE-2021-4052: Use after free in web apps. Reported by Wei Yuan of
      MoyunSec VLab
    - CVE-2021-4053: Use after free in UI. Reported by Rox
    - CVE-2021-4079: Out of bounds write in WebRTC. Reported by Brendon
      Tiszka
    - CVE-2021-4054: Incorrect security UI in autofill. Reported by
      Alesandro Ortiz
    - CVE-2021-4078: Type confusion in V8. Reported by Nan
      Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2021-4055: Heap buffer overflow in extensions. Reported by Chen
      Rong
    - CVE-2021-4056: Type Confusion in loader. Reported by @__R0ng of 360
      Alpha Lab
    - CVE-2021-4057: Use after free in file API. Reported by Sergei
      Glazunov of Google Project Zero
    - CVE-2021-4058: Heap buffer overflow in ANGLE. Reported by Abraruddin
      Khan and Omair
    - CVE-2021-4059: Insufficient data validation in loader. Reported by
      Luan Herrera (@lbherrera_)
    - CVE-2021-4061: Type Confusion in V8. Reported by Paolo Severini
    - CVE-2021-4062: Heap buffer overflow in BFCache. Reported by Leecraso
      and Guang Gong of 360 Alpha Lab
    - CVE-2021-4063: Use after free in developer tools. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-4064: Use after free in screen capture. Reported by
      @ginggilBesel
    - CVE-2021-4065: Use after free in autofill. Reported by 5n1p3r0010
      from Topsec ChiXiao Lab
    - CVE-2021-4066: Integer underflow in ANGLE. Reported by Jaehun
      Jeong(@n3sk) of Theori
    - CVE-2021-4067: Use after free in window manager. Reported by
      @ginggilBesel
    - CVE-2021-4068: Insufficient validation of untrusted input in new tab
      page. Reported by NDevTK
    (96.0.4664.45)
    - CVE-2021-38008: Use after free in media. Reported by Marcin Towalski
    - CVE-2021-38009: Inappropriate implementation in cache.
      Reported by Luan Herrera (@lbherrera_)
    - CVE-2021-38006: Use after free in storage foundation.
      Reported by Sergei Glazunov of Google Project Zero
    - CVE-2021-38007: Type Confusion in V8. Reported by Polaris Feng and
      SGFvamll at Singular Security Lab
    - CVE-2021-38005: Use after free in loader.
      Reported by Sergei Glazunov of Google Project Zero
    - CVE-2021-38010: Inappropriate implementation in service workers.
      Reported by Sergei Glazunov of Google Project Zero
    - CVE-2021-38011: Use after free in storage foundation.
      Reported by Sergei Glazunov of Google Project Zero
    - CVE-2021-38012: Type Confusion in V8. Reported by Yonghwi Jin (@jinmo123)
    - CVE-2021-38013: Heap buffer overflow in fingerprint recognition.
      Reported by raven (@raid_akame)
    - CVE-2021-38014: Out of bounds write in Swiftshader.
      Reported by Atte Kettunen of OUSPG
    - CVE-2021-38015: Inappropriate implementation in input.
      Reported by David Erceg
    - CVE-2021-38016: Insufficient policy enforcement in background fetch.
      Reported by Maurice Dauer
    - CVE-2021-38017: Insufficient policy enforcement in iframe sandbox.
      Reported by NDevTK
    - CVE-2021-38018: Inappropriate implementation in navigation.
      Reported by Alesandro Ortiz
    - CVE-2021-38019: Insufficient policy enforcement in CORS.
      Reported by Maurice Dauer
    - CVE-2021-38020: Insufficient policy enforcement in contacts picker.
      Reported by Luan Herrera (@lbherrera_)
    - CVE-2021-38021: Inappropriate implementation in referrer.
      Reported by Prakash (@1lastBr3ath)
    - CVE-2021-38022: Inappropriate implementation in WebAuthentication.
      Reported by Michal Kepkowski
    (95.0.4638.69)
    - CVE-2021-37997: Use after free in Sign-In. Reported by Wei Yuan of
      MoyunSec VLab
    - CVE-2021-37998: Use after free in Garbage Collection. Reported by
      Cassidy Kim of Amber Security Lab, OPPO Mobile Telecommunications
      Corp. Ltd.
    - CVE-2021-37999: Insufficient data validation in New Tab Page.
      Reported by Ashish Arun Dhone
    - CVE-2021-38000: Insufficient validation of untrusted input in Intents.
      Reported by Clement Lecigne, Neel Mehta, and Maddie Stone of Google
      Threat Analysis Group
    - CVE-2021-38001: Type Confusion in V8. Reported by @s0rrymybad of
      Kunlun Lab via Tianfu Cup
    - CVE-2021-38002: Use after free in Web Transport. Reported by @__R0ng
      of 360 Alpha Lab, 漏洞研究院青训队 via Tianfu Cup
    - CVE-2021-38003: Inappropriate implementation in V8. Reported by Clément
      Lecigne from Google TAG and Samuel Groß from Google Project Zero
    - CVE-2021-38004: Insufficient policy enforcement in Autofill. Reported
      by Mark Amery
    (95.0.4638.54)
    - CVE-2021-37981: Heap buffer overflow in Skia. Reported by Yangkang
      (@dnpushme) of 360 ATA
    - CVE-2021-37982: Use after free in Incognito. Reported by Weipeng Jiang
      (@Krace) from Codesafe Team of Legendsec at Qi'anxin Group
    - CVE-2021-37983: Use after free in Dev Tools. Reported by Zhihua Yao
      of KunLun Lab
    - CVE-2021-37984: Heap buffer overflow in PDFium. Reported by Antti
      Levomäki, Joonas Pihlaja and Christian Jalio from Forcepoint
    - CVE-2021-37985: Use after free in V8. Reported by Yangkang (@dnpushme)
      of 360 ATA
    - CVE-2021-37986: Heap buffer overflow in Settings.
      Reported by raven (@raid_akame)
    - CVE-2021-37987: Use after free in Network APIs. Reported by
      Yangkang (@dnpushme) of 360 ATA
    - CVE-2021-37988: Use after free in Profiles. Reported by raven
     (@raid_akame)
    - CVE-2021-37989: Inappropriate implementation in Blink.
      Reported by Matt Dyas, Ankur Sundara
    - CVE-2021-37990: Inappropriate implementation in WebView. Reported by
      Kareem Selim of CyShield
    - CVE-2021-37991: Race in V8. Reported by Samuel Groß of Google Project
      Zero
    - CVE-2021-37992: Out of bounds read in WebAudio. Reported by
      sunburst@Ant Security Light-Year Lab
    - CVE-2021-37993: Use after free in PDF Accessibility. Reported by Cassidy
      Kim of Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2021-37996: Insufficient validation of untrusted input in Downloads.
      Reported by Anonymous
    - CVE-2021-37994: Inappropriate implementation in iFrame Sandbox.
      Reported by David Erceg
    - CVE-2021-37995: Inappropriate implementation in WebApp Installer.
      Reported by Terence Eden
    (94.0.4606.81)
    - CVE-2021-37977: Use after free in Garbage Collection. Reported by
      Anonymous
    - CVE-2021-37978: Heap buffer overflow in Blink. Reported by Yangkang
      (@dnpushme) of 360 ATA
    - CVE-2021-37979: Heap buffer overflow in WebRTC. Reported by Marcin
      Towalski of Cisco Talos
    - CVE-2021-37980: Inappropriate implementation in Sandbox. Reported by
      Yonghwi Jin (@jinmo123) of Theori
    (94.0.4606.71)
    - CVE-2021-37974: Use after free in Safe Browsing. Reported by Weipeng
      Jiang (@Krace) from Codesafe Team of Legendsec at Qi'anxin Group
    - CVE-2021-37975: Use after free in V8. Reported by Anonymous
    - CVE-2021-37976: Information leak in core. Reported by Clément Lecigne
      from Google TAG, with technical assistance from Sergei Glazunov and
      Mark Brand from Google Project Zero
    (94.0.4606.61)
    - CVE-2021-37973: Use after free in Portals. Reported by Clément Lecigne
      from Google TAG, with technical assistance from Sergei Glazunov and
      Mark Brand from Google Project Zero
    (94.0.4606.54)
    - CVE-2021-37956 Use after free in Offline use. Reported by Huyna at
      Viettel Cyber Security
    - CVE-2021-37957: Use after free in WebGPU. Reported by Looben Yang
    - CVE-2021-37958: Inappropriate implementation in Navigation. Reported by
      James Lee (@Windowsrcer)
    - CVE-2021-37959: Use after free in Task Manager. Reported by raven
      (@raid_akame)
    - CVE-2021-37961: Use after free in Tab Strip. Reported by Khalil Zhani
    - CVE-2021-37962: Use after free in Performance Manager. Reported by Sri
    - CVE-2021-37963: Side-channel information leakage in DevTools. Reported
      by Daniel Genkin and Ayush Agarwal, University of Michigan, Eyal Ronen
      and Shaked Yehezkel, Tel Aviv University, Sioli O’Connell, University of
      Adelaide, and Jason Kim, Georgia Institute of Technology
    - CVE-2021-37964: Inappropriate implementation in ChromeOS Networking.
      Reported by Hugo Hue and Sze Yiu Chau of the Chinese University of Hong
      Kong
    - CVE-2021-37965: Inappropriate implementation in Background Fetch API.
      Reported by Maurice Dauer
    - CVE-2021-37966: Inappropriate implementation in Compositing. Reported by
      Mohit Raj (shadow2639)
    - CVE-2021-37967: Inappropriate implementation in Background Fetch API.
      Reported by SorryMybad (@S0rryMybad) of Kunlun Lab
    - CVE-2021-37968: Inappropriate implementation in Background Fetch API.
      Reported by Maurice Dauer
    - CVE-2021-37969: Inappropriate implementation in Google Updater. Reported
      by Abdelhamid Naceri (halov)
    - CVE-2021-37970: Use after free in File System API. Reported by
      SorryMybad (@S0rryMybad) of Kunlun Lab
    - CVE-2021-37971: Incorrect security UI in Web Browser UI. Reported by
      Rayyan Bijoora
    - CVE-2021-37972: Out of bounds read in libjpeg-turbo. Reported by Xu
      Hanyu and Lu Yutao from Panguite-Forensics-Lab of Qianxin

 -- Andres Salomon <dilinger@debian.org>  Thu, 13 Jan 2022 18:30:21 -0500

chromium (93.0.4577.82-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2021-30625: Use after free in Selection API. Reported by Marcin
      Towalski of Cisco Talos
    - CVE-2021-30626: Out of bounds memory access in ANGLE. Reported by
      Jeonghoon Shin of Theori
    - CVE-2021-30627: Type Confusion in Blink layout. Reported by Aki Helin of
      OUSPG
    - CVE-2021-30628: Stack buffer overflow in ANGLE. Reported by Jaehun Jeong
      @n3sk of Theori
    - CVE-2021-30629: Use after free in Permissions. Reported by Weipeng Jiang
      @Krace from Codesafe Team of Legendsec at Qi'anxin Group
    - CVE-2021-30630: Inappropriate implementation in Blink . Reported by
      SorryMybad @S0rryMybad of Kunlun Lab
    - CVE-2021-30631: Type Confusion in Blink layout. Reported by Atte Kettunen
      of OUSPG
    - CVE-2021-30632: Out of bounds write in V8. Reported by Anonymous
    - CVE-2021-30633: Use after free in Indexed DB API. Reported by Anonymous
    - CVE-2021-30606: Use after free in Blink. Reported by Nan Wang
      @eternalsakura13 and koocola @alo_cook of 360 Alpha Lab
    - CVE-2021-30607: Use after free in Permissions. Reported by Weipeng Jiang
      @Krace from Codesafe Team of Legendsec at Qi'anxin Group
    - CVE-2021-30608: Use after free in Web Share. Reported by Huyna at Viettel
      Cyber Security
    - CVE-2021-30609: Use after free in Sign-In. Reported by raven @raid_akame
    - CVE-2021-30610: Use after free in Extensions API. Reported by Igor
      Bukanov from Vivaldi
    - CVE-2021-30611: Use after free in WebRTC. Reported by Nan Wang
      @eternalsakura13 and koocola @alo_cook of 360 Alpha Lab
    - CVE-2021-30612: Use after free in WebRTC. Reported by Nan Wang
      @eternalsakura13 and koocola @alo_cook of 360 Alpha Lab
    - CVE-2021-30613: Use after free in Base internals. Reported by Yangkang
      @dnpushme of 360 ATA
    - CVE-2021-30614: Heap buffer overflow in TabStrip. Reported by Huinian
      Yang @vmth6 of Amber Security Lab, OPPO Mobile Telecommunications Corp.
      Ltd.
    - CVE-2021-30615: Cross-origin data leak in Navigation. Reported by NDevTK
    - CVE-2021-30616: Use after free in Media. Reported by Anonymous
    - CVE-2021-30617: Policy bypass in Blink. Reported by NDevTK
    - CVE-2021-30618: Inappropriate implementation in DevTools. Reported by
      @DanAmodio and @mattaustin from Contrast Security
    - CVE-2021-30619: UI Spoofing in Autofill. Reported by Alesandro Ortiz
    - CVE-2021-30620: Insufficient policy enforcement in Blink. Reported by Jun
      Kokatsu, Microsoft Browser Vulnerability Research
    - CVE-2021-30621: UI Spoofing in Autofill. Reported by Abdulrahman
      Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-30622: Use after free in WebApp Installs. Reported by Jun
      Kokatsu, Microsoft Browser Vulnerability Research
    - CVE-2021-30623: Use after free in Bookmarks. Reported by Leecraso and
      Guang Gong of 360 Alpha Lab
    - CVE-2021-30624: Use after free in Autofill. Reported by Wei Yuan of
      MoyunSec VLab
    - CVE-2021-30598: Type Confusion in V8. Reported by Manfred Paul
    - CVE-2021-30599: Type Confusion in V8. Reported by Manfred Paul
    - CVE-2021-30600: Use after free in Printing. Reported by Leecraso and
      Guang Gong of 360 Alpha Lab
    - CVE-2021-30601: Use after free in Extensions API. Reported by koocola
      @alo_cook and Nan Wang @eternalsakura13 of 360 Alpha Lab
    - CVE-2021-30602: Use after free in WebRTC. Reported by Marcin Towalski of
      Cisco Talos
    - CVE-2021-30603: Race in WebAudio. Reported by Sergei Glazunov of Google
      Project Zero
    - CVE-2021-30604: Use after free in ANGLE. Reported by Seong-Hwan Park
      SeHwa of SecunologyLab
    - CVE-2021-30554: Use after free in WebGL. Reported by anonymous
    - CVE-2021-30555: Use after free in Sharing. Reported by David Erceg
    - CVE-2021-30556: Use after free in WebAudio. Reported by Yangkang
      @dnpushme of 360 ATA
    - CVE-2021-30557: Use after free in TabGroups. Reported by David Erceg
    - CVE-2021-30544: Use after free in BFCache. Reported by Rong Jian and
      Guang Gong of 360 Alpha Lab
    - CVE-2021-30545: Use after free in Extensions. Reported by kkwon with
      everpall and kkomdal
    - CVE-2021-30546: Use after free in Autofill. Reported by Abdulrahman
      Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-30547: Out of bounds write in ANGLE. Reported by Seong-Hwan Park
      SeHwa of SecunologyLab
    - CVE-2021-30548: Use after free in Loader. Reported by Yangkang @dnpushme
      & Wanglu of Qihoo360 Qex Team
    - CVE-2021-30549: Use after free in Spell check. Reported by David Erceg
    - CVE-2021-30550: Use after free in Accessibility. Reported by David Erceg
    - CVE-2021-30551: Type Confusion in V8. Reported by Clement Lecigne of
      Google's Threat Analysis Group and Sergei Glazunov of Google Project Zero
    - CVE-2021-30552: Use after free in Extensions. Reported by David Erceg
    - CVE-2021-30553: Use after free in Network service. Reported by Anonymous
    - CVE-2021-30521: Heap buffer overflow in Autofill. Reported by ZhanJia
      Song
    - CVE-2021-30522: Use after free in WebAudio. Reported by Piotr Bania of
      Cisco Talos
    - CVE-2021-30523: Use after free in WebRTC. Reported by Tolyan Korniltsev
    - CVE-2021-30524: Use after free in TabStrip. Reported by David Erceg
    - CVE-2021-30525: Use after free in TabGroups. Reported by David Erceg
    - CVE-2021-30526: Out of bounds write in TabStrip. Reported by David Erceg
    - CVE-2021-30527: Use after free in WebUI. Reported by David Erceg
    - CVE-2021-30528: Use after free in WebAuthentication. Reported by Man Yue
      Mo of GitHub Security Lab
    - CVE-2021-30529: Use after free in Bookmarks. Reported by koocola
      @alo_cook and Nan Wang @eternalsakura13 of 360 Alpha Lab
    - CVE-2021-30530: Out of bounds memory access in WebAudio. Reported by
      kkwon
    - CVE-2021-30531: Insufficient policy enforcement in Content Security
      Policy. Reported by Philip Papurt
    - CVE-2021-30532: Insufficient policy enforcement in Content Security
      Policy. Reported by Philip Papurt
    - CVE-2021-30533: Insufficient policy enforcement in PopupBlocker. Reported
      by Eliya Stein
    - CVE-2021-30534: Insufficient policy enforcement in iFrameSandbox.
      Reported by Alesandro Ortiz
    - CVE-2021-30535: Double free in ICU. Reported by nocma, leogan, cheneyxu
      of WeChat Open Platform Security Team
    - CVE-2021-21212: Insufficient data validation in networking. Reported by
      Hugo Hue and Sze Yiu Chau of the Chinese University of Hong Kong
    - CVE-2021-30536: Out of bounds read in V8. Reported by Chris Salls @salls
    - CVE-2021-30537: Insufficient policy enforcement in cookies. Reported by
      Jun Kokatsu @shhnjk
    - CVE-2021-30538: Insufficient policy enforcement in content security
      policy. Reported by Tianze Ding @D1iv3 of Tencent Security Xuanwu Lab
    - CVE-2021-30539: Insufficient policy enforcement in content security
      policy. Reported by unnamed researcher
    - CVE-2021-30540: Incorrect security UI in payments. Reported by
      @retsew0x01

 -- Michel Le Bihan <michel@lebihan.pl>  Thu, 16 Sep 2021 17:48:15 +0200

chromium (90.0.4430.212-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2021-30506: Incorrect security UI in Web App Installs. Reported by
      @retsew0x01
    - CVE-2021-30507: Inappropriate implementation in Offline. Reported by
      Alison Huffman
    - CVE-2021-30508: Heap buffer overflow in Media Feeds. Reported by Leecraso
      and Guang Gong
    - CVE-2021-30509: Out of bounds write in Tab Strip. Reported by David Erceg
    - CVE-2021-30510: Race in Aura. Reported by Weipeng Jiang
    - CVE-2021-30511: Out of bounds read in Tab Groups. Reported by David Erceg
    - CVE-2021-30512: Use after free in Notifications. Reported by ZhanJia Song
    - CVE-2021-30513: Type Confusion in V8. Reported by Man Yue Mo
    - CVE-2021-30514: Use after free in Autofill. Reported by koocola and Wang
    - CVE-2021-30515: Use after free in File API. Reported by Rong Jian and
      Guang Gong
    - CVE-2021-30516: Heap buffer overflow in History. Reported by ZhanJia Song
    - CVE-2021-30517: Type Confusion in V8. Reported by laural
    - CVE-2021-30518: Heap buffer overflow in Reader Mode. Reported by Jun
      Kokatsu
    - CVE-2021-30519: Use after free in Payments. Reported by asnine
    - CVE-2021-30520: Use after free in Tab Strip. Reported by Khalil Zhani

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 13 May 2021 02:50:43 +0000

chromium (90.0.4430.93-1) unstable; urgency=medium

  * New upstream security release (closes: #987715).
    - CVE-2021-21227: Insufficient data validation in V8. Reported by Gengming
      Liu of Singular Security Lab
    - CVE-2021-21232: Use after free in Dev Tools. Reported by Abdulrahman
      Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21233: Heap buffer overflow in ANGLE. Reported by Omair
    - CVE-2021-21228: Insufficient policy enforcement in extensions. Reported
      by Rob Wu
    - CVE-2021-21229: Incorrect security UI in downloads. Reported by Mohit Raj
      shadow2639
    - CVE-2021-21230: Type Confusion in V8. Reported by Manfred Paul
    - CVE-2021-21231: Insufficient data validation in V8. Reported by Sergei
      Glazunov of Google Project Zero
  * Disable libaom on arm to potentially fix FTBFS on armhf

 -- Michel Le Bihan <michel@lebihan.pl>  Wed, 28 Apr 2021 12:15:32 +0200

chromium (90.0.4430.85-1) unstable; urgency=medium

  * New upstream security release (closes: #987358).
    - CVE-2021-21222: Heap buffer overflow in V8. Reported by Guang Gong of
      Alpha Lab, Qihoo 360
    - CVE-2021-21223: Integer overflow in Mojo. Reported by Guang Gong of Alpha
      Lab, Qihoo 360
    - CVE-2021-21224: Type Confusion in V8. Reported by Jose Martinez tr0y4
      from VerSprite Inc.
    - CVE-2021-21225: Out of bounds memory access in V8. Reported by Brendon
      Tiszka @btiszka supporting the EFF
    - CVE-2021-21226: Use after free in navigation. Reported by Brendon Tiszka
      @btiszka supporting the EFF

 -- Michel Le Bihan <michel@lebihan.pl>  Thu, 22 Apr 2021 13:01:41 +0200

chromium (90.0.4430.72-1) unstable; urgency=medium

  * New upstream security release (closes: #987053).
    - CVE-2021-21201: Use after free in permissions. Reported by Gengming Liu
      and Jianyu Chen when working at Tencent KeenLab
    - CVE-2021-21202: Use after free in extensions. Reported by David Erceg
    - CVE-2021-21203: Use after free in Blink. Reported by asnine
    - CVE-2021-21204: Use after free in Blink. Reported by Chelse Tsai-Simek,
      Jeanette Ulloa, and Emily Voigtlander of Seesaw
    - CVE-2021-21205: Insufficient policy enforcement in navigation. Reported
      by Alison Huffman, Microsoft Browser Vulnerability Research
    - CVE-2021-21221: Insufficient validation of untrusted input in Mojo.
      Reported by Guang Gong of Alpha Lab, Qihoo 360
    - CVE-2021-21207: Use after free in IndexedDB. Reported by koocola
      @alo_cook and Nan Wang @eternalsakura13 of 360 Alpha Lab
    - CVE-2021-21208: Insufficient data validation in QR scanner. Reported by
      Ahmed Elsobky @0xsobky
    - CVE-2021-21209: Inappropriate implementation in storage. Reported by Tom
      Van Goethem @tomvangoethem
    - CVE-2021-21210: Inappropriate implementation in Network. Reported by
      @bananabr
    - CVE-2021-21211: Inappropriate implementation in Navigation. Reported by
      Akash Labade m0ns7er
    - CVE-2021-21212: Incorrect security UI in Network Config UI. Reported by
      Hugo Hue and Sze Yiu Chau of the Chinese University of Hong Kong
    - CVE-2021-21213: Use after free in WebMIDI. Reported by raven
      @raid_akame
    - CVE-2021-21214: Use after free in Network API. Reported by Anonymous
    - CVE-2021-21215: Inappropriate implementation in Autofill. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21216: Inappropriate implementation in Autofill. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21217: Uninitialized Use in PDFium. Reported by Zhou Aiting
      @zhouat1 of Qihoo 360 Vulcan Team
    - CVE-2021-21218: Uninitialized Use in PDFium. Reported by Zhou Aiting
      @zhouat1 of Qihoo 360 Vulcan Team
    - CVE-2021-21219: Uninitialized Use in PDFium. Reported by Zhou Aiting
      @zhouat1 of Qihoo 360 Vulcan Team

 -- Michel Le Bihan <michel@lebihan.pl>  Mon, 19 Apr 2021 19:13:47 +0200

chromium (89.0.4389.114-1) unstable; urgency=medium

  * New upstream security release (closes: #986335).
    - CVE-2021-21194: Use after free in screen capture. Reported by Leecraso
      and Guang Gong
    - CVE-2021-21195: Use after free in V8. Reported by Liu and Liang
    - CVE-2021-21196: Heap buffer overflow in TabStrip. Reported by Khalil
      Zhani
    - CVE-2021-21197: Heap buffer overflow in TabStrip. Reported by Abdulrahman
      Alqabandi
    - CVE-2021-21198: Out of bounds read in IPC. Reported by Mark Brand
    - CVE-2021-21199: Use Use after free in Aura. Reported by Weipeng Jiang

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Apr 2021 00:34:12 +0000

chromium (89.0.4389.90-1) unstable; urgency=medium

  * New upstream security release (closes: #985271).
    - CVE-2021-21191: Use after free in WebRTC. Reported by raven @raid_akame
    - CVE-2021-21192: Heap buffer overflow in tab groups. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21193: Use after free in Blink. Reported by Anonymous
      (closes: #985142)
  * Fix build with libvpx 1.7.0 and libicu63 (closes: #984926).
  * Change debian/rules to not leave debian/scripts/mk-origtargz

 -- Michel Le Bihan <michel@lebihan.pl>  Mon, 15 Mar 2021 12:57:00 +0100

chromium (89.0.4389.82-1) unstable; urgency=medium

  * New upstream stable release (closes: #984532).
    - CVE-2021-21159: Heap buffer overflow in TabStrip. Reported by Khalil
      Zhani
    - CVE-2021-21160: Heap buffer overflow in WebAudio. Reported by Marcin
      'Icewall' Noga of Cisco Talos
    - CVE-2021-21161: Heap buffer overflow in TabStrip. Reported by Khalil
      Zhani
    - CVE-2021-21162: Use after free in WebRTC. Reported by Anonymous
    - CVE-2021-21163: Insufficient data validation in Reader Mode. Reported by
      Alison Huffman, Microsoft Browser Vulnerability Research
    - CVE-2021-21164: Insufficient data validation in Chrome for iOS. Reported
      by Muneaki Nishimura nishimunea
    - CVE-2021-21165: Object lifecycle issue in audio. Reported by Alison
      Huffman, Microsoft Browser Vulnerability Research
    - CVE-2021-21166: Object lifecycle issue in audio. Reported by Alison
      Huffman, Microsoft Browser Vulnerability Research
    - CVE-2021-21167: Use after free in bookmarks. Reported by Leecraso and
      Guang Gong of 360 Alpha Lab
    - CVE-2021-21168: Insufficient policy enforcement in appcache. Reported by
      Luan Herrera @lbherrera_
    - CVE-2021-21169: Out of bounds memory access in V8. Reported by Bohan Liu
      @P4nda20371774 and Moon Liang of Tencent Security Xuanwu Lab
    - CVE-2021-21170: Incorrect security UI in Loader. Reported by David Erceg
    - CVE-2021-21171: Incorrect security UI in TabStrip and Navigation.
      Reported by Irvan Kurniawan sourc7
    - CVE-2021-21172: Insufficient policy enforcement in File System API.
      Reported by Maciej Pulikowski
    - CVE-2021-21173: Side-channel information leakage in Network Internals.
      Reported by Tom Van Goethem from imec-DistriNet, KU Leuven
    - CVE-2021-21174: Inappropriate implementation in Referrer. Reported by
      Ashish Gautam Kamble
    - CVE-2021-21175: Inappropriate implementation in Site isolation. Reported
      by Jun Kokatsu, Microsoft Browser Vulnerability Research
    - CVE-2021-21176: Inappropriate implementation in full screen mode.
      Reported by Luan Herrera @lbherrera_
    - CVE-2021-21177: Insufficient policy enforcement in Autofill. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21178: Inappropriate implementation in Compositing. Reported by
      Japong
    - CVE-2021-21179: Use after free in Network Internals. Reported by
      Anonymous
    - CVE-2021-21180: Use after free in tab search. Reported by Abdulrahman
      Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2020-27844: Heap buffer overflow in OpenJPEG. Reported by Sean
      Campbell at Tableau
    - CVE-2021-21181: Side-channel information leakage in autofill. Reported by
      Xu Lin (University of Illinois at Chicago), Panagiotis Ilia University of
      Illinois at Chicago, Jason Polakis University of Illinois at Chicago
    - CVE-2021-21182: Insufficient policy enforcement in navigations. Reported
      by Luan Herrera @lbherrera_
    - CVE-2021-21183: Inappropriate implementation in performance APIs.
      Reported by Takashi Yoneuchi @y0n3uchy
    - CVE-2021-21184: Inappropriate implementation in performance APIs.
      Reported by James Hartig
    - CVE-2021-21185: Insufficient policy enforcement in extensions. Reported
      by David Erceg
    - CVE-2021-21186: Insufficient policy enforcement in QR scanning. Reported
      by dhirajkumarnifty
    - CVE-2021-21187: Insufficient data validation in URL formatting. Reported
      by Kirtikumar Anandrao Ramchandani
    - CVE-2021-21188: Use after free in Blink. Reported by Woojin Oh
      @pwn_expoit of STEALIEN
    - CVE-2021-21189: Insufficient policy enforcement in payments. Reported by
      Khalil Zhani
    - CVE-2021-21190: Uninitialized Use in PDFium. Reported by Zhou Aiting
      @zhouat1 of Qihoo 360 Vulcan Team

 -- Michel Le Bihan <michel@lebihan.pl>  Mon, 08 Mar 2021 09:48:03 +0100

chromium (88.0.4324.182-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2021-21149: Stack overflow in Data Transfer. Reported by Ryoya
      Tsukasaki
    - CVE-2021-21150: Use after free in Downloads. Reported by Woojin Oh
    - CVE-2021-21151: Use after free in Payments. Reported by Khalil Zhani
    - CVE-2021-21152: Heap buffer overflow in Media. Reported by Anonymous
    - CVE-2021-21153: Stack overflow in GPU Process. Reported by Jan Ruge
    - CVE-2021-21154: Heap buffer overflow in Tab Strip . Reported by
      Abdulrahman Alqabandi
    - CVE-2021-21155: Heap buffer overflow in Tab Strip . Reported by Khalil
      Zhani
    - CVE-2021-21156: Heap buffer overflow in V8. Reported by Sergei Glazunov
    - CVE-2021-21157: Use after free in Web Sockets. Reported by Anonymous

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 18 Feb 2021 00:56:55 +0000

chromium (88.0.4324.150-1) unstable; urgency=medium

  * New upstream security release (closes: #982205).
    - CVE-2021-21148: Heap buffer overflow in V8. Reported by Mattias Buelens

 -- Michel Le Bihan <michel@lebihan.pl>  Tue, 09 Feb 2021 13:02:34 +0100

chromium (88.0.4324.146-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2021-21142: Use after free in Payments. Reported by Khalil Zhani
    - CVE-2021-21143: Heap buffer overflow in Extensions. Reported by Allen
      Parker & Alex Morgan of MU
    - CVE-2021-21144: Heap buffer overflow in Tab Groups. Reported by Leecraso
      and Guang Gong of 360 Alpha Lab
    - CVE-2021-21145: Use after free in Fonts. Reported by Anonymous
    - CVE-2021-21146: Use after free in Navigation. Reported by Alison Huffman
      and Choongwoo Han of Microsoft Browser Vulnerability Research
    - CVE-2021-21147: Inappropriate implementation in Skia. Reported by Roman
      Starkov

 -- Michel Le Bihan <michel@lebihan.pl>  Wed, 03 Feb 2021 11:11:02 +0100

chromium (88.0.4324.96-2) unstable; urgency=medium

  * Add Michel Le Bihan to uploaders.
  * Add openjpeg include dirs to pdfium BUILD.gn (closes: #981270).

 -- Michel Le Bihan <michel@lebihan.pl>  Fri, 29 Jan 2021 12:37:49 +0100

chromium (88.0.4324.96-1) unstable; urgency=medium

  * Organize patches.
  * Use system vpx again.
  * Support icu 6.3 and clang 7 in buster again.
  * Apply the non-maintainer uploads (closes: #972134).
    - Thanks to Michel Le Bihan, Jan Luca Naumann, and Peter Michael Green.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 27 Jan 2021 01:40:59 +0000

chromium (88.0.4324.96-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream stable release (closes: #980564).
    - CVE-2021-21117: Insufficient policy enforcement in Cryptohome. Reported
      by Rory McNamara
    - CVE-2021-21118: Insufficient data validation in V8. Reported by Tyler
      Nighswander @tylerni7 of Theori
    - CVE-2021-21119: Use after free in Media. Reported by Anonymous
    - CVE-2021-21120: Use after free in WebSQL. Reported by Nan Wang
      @eternalsakura13 and Guang Gong of 360 Alpha Lab
    - CVE-2021-21121: Use after free in Omnibox. Reported by Leecraso and Guang
      Gong of 360 Alpha Lab
    - CVE-2021-21122: Use after free in Blink. Reported by Renata Hodovan
    - CVE-2021-21123: Insufficient data validation in File System API. Reported
      by Maciej Pulikowski
    - CVE-2021-21124: Potential user after free in Speech Recognizer. Reported
      by Chaoyang Ding(@V4kst1z) from Codesafe Team of Legendsec at Qi'anxin
      Group
    - CVE-2021-21125: Insufficient policy enforcement in File System API.
      Reported by Ron Masas
    - CVE-2020-16044: Use after free in WebRTC. Reported by Ned Williamson of
      Project Zero
    - CVE-2021-21126: Insufficient policy enforcement in extensions. Reported
      by David Erceg
    - CVE-2021-21127: Insufficient policy enforcement in extensions. Reported
      by Jasminder Pal Singh, Web Services Point WSP, Kotkapura
    - CVE-2021-21128: Heap buffer overflow in Blink. Reported by Liang Dong
    - CVE-2021-21129: Insufficient policy enforcement in File System API.
      Reported by Maciej Pulikowski
    - CVE-2021-21130: Insufficient policy enforcement in File System API.
      Reported by Maciej Pulikowski
    - CVE-2021-21131: Insufficient policy enforcement in File System API.
      Reported by Maciej Pulikowski
    - CVE-2021-21132: Inappropriate implementation in DevTools. Reported by
      David Erceg
    - CVE-2021-21133: Insufficient policy enforcement in Downloads. Reported by
      wester0x01
    - CVE-2021-21134: Incorrect security UI in Page Info. Reported by
      wester0x01
    - CVE-2021-21135: Inappropriate implementation in Performance API. Reported
      by ndevtk
    - CVE-2021-21136: Insufficient policy enforcement in WebView. Reported by
      Shiv Sahni, Movnavinothan V and Imdad Mohammed
    - CVE-2021-21137: Inappropriate implementation in DevTools. Reported by
      bobblybear
    - CVE-2021-21138: Use after free in DevTools. Reported by Weipeng Jiang
      @Krace from Codesafe Team of Legendsec at Qi'anxin Group
    - CVE-2021-21139: Inappropriate implementation in iframe sandbox. Reported
      by Jun Kokatsu, Microsoft Browser Vulnerability Research
    - CVE-2021-21140: Uninitialized Use in USB. Reported by David Manouchehri
    - CVE-2021-21141: Insufficient policy enforcement in File System API.
      Reported by Maciej Pulikowski

  [ Jan Luca Naumann ]
  * Add watch file.

  [ Mattia Rizzolo ]
  * Change get-orig-source to produce reproducible tarballs.

 -- Michel Le Bihan <michel@lebihan.pl>  Wed, 20 Jan 2021 23:23:08 +0100

chromium (87.0.4280.141-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream security release (closes: #979520).
    - CVE-2021-21106: Use after free in autofill. Reported by Weipeng Jiang
      @Krace from Codesafe Team of Legendsec at Qi'anxin Group
    - CVE-2021-21107: Use after free in drag and drop. Reported by Leecraso and
      Guang Gong of 360 Alpha Lab
    - CVE-2021-21108: Use after free in media. Reported by Leecraso and Guang
      Gong of 360 Alpha Lab
    - CVE-2021-21109: Use after free in payments. Reported by Rong Jian and
      Guang Gong of 360 Alpha Lab
    - CVE-2021-21110: Use after free in safe browsing. Reported by Anonymous
    - CVE-2021-21111: Insufficient policy enforcement in WebUI. Reported by
      Alesandro Ortiz
    - CVE-2021-21112: Use after free in Blink. Reported by YoungJoo Lee
      @ashuu_lee of Raon Whitehat
    - CVE-2021-21113: Heap buffer overflow in Skia. Reported by tsubmunu
    - CVE-2020-16043: Insufficient data validation in networking. Reported by
      Samy Kamkar, Ben Seri at Armis, Gregory Vishnepolsky at Armis
    - CVE-2021-21114: Use after free in audio. Reported by Man Yue Mo of GitHub
      Security Lab
    - CVE-2020-15995: Out of bounds write in V8. Reported by Bohan Liu
      @P4nda20371774 of Tencent Security Xuanwu Lab
    - CVE-2021-21115: Use after free in safe browsing. Reported by Leecraso and
      Guang Gong of 360 Alpha Lab
    - CVE-2021-21116: Heap buffer overflow in audio. Reported by Alison
      Huffman, Microsoft Browser Vulnerability Research

  [ Jan Luca Naumann ]
  * Use desktop gl implementation as default. (closes: #979135)

 -- Michel Le Bihan <michel@lebihan.pl>  Sat, 09 Jan 2021 11:24:58 +0100

chromium (87.0.4280.88-0.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michel Le Bihan ]
  * Install ANGLE EGL and GLESv2 libs (closes: #977870).
  * Disable Widevine CDM component updater (closes: #960454).
  * Disable usage of google-chrome in driver (closes: #930543).

  [ Jan Luca Naumann ]
  * Remove python3-xcbgen from Build-Deps
  * Changes to allow building on buster
  * Add patch for explicit python2 usage in scripts

 -- Michel Le Bihan <michel@lebihan.pl>  Tue, 29 Dec 2020 10:58:42 +0100

chromium (87.0.4280.88-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix double-delete in content service worker (closes: #977901).

 -- Michel Le Bihan <michel@lebihan.pl>  Wed, 23 Dec 2020 11:55:48 +0100

chromium (87.0.4280.88-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude debian dir from unversioned python conversion script

 -- Michel Le Bihan <michel@lebihan.pl>  Sun, 20 Dec 2020 22:14:50 +0100

chromium (87.0.4280.88-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream stable release (closes: #973848).
    - CVE-2020-16037: Use after free in clipboard. Reported by Ryoya Tsukasaki
    - CVE-2020-16038: Use after free in media. Reported by Khalil Zhani
    - CVE-2020-16039: Use after free in extensions. Reported by Anonymous
    - CVE-2020-16040: Insufficient data validation in V8. Reported by Lucas
      Pinheiro, Microsoft Browser Vulnerability Research
    - CVE-2020-16041: Out of bounds read in networking. Reported by Sergei
      Glazunov and Mark Brand of Google Project Zero
    - CVE-2020-16042: Uninitialized Use in V8. Reported by André Bargull
    - CVE-2020-16018: Use after free in payments. Reported by Man Yue Mo of
      GitHub Security Lab
    - CVE-2020-16019: Inappropriate implementation in filesystem. Reported by
      Rory McNamara
    - CVE-2020-16020: Inappropriate implementation in cryptohome. Reported by
      Rory McNamara
    - CVE-2020-16021: Race in ImageBurner. Reported by Rory McNamara
    - CVE-2020-16022: Insufficient policy enforcement in networking. Reported
      by @SamyKamkar
    - CVE-2020-16015: Insufficient data validation in WASM. Reported by Rong
      Jian and Leecraso of 360 Alpha Lab
    - CVE-2020-16014: Use after free in PPAPI. Reported by Rong Jian and
      Leecraso of 360 Alpha Lab
    - CVE-2020-16023: Use after free in WebCodecs. Reported by Brendon Tiszka
      and David Manouchehri supporting the @eff
    - CVE-2020-16024: Heap buffer overflow in UI. Reported by Sergei Glazunov
      of Google Project Zero
    - CVE-2020-16025: Heap buffer overflow in clipboard. Reported by Sergei
      Glazunov of Google Project Zero
    - CVE-2020-16026: Use after free in WebRTC. Reported by Jong-Gwon Kim
    - CVE-2020-16027: Insufficient policy enforcement in developer tools.
      Reported by David Erceg
    - CVE-2020-16028: Heap buffer overflow in WebRTC. Reported by asnine
    - CVE-2020-16029: Inappropriate implementation in PDFium. Reported by
      Anonymous
    - CVE-2020-16030: Insufficient data validation in Blink. Reported by Michał
      Bentkowski of Securitum
    - CVE-2019-8075: Insufficient data validation in Flash. Reported by
      Nethanel Gelernter, Cyberpion
    - CVE-2020-16031: Incorrect security UI in tab preview. Reported by
      wester0x01
    - CVE-2020-16032: Incorrect security UI in sharing. Reported by wester0x01
    - CVE-2020-16033: Incorrect security UI in WebUSB. Reported by Khalil Zhani
    - CVE-2020-16034: Inappropriate implementation in WebRTC. Reported by
      Benjamin Petermaier
    - CVE-2020-16035: Insufficient data validation in cros-disks. Reported by
      Rory McNamara
    - CVE-2020-16012: Side-channel information leakage in graphics. Reported by
      Aleksejs Popovs
    - CVE-2020-16036: Inappropriate implementation in cookies. Reported by Jun
      Kokatsu @shhnjk
    - CVE-2020-16013: Inappropriate implementation in V8. Reported by Anonymous
    - CVE-2020-16017: Use after free in site isolation. Reported by Anonymous
    - CVE-2020-16016: Inappropriate implementation in base. Reported by Rong
      Jian and Leecraso of 360 Alpha Lab
    - CVE-2020-16004: Use after free in user interface. Reported by Leecraso
      and Guang Gong of 360 Alpha Lab working with 360 BugCloud
    - CVE-2020-16005: Insufficient policy enforcement in ANGLE. Reported by
      Jaehun Jeong @n3sk of Theori
    - CVE-2020-16006: Inappropriate implementation in V8. Reported by Bill
      Parks
    - CVE-2020-16007: Insufficient data validation in installer. Reported by
      Abdelhamid Naceri
    - CVE-2020-16008: Stack buffer overflow in WebRTC. Reported by Tolya
      Korniltsev
    - CVE-2020-16009: Inappropriate implementation in V8. Reported by Clement
      Lecigne of Google's Threat Analysis Group and Samuel Groß of Google
      Project Zero
    - CVE-2020-16011: Heap buffer overflow in UI on Windows. Reported by Sergei
      Glazunov of Google Project Zero
    - CVE-2020-16000: Inappropriate implementation in Blink. Reported by
      amaebi_jp
    - CVE-2020-16001: Use after free in media. Reported by Khalil Zhani
    - CVE-2020-16002: Use after free in PDFium. Reported by Weipeng Jiang from
      Codesafe Team of Legendsec at Qi'anxin Group
    - CVE-2020-15999: Heap buffer overflow in Freetype. Reported by Sergei
      Glazunov of Google Project Zero
    - CVE-2020-16003: Use after free in printing. Reported by Khalil Zhani
    - CVE-2020-15967: Use after free in payments. Reported by Man Yue Mo of
      GitHub Security Lab
    - CVE-2020-15968: Use after free in Blink. Reported by Anonymous
    - CVE-2020-15969: Use after free in WebRTC. Reported by Anonymous
    - CVE-2020-15970: Use after free in NFC. Reported by Man Yue Mo of GitHub
      Security Lab
    - CVE-2020-15971: Use after free in printing. Reported by Jun Kokatsu,
      Microsoft Browser Vulnerability Research
    - CVE-2020-15972: Use after free in audio. Reported by Anonymous
    - CVE-2020-15990: Use after free in autofill. Reported by Rong Jian and
      Guang Gong of Alpha Lab, Qihoo 360
    - CVE-2020-15991: Use after free in password manager. Reported by Rong Jian
      and Guang Gong of Alpha Lab, Qihoo 360
    - CVE-2020-15973: Insufficient policy enforcement in extensions. Reported
      by David Erceg
    - CVE-2020-15974: Integer overflow in Blink. Reported by Juno Im of Theori
    - CVE-2020-15975: Integer overflow in SwiftShader. Reported by Anonymous
    - CVE-2020-15976: Use after free in WebXR. Reported by YoungJoo Lee
      @ashuu_lee of Raon Whitehat
    - CVE-2020-6557: Inappropriate implementation in networking. Reported by
      Matthias Gierlings and Marcus Brinkmann
    - CVE-2020-15977: Insufficient data validation in dialogs. Reported by
      Narendra Bhati
    - CVE-2020-15978: Insufficient data validation in navigation. Reported by
      Luan Herrera @lbherrera_
    - CVE-2020-15979: Inappropriate implementation in V8. Reported by Avihay
      Cohen @ SeraphicAlgorithms
    - CVE-2020-15980: Insufficient policy enforcement in Intents. Reported by
      Yongke Wang @Rudykewang and Aryb1n @aryb1n of Tencent Security Xuanwu Lab
    - CVE-2020-15981: Out of bounds read in audio. Reported by Christoph
      Guttandin
    - CVE-2020-15982: Side-channel information leakage in cache. Reported by
      Luan Herrera @lbherrera_
    - CVE-2020-15983: Insufficient data validation in webUI. Reported by Jun
      Kokatsu, Microsoft Browser Vulnerability Research
    - CVE-2020-15984: Insufficient policy enforcement in Omnibox. Reported by
      Rayyan Bijoora
    - CVE-2020-15985: Inappropriate implementation in Blink. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2020-15986: Integer overflow in media. Reported by Mark Brand of
      Google Project Zero
    - CVE-2020-15987: Use after free in WebRTC. Reported by Philipp Hancke
    - CVE-2020-15992: Insufficient policy enforcement in networking. Reported
      by Alison Huffman, Microsoft Browser Vulnerability Research
    - CVE-2020-15988: Insufficient policy enforcement in downloads. Reported by
      Samuel Attard
    - CVE-2020-15989: Uninitialized Use in PDFium. Reported by Gareth Evans
    - CVE-2020-15960: Out of bounds read in storage. Reported by Anonymous
    - CVE-2020-15961: Insufficient policy enforcement in extensions. Reported
      by David Erceg
    - CVE-2020-15962: Insufficient policy enforcement in serial. Reported by
      Leecraso and Guang Gong of 360 Alpha Lab working with 360 BugCloud
    - CVE-2020-15963: Insufficient policy enforcement in extensions. Reported
      by David Erceg
    - CVE-2020-15965: Out of bounds write in V8. Reported by Lucas Pinheiro,
      Microsoft Browser Vulnerability Research
    - CVE-2020-15966: Insufficient policy enforcement in extensions. Reported
      by David Erceg
    - CVE-2020-15964: Insufficient data validation in media. Reported by Woojin
      Oh @pwn_expoit of STEALIEN
    - CVE-2020-6573: Use after free in video. Reported by Leecraso and Guang
      Gong of 360 Alpha Lab working with 360 BugCloud
    - CVE-2020-6574: Insufficient policy enforcement in installer. Reported by
      CodeColorist of Ant-Financial LightYear Labs
    - CVE-2020-6575: Race in Mojo. Reported by Microsoft
    - CVE-2020-6576: Use after free in offscreen canvas. Reported by Looben
      Yang
    - CVE-2020-15959: Insufficient policy enforcement in networking. Reported
      by Eric Lawrence of Microsoft
    - CVE-2020-6558: Insufficient policy enforcement in iOS. Reported by Alison
      Huffman, Microsoft Browser Vulnerability Research
    - CVE-2020-6559: Use after free in presentation API. Reported by Liu Wei
      and Wu Zekai of Tencent Security Xuanwu Lab
    - CVE-2020-6560: Insufficient policy enforcement in autofill. Reported by
      Nadja Ungethuem from www.unnex.de
    - CVE-2020-6561: Inappropriate implementation in Content Security Policy.
      Reported by Rob Wu
    - CVE-2020-6562: Insufficient policy enforcement in Blink. Reported by
      Masato Kinugawa
    - CVE-2020-6563: Insufficient policy enforcement in intent handling.
      Reported by Pedro Oliveira
    - CVE-2020-6564: Incorrect security UI in permissions. Reported by Khalil
      Zhani
    - CVE-2020-6565: Incorrect security UI in Omnibox. Reported by Khalil Zhani
    - CVE-2020-6566: Insufficient policy enforcement in media. Reported by Jun
      Kokatsu, Microsoft Browser Vulnerability Research
    - CVE-2020-6567: Insufficient validation of untrusted input in command line
      handling. Reported by Joshua Graham of TSS
    - CVE-2020-6568: Insufficient policy enforcement in intent handling.
      Reported by Yongke Wang @Rudykewang and Aryb1n @aryb1n of Tencent
      Security Xuanwu Lab
    - CVE-2020-6569: Integer overflow in WebUSB. Reported by guaixiaomei
    - CVE-2020-6570: Side-channel information leakage in WebRTC. Reported by
      Signal/Tenable
    - CVE-2020-6571: Incorrect security UI in Omnibox. Reported by Rayyan
      Bijoora
    - CVE-2020-6556: Heap buffer overflow in SwiftShader. Reported by Alison
      Huffman, Microsoft Browser Vulnerability Research
    - CVE-2020-6542: Use after free in ANGLE. Reported by Piotr Bania of Cisco
      Talos
    - CVE-2020-6543: Use after free in task scheduling. Reported by Looben Yang
    - CVE-2020-6544: Use after free in media. Reported by Tim Becker of Theori
    - CVE-2020-6545: Use after free in audio. Reported by Anonymous
    - CVE-2020-6546: Inappropriate implementation in installer. Reported by
      Andrew Hess
    - CVE-2020-6547: Incorrect security UI in media. Reported by David Albert
    - CVE-2020-6548: Heap buffer overflow in Skia. Reported by Choongwoo Han,
      Microsoft Browser Vulnerability Research
    - CVE-2020-6549: Use after free in media. Reported by Sergei Glazunov of
      Google Project Zero
    - CVE-2020-6550: Use after free in IndexedDB. Reported by Sergei Glazunov
      of Google Project Zero
    - CVE-2020-6551: Use after free in WebXR. Reported by Sergei Glazunov of
      Google Project Zero
    - CVE-2020-6552: Use after free in Blink. Reported by Tim Becker of Theori
    - CVE-2020-6553: Use after free in offline mode. Reported by Alison
      Huffman, Microsoft Browser Vulnerability Research
    - CVE-2020-6554: Use after free in extensions. Reported by Anonymous
    - CVE-2020-6555: Out of bounds read in WebGL. Reported by Marcin Towalski
      of Cisco Talos

 -- Michel Le Bihan <michel@lebihan.pl>  Tue, 01 Dec 2020 00:00:00 +0000

chromium (84.0.4147.105-1) experimental; urgency=medium

  * New upstream security release.
    - CVE-2020-6537: Type Confusion in V8. Reported by Rong Jian and Guang Gong
    - CVE-2020-6532: Use after free in SCTP. Reported by Anonymous
    - CVE-2020-6538: Inappropriate implementation in WebView. Reported by
      Yongke Wang and Aryb1n
    - CVE-2020-6539: Use after free in CSS. Reported by Oriol Brufau
    - CVE-2020-6540: Heap buffer overflow in Skia. Reported by Zhen Zhou
    - CVE-2020-6541: Use after free in WebUSB. Reported by Sergei Glazunov

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 01 Aug 2020 03:00:31 +0000

chromium (84.0.4147.89-1) experimental; urgency=medium

  * New upstream stable release.
    - CVE-2020-6510: Heap buffer overflow in background fetch. Reported by
      Leecraso and Guang Gong
    - CVE-2020-6511: Side-channel information leakage in content security
      policy. Reported by Mikhail Oblozhikhin
    - CVE-2020-6512: Type Confusion in V8. Reported by nocma, leogan, cheneyxu
    - CVE-2020-6513: Heap buffer overflow in PDFium. Reported by Aleksandar
      Nikolic
    - CVE-2020-6514: Inappropriate implementation in WebRTC. Reported by
      Natalie Silvanovich
    - CVE-2020-6515: Use after free in tab strip. Reported by DDV_UA
    - CVE-2020-6516: Policy bypass in CORS. Reported by Yongke Wang and Aryb1n
    - CVE-2020-6517: Heap buffer overflow in history. Reported by ZeKai Wu
    - CVE-2020-6518: Use after free in developer tools. Reported by David Erceg
    - CVE-2020-6519: Policy bypass in CSP. Reported by Gal Weizman
    - CVE-2020-6520: Heap buffer overflow in Skia. Reported by Zhen Zhou
    - CVE-2020-6521: Side-channel information leakage in autofill. Reported by
      Xu Lin, Panagiotis Ilia, Jason Polakis
    - CVE-2020-6522: Inappropriate implementation in external protocol
      handlers. Reported by Eric Lawrence
    - CVE-2020-6523: Out of bounds write in Skia. Reported by Liu Wei and Wu
      Zekai
    - CVE-2020-6524: Heap buffer overflow in WebAudio. Reported by Sung Ta
    - CVE-2020-6525: Heap buffer overflow in Skia. Reported by Zhen Zhou
    - CVE-2020-6526: Inappropriate implementation in iframe sandbox. Reported
      by Jonathan Kingston
    - CVE-2020-6527: Insufficient policy enforcement in CSP. Reported by Zhong
      Zhaochen
    - CVE-2020-6528: Incorrect security UI in basic auth. Reported by Rayyan
      Bijoora
    - CVE-2020-6529: Inappropriate implementation in WebRTC. Reported by
      kaustubhvats7
    - CVE-2020-6530: Out of bounds memory access in developer tools. Reported
      by myvyang
    - CVE-2020-6531: Side-channel information leakage in scroll to text.
      Reported by Jun Kokatsu
    - CVE-2020-6533: Type Confusion in V8. Reported by Avihay Cohen
    - CVE-2020-6534: Heap buffer overflow in WebRTC. Reported by Anonymous
    - CVE-2020-6535: Insufficient data validation in WebUI. Reported by Jun
      Kokatsu
    - CVE-2020-6536: Incorrect security UI in PWAs. Reported by Zhiyang Zeng
  * Update information in debian/copyright.
  * Include more upstream metadata information.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Jul 2020 15:21:41 +0000

chromium (83.0.4103.116-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 64-bit time syscalls to syscall whitelist and clock selection
    parameter filtering code
  * Switch to explicitly versioned python2
    + Update build-depends
    + Replace references to /usr/bin/python and to env python
      with /usr/bin/python2 and env python2
    + make exec_script in gn use python2
    + add code in debian/rules clean to set the shebang in
      third_party/closure_compiler/compiler.py it seems someting in the upstream
      build system sometimes resets it.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 15 Sep 2020 13:10:35 +0000

chromium (83.0.4103.116-3) unstable; urgency=high

  * Fix crashes when a connection error occurs (closes: #963548).
    - Thank you so much to Riku Voipio.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 11 Jul 2020 14:56:34 +0000

chromium (83.0.4103.116-2) unstable; urgency=medium

  * Fix crashes due to ffmpeg 4.3 (closes: #963035).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 29 Jun 2020 10:28:15 +0000

chromium (83.0.4103.116-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2020-6509: Use after free in extensions. Reported by Anonymous

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 22 Jun 2020 19:45:51 +0000

chromium (83.0.4103.106-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2020-6493: Use after free in WebAuthentication. Reported by Anonymous
    - CVE-2020-6494: Incorrect security UI in payments. Reported by Juho
      Nurminen
    - CVE-2020-6495: Insufficient policy enforcement in developer tools.
      Reported by David Erceg
    - CVE-2020-6496: Use after free in payments. Reported by Khalil Zhani
    - CVE-2020-6497: Insufficient policy enforcement in Omnibox. Reported by
      Rayyan Bijoora
    - CVE-2020-6498: Incorrect security UI in progress display. Reported by
      Rayyan Bijoora
    - CVE-2020-6505: Use after free in speech. Reported by Khalil Zhani
    - CVE-2020-6506: Insufficient policy enforcement in WebView. Reported by
      Alesandro Ortiz
    - CVE-2020-6507: Out of bounds write in V8. Reported by Sergei Glazunov
  * Conflict with ffmpeg 4.3 (closes: #963080).
  * Support building with icu 67 (closes: #960236).
  * Support building with re2 20200501 (closes: #960361).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 19 Jun 2020 00:40:28 +0000

chromium (83.0.4103.83-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2020-6457: Use after free in speech recognizer. Reported by Leecraso
      and Guang Gong
    - CVE-2020-6458: Out of bounds read and write in PDFium. Reported by
      Aleksandar Nikolic
    - CVE-2020-6459: Use after free in payments. Reported by Zhe Jin
    - CVE-2020-6460: Insufficient data validation in URL formatting. Reported
      by Anonymous
    - CVE-2020-6461: Use after free in storage. Reported by Zhe Jin
    - CVE-2020-6462: Use after free in task scheduling. Reported by Zhe Jin
    - CVE-2020-6463: Use after free in ANGLE. Reported by Pawel Wylecial
    - CVE-2020-6464: Type Confusion in Blink. Reported by Looben Yang
    - CVE-2020-6465: Use after free in reader mode. Reported by Woojin Oh
    - CVE-2020-6466: Use after free in media. Reported by Zhe Jin
    - CVE-2020-6467: Use after free in WebRTC. Reported by ZhanJia Song
    - CVE-2020-6468: Type Confusion in V8. Reported by Chris Salls and Jake
      Corina
    - CVE-2020-6469: Insufficient policy enforcement in developer tools.
      Reported by David Erceg
    - CVE-2020-6470: Insufficient validation of untrusted input in clipboard.
      Reported by Michał Bentkowski
    - CVE-2020-6471: Insufficient policy enforcement in developer tools.
      Reported by David Erceg
    - CVE-2020-6472: Insufficient policy enforcement in developer tools.
      Reported by David Erceg
    - CVE-2020-6473: Insufficient policy enforcement in Blink. Reported by
      Soroush Karami and Panagiotis Ilia
    - CVE-2020-6474: Use after free in Blink. Reported by Zhe Jin
    - CVE-2020-6475: Incorrect security UI in full screen. Reported by Khalil
      Zhani
    - CVE-2020-6476: Insufficient policy enforcement in tab strip. Reported by
      Alexandre Le Borgne
    - CVE-2020-6478: Inappropriate implementation in full screen. Reported by
      Khalil Zhani
    - CVE-2020-6479: Inappropriate implementation in sharing. Reported by Zhong
      Zhaochen
    - CVE-2020-6480: Insufficient policy enforcement in enterprise. Reported by
      Marvin Witt
    - CVE-2020-6481: Insufficient policy enforcement in URL formatting.
      Reported by Rayyan Bijoora
    - CVE-2020-6482: Insufficient policy enforcement in developer tools.
      Reported by Abdulrahman Alqabandi
    - CVE-2020-6483: Insufficient policy enforcement in payments. Reported by
      Jun Kokatsu
    - CVE-2020-6484: Insufficient data validation in ChromeDriver. Reported by
      Artem Zinenko
    - CVE-2020-6485: Insufficient data validation in media router. Reported by
      Sergei Glazunov
    - CVE-2020-6486: Insufficient policy enforcement in navigations. Reported
      by David Erceg
    - CVE-2020-6487: Insufficient policy enforcement in downloads. Reported by
      Jun Kokatsu
    - CVE-2020-6488: Insufficient policy enforcement in downloads. Reported by
      David Erceg
    - CVE-2020-6489: Inappropriate implementation in developer tools. Reported
      by @lovasoa
    - CVE-2020-6490: Insufficient data validation in loader. Reported by
      Twitter
    - CVE-2020-6491: Incorrect security UI in site information. Reported by
      Sultan Haikal
    - CVE-2020-6831: Stack buffer overflow in SCTP. Reported by Natalie
      Silvanovich

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 18 Jun 2020 02:05:11 +0000

chromium (81.0.4044.92-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2020-6423: Use after free in audio. Reported by Anonymous
    - CVE-2020-6430: Type Confusion in V8. Reported by Avihay Cohen
    - CVE-2020-6431: Insufficient policy enforcement in full screen. Reported
      by Luan Herrera
    - CVE-2020-6432: Insufficient policy enforcement in navigations. Reported
      by David Erceg
    - CVE-2020-6433: Insufficient policy enforcement in extensions. Reported by
      David Erceg
    - CVE-2020-6434: Use after free in devtools. Reported by HyungSeok Han
    - CVE-2020-6435: Insufficient policy enforcement in extensions. Reported by
      Sergei Glazunov
    - CVE-2020-6436: Use after free in window management. Reported by Igor
      Bukanov
    - CVE-2020-6437: Inappropriate implementation in WebView. Reported by Jann
      Horn
    - CVE-2020-6438: Insufficient policy enforcement in extensions. Reported by
      Ng Yik Phang
    - CVE-2020-6439: Insufficient policy enforcement in navigations. Reported
      by remkoboonstra
    - CVE-2020-6440: Inappropriate implementation in extensions. Reported by
      David Erceg
    - CVE-2020-6441: Insufficient policy enforcement in omnibox. Reported by
      David Erceg
    - CVE-2020-6442: Inappropriate implementation in cache. Reported by B@rMey
    - CVE-2020-6443: Insufficient data validation in developer tools. Reported
      by @lovasoa
    - CVE-2020-6444: Uninitialized use in WebRTC. Reported by mlfbrown
    - CVE-2020-6445: Insufficient policy enforcement in trusted types. Reported
      by Jun Kokatsu
    - CVE-2020-6446: Insufficient policy enforcement in trusted types. Reported
      by Jun Kokatsu
    - CVE-2020-6447: Inappropriate implementation in developer tools. Reported
      by David Erceg
    - CVE-2020-6448: Use after free in V8. Reported by Guang Gong
    - CVE-2020-6454: Use after free in extensions. Reported by leecraso and
      Guang Gong
    - CVE-2020-6455: Out of bounds read in WebSQL. Reported by Nan Wang and
      Guang Gong
    - CVE-2020-6456: Insufficient validation of untrusted input in clipboard.
      Reported by Michał Bentkowski

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 07 Apr 2020 23:05:20 +0000

chromium (80.0.3987.162-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2020-6450: Use after free in WebAudio. Reported by Man Yue Mo
    - CVE-2020-6451: Use after free in WebAudio. Reported by Man Yue Mo
    - CVE-2020-6452: Heap buffer overflow in media. Reported by asnine

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 01 Apr 2020 04:30:14 +0000

chromium (80.0.3987.149-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2019-20503: Out of bounds read in usersctplib. Reported by Natalie
      Silvanovich
    - CVE-2020-6422: Use after free in WebGL. Reported by David Manouchehri
    - CVE-2020-6424: Use after free in media. Reported by Sergei Glazunov
    - CVE-2020-6425: Insufficient policy enforcement in extensions. Reported by
      Sergei Glazunov
    - CVE-2020-6426: Inappropriate implementation in V8. Reported by Avihay
      Cohen
    - CVE-2020-6427: Use after free in audio. Reported by Man Yue Mo
    - CVE-2020-6428: Use after free in audio. Reported by Man Yue Mo
    - CVE-2020-6429: Use after free in audio. Reported by Man Yue Mo
    - CVE-2020-6449: Use after free in audio. Reported by Man Yue Mo

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 20 Mar 2020 00:18:06 +0000

chromium (80.0.3987.132-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2020-6420: Insufficient policy enforcement in media. Reported by
      Taras Uzdenov

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 06 Mar 2020 16:40:19 +0000

chromium (80.0.3987.122-2) unstable; urgency=medium

  * Reduce debugging symbols to avoid memory exhaustion while linking.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 03 Mar 2020 04:15:34 +0000

chromium (80.0.3987.122-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2020-6407: Out of bounds memory access in streams. Reported by
      Sergei Glazunov
    - CVE-2020-6418: Type confusion in V8. Reported by Clement Lecigne

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 01 Mar 2020 01:25:59 +0000

chromium (80.0.3987.116-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2020-6383: Type confusion in V8. Reported by Sergei Glazunov
    - CVE-2020-6384: Use after free in WebAudio. Reported by David Manouchehri
    - CVE-2020-6386: Use after free in speech. Reported by Zhe Jin

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 22 Feb 2020 03:01:15 +0000

chromium (80.0.3987.106-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-19923: Out of bounds memory access in SQLite. Reported by
      Richard Lorenz
    - CVE-2019-19925: Vulnerability in SQLite. Reported by Richard Lorenz
    - CVE-2019-19926: Inappropriate implementation in SQLite. Reported by
      Richard Lorenz
    - CVE-2019-19880: Vulnerability in SQLite. Reported by Richard Lorenz
    - CVE-2020-6381: Integer overflow in JavaScript. Reported by The UK's
      National Cyber Security Centre
    - CVE-2020-6382: Type Confusion in JavaScript. Reported by Soyeon Park and
      Wen Xu
    - CVE-2020-6385: Insufficient policy enforcement in storage. Reported by
      Sergei Glazunov
    - CVE-2020-6387: Out of bounds write in WebRTC. Reported by Natalie
      Silvanovich
    - CVE-2020-6388: Out of bounds memory access in WebAudio. Reported by
      Sergei Glazunov
    - CVE-2020-6389: Out of bounds write in WebRTC. Reported by Natalie
      Silvanovich
    - CVE-2020-6390: Out of bounds memory access in streams. Reported by Sergei
      Glazunov
    - CVE-2020-6391: Insufficient validation of untrusted input in Blink.
      Reported by Michał Bentkowski
    - CVE-2020-6392: Insufficient policy enforcement in extensions. Reported by
      Microsoft Edge Team
    - CVE-2020-6393: Insufficient policy enforcement in Blink. Reported by Mark
      Amery
    - CVE-2020-6394: Insufficient policy enforcement in Blink. Reported by Phil
      Freo
    - CVE-2020-6395: Out of bounds read in JavaScript. Reported by Pierre
      Langlois
    - CVE-2020-6396: Inappropriate implementation in Skia. Reported by William
      Luc Ritchie
    - CVE-2020-6397: Incorrect security UI in sharing. Reported by Khalil Zhani
    - CVE-2020-6398: Uninitialized use in PDFium. Reported by pdknsk
    - CVE-2020-6399: Insufficient policy enforcement in AppCache. Reported by
      Luan Herrera
    - CVE-2020-6400: Inappropriate implementation in CORS. Reported by Takashi
      Yoneuchi
    - CVE-2020-6401: Insufficient validation of untrusted input in Omnibox.
      Reported by Tzachy Horesh
    - CVE-2020-6402: Insufficient policy enforcement in downloads. Reported by
      Vladimir Metnew
    - CVE-2020-6403: Incorrect security UI in Omnibox. Reported by Khalil Zhani
    - CVE-2020-6404: Inappropriate implementation in Blink. Reported by kanchi
    - CVE-2020-6405: Out of bounds read in SQLite. Reported by Yongheng Chen
      and Rui Zhong
    - CVE-2020-6406: Use after free in audio. Reported by Sergei Glazunov
    - CVE-2020-6408: Insufficient policy enforcement in CORS. Reported by Zhong
      Zhaochen
    - CVE-2020-6409: Inappropriate implementation in Omnibox. Reported by
      Divagar S and Bharathi V
    - CVE-2020-6410: Insufficient policy enforcement in navigation. Reported by
      evi1m0
    - CVE-2020-6411: Insufficient validation of untrusted input in Omnibox.
      Reported by Khalil Zhani
    - CVE-2020-6412: Insufficient validation of untrusted input in Omnibox.
      Reported by Zihan Zheng
    - CVE-2020-6413: Inappropriate implementation in Blink. Reported by Michał
      Bentkowski
    - CVE-2020-6414: Insufficient policy enforcement in Safe Browsing. Reported
      by Lijo A.T
    - CVE-2020-6415: Inappropriate implementation in JavaScript. Reported by
      Avihay Cohen
    - CVE-2020-6416: Insufficient data validation in streams. Reported by
      Woojin Oh
    - CVE-2020-6417: Inappropriate implementation in installer. Reported by
      Renato Moraes and Altieres Rohr
  * Remove --ignore-gpu-blacklist from the default flags (closes: #947207).
  * Update standards version to 4.5.0.
  * Build with clang instead of gcc.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Feb 2020 23:33:50 +0000

chromium (79.0.3945.130-2) unstable; urgency=medium

  * Add libx11-xcb-dev as a build dependency.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 19 Jan 2020 08:42:14 +0000

chromium (79.0.3945.130-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2020-6377: Use after free in audio. Reported by Zhe Jin
    - CVE-2020-6378: Use-after-free in speech recognizer. Reported by Antti
      Levomäki and Christian Jalio
    - CVE-2020-6379: Use-after-free in speech recognizer. Reported by Guang
      Gong
    - CVE-2020-6380: Extension message verification error. Reported by Sergei
      Glazunov
    - CVE-2019-13767: Use after free in media picker. Reported by Sergei
      Glazunov
  * Fix memory instrumentation singleton initialization errors caused by
    tracing patch included in the previous upload (closes: #945920).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Jan 2020 20:26:26 +0000

chromium (79.0.3945.79-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-13725: Use after free in Bluetooth. Reported by Gengming Liu and
      Jianyu Chen
    - CVE-2019-13726: Heap buffer overflow in password manager. Reported by
      Sergei Glazunov
    - CVE-2019-13727: Insufficient policy enforcement in WebSockets. Reported
      by @piochu
    - CVE-2019-13728: Out of bounds write in V8. Reported by Rong Jian and
      Guang Gong
    - CVE-2019-13729: Use after free in WebSockets. Reported by Zhe Jin
    - CVE-2019-13730: Type Confusion in V8. Reported by Soyeon Park and Wen Xu
    - CVE-2019-13732: Use after free in WebAudio. Reported by Sergei Glazunov
    - CVE-2019-13734: Out of bounds write in SQLite. Reported by Wenxiang Qian
    - CVE-2019-13735: Out of bounds write in V8. Reported by Gengming Liu and
      Zhen Feng
    - CVE-2019-13764: Type Confusion in V8. Reported by Soyeon Park and Wen Xu
    - CVE-2019-13736: Integer overflow in PDFium. Reported by Anonymous
    - CVE-2019-13737: Insufficient policy enforcement in autocomplete. Reported
      by Mark Amery
    - CVE-2019-13738: Insufficient policy enforcement in navigation. Reported
      by Johnathan Norman and Daniel Clark
    - CVE-2019-13739: Incorrect security UI in Omnibox. Reported by xisigr
    - CVE-2019-13740: Incorrect security UI. Reported by Khalil Zhani
    - CVE-2019-13741: Insufficient validation of untrusted input in Blink.
      Reported by Michał Bentkowski
    - CVE-2019-13742: Incorrect security UI in Omnibox. Reported by Khalil
      Zhani
    - CVE-2019-13743: Incorrect security UI in external protocol handling.
      Reported by Zhiyang Zeng
    - CVE-2019-13744: Insufficient policy enforcement in cookies. Reported by
      Prakash
    - CVE-2019-13745: Insufficient policy enforcement in audio. Reported by
      Luan Herrera
    - CVE-2019-13746: Insufficient policy enforcement in Omnibox. Reported by
      David Erceg
    - CVE-2019-13747: Uninitialized Use in rendering. Reported by Ivan
      Popelyshev and André Bonatti
    - CVE-2019-13748: Insufficient policy enforcement in developer tools.
      Reported by David Erceg
    - CVE-2019-13749: Incorrect security UI in Omnibox. Reported by Khalil
      Zhani
    - CVE-2019-13750: Insufficient data validation in SQLite. Reported by
      Wenxiang Qian
    - CVE-2019-13751: Uninitialized Use in SQLite. Reported by Wenxiang Qian
    - CVE-2019-13752: Out of bounds read in SQLite. Reported by Wenxiang Qian
    - CVE-2019-13753: Out of bounds read in SQLite. Reported by Wenxiang Qian
    - CVE-2019-13754: Insufficient policy enforcement in extensions. Reported
      by Cody Crews
    - CVE-2019-13755: Insufficient policy enforcement in extensions. Reported
      by Masato Kinugawa
    - CVE-2019-13756: Incorrect security UI in printing. Reported by Khalil
      Zhani
    - CVE-2019-13757: Incorrect security UI in Omnibox. Reported by Khalil
      Zhani
    - CVE-2019-13758: Insufficient policy enforcement in navigation. Reported
      by Khalil Zhani
    - CVE-2019-13759: Incorrect security UI. Reported by Wenxu Wu
    - CVE-2019-13761: Incorrect security UI in Omnibox. Reported by Khalil
      Zhani
    - CVE-2019-13762: Insufficient policy enforcement in downloads. Reported by
      csanuragjain
    - CVE-2019-13763: Insufficient policy enforcement in payments. Reported by
      weiwangpp93

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 12 Dec 2019 04:36:09 +0000

chromium (79.0.3945.56-1) experimental; urgency=medium

  * New upstream beta release.
  * Update standards version to 4.4.1.
  * Ignore the gpu blacklist by default again.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 27 Nov 2019 23:59:29 +0000

chromium (78.0.3904.108-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2019-13723: Use-after-free in Bluetooth. Reported by Yuxiang Li
    - CVE-2019-13724: Out-of-bounds in Bluetooth. Reported by Yuxiang Li
  * Disable vaapi on armhf (closes: #944627).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 20 Nov 2019 23:46:06 +0000

chromium (78.0.3904.97-1) unstable; urgency=medium

  * New upstream security release.
  * Enable vaapi (closes: #940074).
  * Fix crash during profile manager shutdown.
  * Drop libglewmx-dev build dependency (closes: #941050).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Nov 2019 03:33:52 +0000

chromium (78.0.3904.87-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-5869: Use-after-free in Blink. Reported by Zhe Jin
    - CVE-2019-5870: Use-after-free in media. Reported by Guang Gong
    - CVE-2019-5871: Heap overflow in Skia. Reported by Anonymous
    - CVE-2019-5872: Use-after-free in Mojo. Reported by Zhe Jin
    - CVE-2019-5874: External URIs may trigger other browsers. Reported by
      James Lee
    - CVE-2019-5875: URL bar spoof. Reported by Khalil
      Zhani
    - CVE-2019-5876: Use-after-free in media. Reported by Man Yue Mo
    - CVE-2019-5877: Out-of-bounds access in V8. Reported by Guang Gong
    - CVE-2019-5878: Use-after-free in V8. Reported by Guang Gong
    - CVE-2019-5879: Extensions can read some local files. Reported by Jinseo
      Kim
    - CVE-2019-5880: SameSite cookie bypass. Reported by Jun Kokatsu
    - CVE-2019-13659: URL spoof. Reported by Lnyas Zhang
    - CVE-2019-13660: Full screen notification overlap. Reported by Wenxu Wu
    - CVE-2019-13661: Full screen notification spoof. Reported by Wenxu Wu
    - CVE-2019-13662: CSP bypass. Reported by David Erceg
    - CVE-2019-13663: IDN spoof. Reported by Lnyas Zhang
    - CVE-2019-13664: CSRF bypass. Reported by thomas "zemnmez" shadwell
    - CVE-2019-13665: Multiple file download protection bypass. Reported by
      Jun Kokatsu
    - CVE-2019-13666: Side channel using storage size estimate. Reported by
      Tom Van Goethem
    - CVE-2019-13667: URI bar spoof when using external app URIs. Reported by
      Khalil Zhani
    - CVE-2019-13668: Global window leak via console. Reported by David Erceg
    - CVE-2019-13669: HTTP authentication spoof. Reported by Khalil Zhani
    - CVE-2019-13670: V8 memory corruption in regex. Reported by Guang Gong
    - CVE-2019-13671: Dialog box fails to show origin. Reported by xisigr
    - CVE-2019-13673: Cross-origin information leak using devtools. Reported
      by David Erceg
    - CVE-2019-13674: IDN spoofing. Reported by Khalil Zhani
    - CVE-2019-13675: Extensions can be disabled by trailing slash. Reported
      by Jun Kokatsu
    - CVE-2019-13676: Google URI shown for certificate warning. Reported by
      Wenxu Wu
    - CVE-2019-13677: Chrome web store origin needs to be isolated. Reported
      by Jun Kokatsu
    - CVE-2019-13678: Download dialog spoofing. Reported by Ronni Skansing
    - CVE-2019-13679: User gesture needed for printing. Reported by Conrad
      Irwin
    - CVE-2019-13680: IP address spoofing to servers. Reported by Thijs
      Alkemade
    - CVE-2019-13681: Bypass on download restrictions. Reported by David Erceg
    - CVE-2019-13682: Site isolation bypass. Reported by Jun Kokatsu
    - CVE-2019-13683: Exceptions leaked by devtools. Reported by David Erceg
    - CVE-2019-13685: Use-after-free in UI. Reported by Khalil Zhani
    - CVE-2019-13686: Use-after-free in offline pages. Reported by Brendon
    - CVE-2019-13687: Use-after-free in media. Reported by Man Yue Mo
    - CVE-2019-13688: Use-after-free in media. Reported by Man Yue Mo
      Tiszka
    - CVE-2019-13691: Omnibox spoof. Reported by David Erceg
    - CVE-2019-13692: SOP bypass. Reported by Jun Kokatsu
    - CVE-2019-13693: Use-after-free in IndexedDB. Reported by Guang Gong
    - CVE-2019-13694: Use-after-free in WebRTC. Reported by banananapenguin
    - CVE-2019-13695: Use-after-free in audio. Reported by Man Yue Mo
    - CVE-2019-13696: Use-after-free in V8. Reported by Guang Gong
    - CVE-2019-13697: Cross-origin size leak. Reported by Luan Herrera
    - CVE-2019-13699: Use-after-free in media. Reported by Man Yue Mo
    - CVE-2019-13700: Buffer overrun in Blink. Reported by Man Yue Mo
    - CVE-2019-13701: URL spoof in navigation. Reported by David Erceg
    - CVE-2019-13702: Privilege elevation in Installer. Reported by Phillip
      Langlois and Edward Torkington
    - CVE-2019-13703: URL bar spoofing. Reported by Khalil Zhani
    - CVE-2019-13704: CSP bypass. Reported by Jun Kokatsu
    - CVE-2019-13705: Extension permission bypass. Reported by Luan Herrera
    - CVE-2019-13706: Out-of-bounds read in PDFium. Reported by pdknsk
    - CVE-2019-13707: File storage disclosure. Reported by Andrea Palazzo
    - CVE-2019-13708: HTTP authentication spoof. Reported by Khalil Zhani
    - CVE-2019-13709: File download protection bypass. Reported by Zhong
      Zhaochen
    - CVE-2019-13710: File download protection bypass. Reported by
      bernardo.mrod
    - CVE-2019-13711: Cross-context information leak. Reported by David Erceg
    - CVE-2019-13713: Cross-origin data leak. Reported by David Erceg
    - CVE-2019-13714: CSS injection. Reported by Jun Kokatsu
    - CVE-2019-13715: Address bar spoofing. Reported by xisigr
    - CVE-2019-13716: Service worker state error. Reported by Barron Hagerman
    - CVE-2019-13717: Notification obscured. Reported by xisigr
    - CVE-2019-13718: IDN spoof. Reported by Khalil Zhani
    - CVE-2019-13719: Notification obscured. Reported by Khalil Zhani
    - CVE-2019-13720: Use-after-free in audio. Reported by Anton Ivanov and
      Alexey Kulaev
    - CVE-2019-13721: Use-after-free in PDFium. Reported by banananapenguin
  * Drop support for building with gcc 6 and gtk 2.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 02 Nov 2019 22:30:42 +0000

chromium (76.0.3809.100-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2019-5867: Out-of-bounds read in V8. Reported by Lucas Pinheiro
    - CVE-2019-5868: Use-after-free in PDFium ExecuteFieldAction. Reported by
      banananapenguin

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 09 Aug 2019 19:58:55 +0000

chromium (76.0.3809.87-2) unstable; urgency=medium

  * Fix inverted logic in enum comparison (closes: #933598).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 03 Aug 2019 14:31:59 +0000

chromium (76.0.3809.87-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-5847: V8 sealed/frozen elements cause crash. Reported by m3plex
    - CVE-2019-5848: Font sizes may expose sensitive information. Reported by
      Mark Amery
    - CVE-2019-5850: Use-after-free in offline page fetcher. Reported by
      Brendon Tiszka
    - CVE-2019-5851: Use-after-poison in offline audio context. Reported by Zhe
      Jin
    - CVE-2019-5852: Object leak of utility functions. Reported by David Erceg
    - CVE-2019-5853: Memory corruption in regexp length check. Reported by
      yngwei and sakura
    - CVE-2019-5854: Integer overflow in PDFium text rendering. Reported by
      Zhen Zhou
    - CVE-2019-5855: Integer overflow in PDFium. Reported by Zhen Zhou
    - CVE-2019-5856: Insufficient checks on filesystem: URI permissions.
      Reported by Yongke Wang
    - CVE-2019-5857: Comparison of -0 and null yields crash. Reported by
      cloudfuzzer
    - CVE-2019-5858: Insufficient filtering of Open URL service parameters.
      Reported by evi1m0
    - CVE-2019-5859: res: URIs can load alternative browsers. Reported by James
      Lee
    - CVE-2019-5860: Use-after-free in PDFium. Reported by Anonymous
    - CVE-2019-5861: Click location incorrectly checked. Reported by Robin Linus
    - CVE-2019-5862: AppCache not robust to compromised renderers. Reported by
      Jun Kokatsu
    - CVE-2019-5864: Insufficient port filtering in CORS for extensions.
      Reported by Devin Grindle
    - CVE-2019-5865: Site isolation bypass from compromised renderer. Reported
      by Ivan Fratric
  * Use legacy call to avoid error in icu 6.3 (closes: #932049).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 29 Jul 2019 23:22:44 +0000

chromium (76.0.3809.71-1) unstable; urgency=medium

  * New upstream beta release.
  * Recommend system-config-printer (closes: #929106).
  * Add -fno-delete-null-pointer-checks back into the build flags.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 24 Jul 2019 22:51:41 +0000

chromium (76.0.3809.62-1) unstable; urgency=medium

  * New upstream beta release.
    - Fixes error restoring multiple profiles on startup (closes: #930469).
  * Update standards version to 4.4.0.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 10 Jul 2019 23:52:45 +0000

chromium (75.0.3770.90-1) unstable; urgency=medium

  [ Riku Voipio ]
  * Fix build on armhf (closes: #930348).

  [ Michael Gilbert ]
  * New upstream security release.
    - CVE-2019-5842: Use-after-free in Blink. Reported by BUGFENSE
  * Disable hardware accelerated video (closes: #926032).
  * Fix signedness error when built with gcc (closes: #914886).
    - Thanks to Maciej S. Szmigiero.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 14 Jun 2019 00:10:43 +0000

chromium (75.0.3770.80-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-5824: Parameter passing error in media player. Reported by
      leecraso and Guang Gong
    - CVE-2019-5825: Out-of-bounds write in V8. Reported by Gengming Liu,
      Jianyu Chen, Zhen Feng, and Jessica Liu
    - CVE-2019-5826: Use-after-free in IndexedDB. Reported by Gengming Liu,
      Jianyu Chen, Zhen Feng, and Jessica Liu
    - CVE-2019-5827: Out-of-bounds access issue in SQLite. Reported by
      mlfbrown
    - CVE-2019-5828: Use after free in ServiceWorker. Reported by leecraso and
      Guang Gong
    - CVE-2019-5829: Use after free in Download Manager. Reported by Lucas
      Pinheiro
    - CVE-2019-5830: Incorrectly credentialed requests in CORS. Reported by
      Andrew Krasichkov
    - CVE-2019-5831: Incorrect map processing in V8. Reported by yngwei
    - CVE-2019-5832: Incorrect CORS handling in XHR. Reported by Sergey Shekyan
    - CVE-2019-5833: Inconsistent security UI placement. Reported by Khalil
      Zhani
    - CVE-2019-5834: URL spoof in Omnibox on iOS. Reported by Khalil Zhani
    - CVE-2019-5836: Heap buffer overflow in Angle. Reported by Omair
    - CVE-2019-5837: Cross-origin resources size disclosure in Appcache.
      Reported by Adam Iwaniuk
    - CVE-2019-5838: Overly permissive tab access in Extensions. Reported by
      David Erceg
    - CVE-2019-5839: Incorrect handling of certain code points in Blink.
      Reported by Masato Kinugawa
    - CVE-2019-5840: Popup blocker bypass. Reported by Eliya Stein and Jerome
      Dangu
    - CVE-2019-5849: Out-of-bounds read in Skia. Reported by Zhen Zhou

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Jun 2019 18:59:50 +0000

chromium (75.0.3770.10-1) experimental; urgency=medium

  * New upstream development release.
    - Fixes crash when launching chromium a second time (closes: #927913).
  * Document how to use widevine in README.debian (closes: #929026).
  * Apply vaapi update from the Fedora chromium 73 package (closes: #926032).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Jun 2019 18:35:36 +0000

chromium (74.0.3729.108-1) unstable; urgency=medium

  * New upstream stable release.
    - Eliminates flood of vsync error messages (closes: #901831).
    - Correctly shuts down when SIGTERM is recieved (closes: #924901).
    - Fixes regression in hardware accelerated video (closes: #926032).
    - CVE-2019-5805: Use after free in PDFium. Reported by Anonymous
    - CVE-2019-5806: Integer overflow in Angle. Reported by Wen Xu
    - CVE-2019-5807: Memory corruption in V8. Reported by TimGMichaud
    - CVE-2019-5808: Use after free in Blink. Reported by cloudfuzzer
    - CVE-2019-5809: Use after free in Blink. Reported by Mark Brand
    - CVE-2019-5810: User information disclosure in Autofill. Reported by Mark
      Amery
    - CVE-2019-5811: CORS bypass in Blink. Reported by Jun Kokatsu
    - CVE-2019-5813: Out of bounds read in V8. Reported by Aleksandar Nikolic
    - CVE-2019-5814: CORS bypass in Blink. Reported by @AaylaSecura1138
    - CVE-2019-5815: Heap buffer overflow in Blink. Reported by Nicolas
      Grégoire
    - CVE-2019-5818: Uninitialized value in media reader. Reported by Adrian
      Tolbaru
    - CVE-2019-5819: Incorrect escaping in developer tools. Reported by Svyat
      Mitin
    - CVE-2019-5820: Integer overflow in PDFium. Reported by pdknsk
    - CVE-2019-5821: Integer overflow in PDFium. Reported by pdknsk
    - CVE-2019-5822: CORS bypass in download manager. Reported by Jun Kokatsu
    - CVE-2019-5823: Forced navigation from service worker. Reported by David
      Erceg

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 24 Apr 2019 00:08:54 +0000

chromium (73.0.3683.75-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-5787: Use after free in Canvas. Reported by Zhe Jin
    - CVE-2019-5788: Use after free in FileAPI. Reported by Mark Brand
    - CVE-2019-5789: Use after free in WebMIDI. Reported by Mark Brand
    - CVE-2019-5790: Heap buffer overflow in V8. Reported by Dimitri Fourny
    - CVE-2019-5791: Type confusion in V8. Reported by Choongwoo Han
    - CVE-2019-5792: Integer overflow in PDFium. Reported by pdknsk
    - CVE-2019-5793: Excessive permissions for private API in Extensions.
      Reported by Jun Kokatsu
    - CVE-2019-5794: Security UI spoofing. Reported by Juno Im of Theori
    - CVE-2019-5795: Integer overflow in PDFium. Reported by pdknsk
    - CVE-2019-5796: Race condition in Extensions. Reported by Mark Brand
    - CVE-2019-5797: Race condition in DOMStorage. Reported by Mark Brand
    - CVE-2019-5798: Out of bounds read in Skia. Reported by Tran Tien Hung
    - CVE-2019-5799: CSP bypass with blob URL. Reported by sohalt
    - CVE-2019-5800: CSP bypass with blob URL. Reported by Jun Kokatsu
    - CVE-2019-5802: Security UI spoofing. Reported by Ronni Skansing
    - CVE-2019-5803: CSP bypass with Javascript URLs'. Reported by Andrew
      Comminos

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 19 Mar 2019 02:19:17 +0000

chromium (73.0.3683.56-2) experimental; urgency=medium

  * Fix build failure on armhf.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 Mar 2019 04:35:32 +0000

chromium (73.0.3683.56-1) experimental; urgency=medium

  * New upstream beta release.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 02 Mar 2019 18:02:02 +0000

chromium (72.0.3626.122-1) unstable; urgency=medium

  * New upstream stable release.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 07 Mar 2019 14:05:20 +0000

chromium (72.0.3626.121-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-5786: Use-after-free in FileReader

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 02 Mar 2019 16:28:16 +0000

chromium (72.0.3626.109-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-5784: Inappropriate implementation in V8. Reported by Lucas
      Pinheiro
  * Build pdfium using system lcms.
  * Renable support for kerberos (closes: #916684).
  * Fix 32-bit type error in the vaapi implementation (closes: #921823).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Feb 2019 04:27:06 +0000

chromium (72.0.3626.81-1) unstable; urgency=medium

  * New upstream stable release.
    - Stack buffer overflow in Skia. Reported by Ivan Fratric
    - Use after free in Mojo, FileAPI, and Payments. Reported by Mark Brand
    - CVE-2018-17481: Use after free in PDFium. Reported by Anonymous
    - CVE-2019-5754: Inappropriate implementation in QUIC Networking. Reported
      by Klzgrad
    - CVE-2019-5755: Inappropriate implementation in V8. Reported by Jay
      Bosamiya
    - CVE-2019-5756: Use after free in PDFium. Reported by Anonymous
    - CVE-2019-5757: Type Confusion in SVG. Reported by Alexandru Pitis
    - CVE-2019-5758: Use after free in Blink. Reported by Zhe Jin
    - CVE-2019-5759: Use after free in HTML select elements. Reported by Almog
      Benin
    - CVE-2019-5760: Use after free in WebRTC. Reported by Zhe Jin
    - CVE-2019-5762: Use after free in PDFium. Reported by Anonymous
    - CVE-2019-5763: Insufficient validation of untrusted input in V8.
      Reported by Guang Gong
    - CVE-2019-5764: Use after free in WebRTC. Reported by Eyal Itkin
    - CVE-2019-5765: Insufficient policy enforcement in the browser. Reported
      by Sergey Toshin
    - CVE-2019-5766: Insufficient policy enforcement in Canvas. Reported by
      David Erceg
    - CVE-2019-5767: Incorrect security UI in WebAPKs. Reported by Haoran Lu,
      Yifan Zhang, Luyi Xing, and Xiaojing Liao
    - CVE-2019-5768: Insufficient policy enforcement in DevTools. Reported by
      Rob Wu
    - CVE-2019-5769: Insufficient validation of untrusted input in Blink.
      Reported by Guy Eshel
    - CVE-2019-5770: Heap buffer overflow in WebGL. Reported by hemidallt
    - CVE-2019-5772: Use after free in PDFium. Reported by Zhen Zhou
    - CVE-2019-5773: Insufficient data validation in IndexedDB. Reported by
      Yongke Wang
    - CVE-2019-5774: Insufficient validation of untrusted input in
      SafeBrowsing. Reported by Junghwan Kang and Juno Im
    - CVE-2019-5775: Insufficient policy enforcement in Omnibox. Reported by
      evi1m0
    - CVE-2019-5776: Insufficient policy enforcement in Omnibox. Reported by
      Lnyas Zhang
    - CVE-2019-5777: Insufficient policy enforcement in Omnibox. Reported by
      Khalil Zhani
    - CVE-2019-5778: Insufficient policy enforcement in Extensions. Reported
      by David Erceg
    - CVE-2019-5779: Insufficient policy enforcement in ServiceWorker.
      Reported by David Erceg
    - CVE-2019-5780: Insufficient policy enforcement. Reported by Andreas
      Hegenberg
    - CVE-2019-5781: Insufficient policy enforcement in Omnibox. Reported by
      evi1m0
    - CVE-2019-5782: Inappropriate implementation in V8 reported by Qixun Zhao
    - CVE-2019-5783: Insufficient validation of untrusted input in DevTools.
      Reported by Shintaro Kobori
  * Opt out of all Google web service options by default (closes: #916320).
  * Enable support for hardware accelerated video decoding (closes: #856255).
    - Thanks to Akarshan Biswas.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 02 Feb 2019 05:05:43 +0000

chromium (72.0.3626.53-1) unstable; urgency=medium

  * New upstream beta release.
  * Organize the gcc 6 patches.
  * Update standards version to 4.3.0.
  * Drop libsrtp from the build dependencies (closes: #918542).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 12 Jan 2019 07:17:20 +0000

chromium (72.0.3626.7-6) unstable; urgency=medium

  * Upload to unstable: fix FTBFS on arm64 and armhf

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 08 Jan 2019 14:41:13 +0200

chromium (72.0.3626.7-5) experimental; urgency=medium

  * Fix armhf and arm64 builds

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 04 Jan 2019 16:17:43 +0200

chromium (72.0.3626.7-4) unstable; urgency=medium

  * Reenable support for widevine (closes: #916058).
  * Update maintainer to chromium@packages.debian.org (closes: #915988).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 24 Dec 2018 19:41:02 +0000

chromium (72.0.3626.7-3) unstable; urgency=medium

  * Remove unintended extra brace in arm patch.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Dec 2018 22:37:19 +0000

chromium (72.0.3626.7-2) experimental; urgency=medium

  * Fix build failures on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 14 Dec 2018 02:50:58 +0000

chromium (72.0.3626.7-1) experimental; urgency=medium

  * New upstream developmental release.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 11 Dec 2018 03:31:15 +0000

chromium (71.0.3578.80-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2018-17480: Out of bounds write in V8. Reported by Guang Gong
    - CVE-2018-17481: Use after frees in PDFium. Reported by Anonymous
    - CVE-2018-18335: Heap buffer overflow in Skia. Reported by Anonymous
    - CVE-2018-18336: Use after free in PDFium. Reported by Huyna
    - CVE-2018-18337: Use after free in Blink. Reported by cloudfuzzer
    - CVE-2018-18338: Heap buffer overflow in Canvas. Reported by Zhe Jin
    - CVE-2018-18339: Use after free in WebAudio. Reported by cloudfuzzer
    - CVE-2018-18340: Use after free in MediaRecorder. Reported by Anonymous
    - CVE-2018-18341: Heap buffer overflow in Blink. Reported by cloudfuzzer
    - CVE-2018-18342: Out of bounds write in V8. Reported by Guang Gong
    - CVE-2018-18343: Use after free in Skia. Reported by Tran Tien Hung
    - CVE-2018-18344: Inappropriate implementation in Extensions. Reported by
      Jann Horn
    - CVE-2018-18345: Inappropriate implementation in Site Isolation. Reported
      by Masato Kinugawa and Jun Kokatsu
    - CVE-2018-18346: Incorrect security UI in Blink. Reported by Luan Herrera
    - CVE-2018-18347: Inappropriate implementation in Navigation. Reported by
      Luan Herrera
    - CVE-2018-18348: Inappropriate implementation in Omnibox. Reported by
      Ahmed Elsobky
    - CVE-2018-18349: Insufficient policy enforcement in Blink. Reported by
      David Erceg
    - CVE-2018-18350: Insufficient policy enforcement in Blink. Reported by
      Jun Kokatsu
    - CVE-2018-18351: Insufficient policy enforcement in Navigation. Reported
      by Jun Kokatsu
    - CVE-2018-18352: Inappropriate implementation in Media. Reported by Jun
      Kokatsu
    - CVE-2018-18353: Inappropriate implementation in Network Authentication.
      Reported by Wenxu Wu
    - CVE-2018-18354: Insufficient data validation in Shell Integration.
      Reported by Wenxu Wu
    - CVE-2018-18355: Insufficient policy enforcement in URL Formatter.
      Reported by evi1m0
    - CVE-2018-18356: Use after free in Skia. Reported by Tran Tien Hung
    - CVE-2018-18357: Insufficient policy enforcement in URL Formatter.
      Reported by evi1m0
    - CVE-2018-18358: Insufficient policy enforcement in Proxy. Reported by
      Jann Horn
    - CVE-2018-18359: Out of bounds read in V8. Reported by cyrilliu
    - Inappropriate implementation in PDFium. Reported by Salem Faisal
      Elmrayed
    - Use after free in Extensions. Reported by Zhe Jin
    - Inappropriate implementation in Navigation. Reported by Luan Herrera
    - Inappropriate implementation in Navigation. Reported by Jesper van den
      Ende
    - Insufficient policy enforcement in Navigation. Reported by Ryan Pickren
    - Insufficient policy enforcement in URL Formatter. Reported by evi1m0

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 05 Dec 2018 00:45:35 +0000

chromium (71.0.3578.62-1) unstable; urgency=medium

  * New upstream beta release.
  * Rename the source package to chromium.
  * Build using the system jsoncpp library.
  * Remove non-free unrar source from the upstream tarball (closes: #914487).
    - Requires safe browsing inspection of rar files to be disabled.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 21 Nov 2018 02:37:35 +0000

chromium-browser (70.0.3538.110-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-17479: Use-after-free in GPU.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 20 Nov 2018 00:45:46 +0000

chromium-browser (70.0.3538.102-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-17478: Out of bounds memory access in V8.  Reported by
      cloudfuzzer
  * Fix new lintian warnings.
  * Drop libjs-excanvas build dependency.
  * Add support for building with harfbuzz 2.1.1.
  * Document how to run chromium as root (closes: #838534).
  * Output debian specific instructions when no working sandbox is available.
  * Do not rely on transitive recommendation for the sandbox (closes: #913116).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 16 Nov 2018 03:12:53 +0000

chromium-browser (70.0.3538.67-3) unstable; urgency=medium

  * Fix a compiler warning.
  * Move the setuid sandbox into a separate package (closes: #839277).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 03 Nov 2018 17:30:16 +0000

chromium-browser (70.0.3538.67-2) unstable; urgency=medium

  * Restore support for building with gtk2.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 23 Oct 2018 01:11:35 +0000

chromium-browser (70.0.3538.67-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2018-17462: Sandbox escape in AppCache. Reported by Ned Williamson
      and Niklas Baumstark
    - CVE-2018-17463: Remote code execution in V8. Reported by Ned Williamson
      and Niklas Baumstark
    - Heap buffer overflow in Little CMS in PDFium. Reported by Quang Nguyễn
    - CVE-2018-17464: URL spoof in Omnibox. Reported by xisigr
    - CVE-2018-17465: Use after free in V8. Reported by Lin Zuojian
    - CVE-2018-17466: Memory corruption in Angle. Reported by Omair
    - CVE-2018-17467: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-17468: Cross-origin URL disclosure in Blink. Reported by James
      Lee
    - CVE-2018-17469: Heap buffer overflow in PDFium. Reported by Zhen Zhou
    - CVE-2018-17470: Memory corruption in GPU Internals. Reported by Zhe Jin
    - CVE-2018-17471: Security UI occlusion in full screen mode. Reported by
      Lnyas Zhang
    - CVE-2018-17473: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-17474: Use after free in Blink. Reported by Zhe Jin
    - CVE-2018-17475: URL spoof in Omnibox. Reported by Vladimir Metnew
    - CVE-2018-17476: Security UI occlusion in full screen mode. Reported by
      Khalil Zhani
    - CVE-2018-5179: Lack of limits on update() in ServiceWorker. Reported by
      Yannic Bonenberger
    - CVE-2018-17477: UI spoof in Extensions. Reported by Aaron Muir Hamilton
  * Fix build failure on i386.
  * Fix installation path of the master preferences file (closes: #911056).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 16 Oct 2018 12:36:22 +0000

chromium-browser (70.0.3538.54-2) unstable; urgency=medium

  * Build with gcc 8 (closes: #901368).
  * Move the master preferences file to /etc/chromium (closes: #891232).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 14 Oct 2018 00:49:46 +0000

chromium-browser (70.0.3538.54-1) unstable; urgency=medium

  * New upstream beta release.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 Oct 2018 04:18:08 +0000

chromium-browser (69.0.3497.100-1) unstable; urgency=medium

  * New upstream stable release.
  * Update standards version to 4.2.1.
  * Clarify debugging section in README.debian (closes: #910842).
  * Remove ConvertUTF from the upstream tarball (closes: #900596).
  * Load all extensions installed to /usr/share/chromium/extensions.
    - Thanks to Michael Meskes (closes: #890392).
  * Remove audio_capture_enable setting from the default preferences
    (closes: #884887).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 Oct 2018 02:35:46 +0000

chromium-browser (69.0.3497.92-1) unstable; urgency=medium

  * New upstream security release.
    - Function signature mismatch in WebAssembly. Reported by Kevin Cheung
    - URL Spoofing in Omnibox. Reported by evi1m0

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 13 Sep 2018 03:12:53 +0000

chromium-browser (69.0.3497.81-3) unstable; urgency=medium

  * Move another file needed for the armhf build to where it is expected.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 07 Sep 2018 00:06:13 +0000

chromium-browser (69.0.3497.81-2) unstable; urgency=medium

  * Disable swiftshader.
  * Move file needed for the armhf build to where it is expected.
  * Document disabled built-in extensions in README.debian (closes: #886358).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 06 Sep 2018 01:45:12 +0000

chromium-browser (69.0.3497.81-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2018-16065: Out of bounds write in V8. Reported by Brendon Tiszka
    - CVE-2018-16066: Out of bounds read in Blink. Reported by cloudfuzzer
    - CVE-2018-16067: Out of bounds read in WebAudio. Reported by Zhe Jin
    - CVE-2018-16068: Out of bounds write in Mojo. Reported by Mark Brand
    - CVE-2018-16069: Out of bounds read in SwiftShader. Reported by Mark Brand
    - CVE-2018-16070: Integer overflow in Skia. Reported by Ivan Fratric
    - CVE-2018-16071: Use after free in WebRTC. Reported by Natalie Silvanovich
    - CVE-2018-16073: Site Isolation bypass after tab restore. Reported by Jun
      Kokatsu
    - CVE-2018-16074: Site Isolation bypass using Blob URLS. Reported by Jun
      Kokatsu
    - CVE-2018-16075: Local file access in Blink. Reported by Pepe Vila
    - CVE-2018-16076: Out of bounds read in PDFium. Reported by Aleksandar
      Nikolic
    - CVE-2018-16077: Content security policy bypass in Blink. Reported by
      Manuel Caballero
    - CVE-2018-16078: Credit card information leak in Autofill. Reported by
      Cailan Sacks
    - CVE-2018-16079: URL spoof in permission dialogs. Reported by Markus
      Vervier and Michele Orrù
    - CVE-2018-16080: URL spoof in full screen mode. Reported by Khalil Zhani
    - CVE-2018-16081: Local file access in DevTools. Reported by Jann Horn
    - CVE-2018-16082: Stack buffer overflow in SwiftShader. Reported by Omair
    - CVE-2018-16083: Out of bounds read in WebRTC. Reported by Natalie
      Silvanovich
    - CVE-2018-16084: User confirmation bypass in external protocol handling.
      Reported by Jun Kokatsu
    - CVE-2018-16085: Use after free in Memory Instrumentation. Reported by
      Roman Kuksin

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 05 Sep 2018 00:01:50 +0000

chromium-browser (69.0.3497.12-1) experimental; urgency=medium

  * New upstream development release.
    - Fixes an error that can occur on pages containing xml (closes: #865592).
  * Install swiftshader libraries to /usr/lib/chromium (closes: #901831).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 Jul 2018 09:30:34 +0000

chromium-browser (68.0.3440.75-2) unstable; urgency=medium

  * Restore a mistakenly omitted call to InitializeFFmpeg (closes: #902909).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 26 Jul 2018 00:37:11 +0000

chromium-browser (68.0.3440.75-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2018-4117: Cross origin information leak in Blink. Reported by
      AhsanEjaz
    - CVE-2018-6044: Request privilege escalation in Extensions . Reported by
      Rob Wu
    - CVE-2018-6150: Cross origin information disclosure in Service Workers.
      Reported by Rob Wu
    - CVE-2018-6151: Bad cast in DevTools. Reported by Rob Wu
    - CVE-2018-6152: Local file write in DevTools. Reported by Rob Wu
    - CVE-2018-6153: Stack buffer overflow in Skia. Reported by Zhen Zhou
    - CVE-2018-6154: Heap buffer overflow in WebGL. Reported by Omair
    - CVE-2018-6155: Use after free in WebRTC. Reported by Natalie Silvanovich
    - CVE-2018-6156: Heap buffer overflow in WebRTC. Reported by Natalie
      Silvanovich
    - CVE-2018-6157: Type confusion in WebRTC. Reported by Natalie Silvanovich
    - CVE-2018-6158: Use after free in Blink. Reported by Zhe Jin
    - CVE-2018-6159: Same origin policy bypass in ServiceWorker. Reported by
      Jun Kokatsu
    - CVE-2018-6161: Same origin policy bypass in WebAudio. Reported by Jun
      Kokatsu
    - CVE-2018-6162: Heap buffer overflow in WebGL. Reported by Omair
    - CVE-2018-6163: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6164: Same origin policy bypass in ServiceWorker. Reported by
      Jun Kokatsu
    - CVE-2018-6165: URL spoof in Omnibox. Reported by evi1m0
    - CVE-2018-6166: URL spoof in Omnibox. Reported by Lnyas Zhang
    - CVE-2018-6167: URL spoof in Omnibox. Reported by Lnyas Zhang
    - CVE-2018-6168: CORS bypass in Blink. Reported by Gunes Acar and Danny Y.
      Huang
    - CVE-2018-6169: Permissions bypass in extension installation . Reported by
      Sam P
    - CVE-2018-6170: Type confusion in PDFium. Reported by Anonymous
    - CVE-2018-6171: Use after free in WebBluetooth.
    - CVE-2018-6172: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6173: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6174: Integer overflow in SwiftShader. Reported by Mark Brand
    - CVE-2018-6175: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6176: Local user privilege escalation in Extensions. Reported by
      Jann Horn
    - CVE-2018-6177: Cross origin information leak in Blink. Reported by Ron
      Masas
    - CVE-2018-6178: UI spoof in Extensions. Reported by Khalil Zhani
    - CVE-2018-6179: Local file information leak in Extensions.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 25 Jul 2018 00:28:20 +0000

chromium-browser (68.0.3440.42-1) experimental; urgency=medium

  * New upstream beta release.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 30 Jun 2018 17:46:03 +0000

chromium-browser (68.0.3440.33-1) experimental; urgency=medium

  * New upstream beta release.
  * Build using upstream's "lite" tarball.
  * Restore decoder initialization from chromium 66 to maintain compatibility
    with ffmpeg 3.4 (closes: #900533).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 29 Jun 2018 20:48:51 +0000

chromium-browser (68.0.3440.25-1) experimental; urgency=medium

  * New upstream beta release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Jun 2018 16:32:18 +0000

chromium-browser (68.0.3440.17-1) experimental; urgency=medium

  * New upstream beta release.
  * Recommend upower and notification-daemon.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2018 04:40:58 +0000

chromium-browser (68.0.3440.7-1) experimental; urgency=medium

  * New upstream development release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 Jun 2018 23:44:14 +0000

chromium-browser (67.0.3396.87-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-6149: Out of bounds write in V8. Reported by Yu Zhou and
      Jundong Xie

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 19 Jun 2018 12:13:46 +0000

chromium-browser (67.0.3396.79-2) unstable; urgency=medium

  * Use embedded ffmpeg code copy (closes: #900533).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2018 00:33:39 +0000

chromium-browser (67.0.3396.79-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-6148: Incorrect handling of CSP header. Reported by Michał
      Bentkowski

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 Jun 2018 21:48:45 +0000

chromium-browser (67.0.3396.62-2) unstable; urgency=medium

  * Fix build on arm64/armhf

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 08 Jun 2018 15:37:05 +0300

chromium-browser (67.0.3396.62-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2018-6123: Use after free in Blink. Reported by Looben Yang
    - CVE-2018-6124: Type confusion in Blink. Reported by Guang Gong
    - CVE-2018-6125: Overly permissive policy in WebUSB. Reported by Yubico
    - CVE-2018-6126: Heap buffer overflow in Skia. Reported by Ivan Fratric
    - CVE-2018-6127: Use after free in indexedDB. Reported by Looben Yang
    - CVE-2018-6129: Out of bounds memory access in WebRTC. Reported by Natalie
      Silvanovich
    - CVE-2018-6130: Out of bounds memory access in WebRTC. Reported by Natalie
      Silvanovich
    - CVE-2018-6131: Incorrect mutability protection in WebAssembly. Reported
      by Natalie Silvanovich
    - CVE-2018-6132: Use of uninitialized memory in WebRTC. Reported by Ronald
      E. Crane
    - CVE-2018-6133: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6134: Referrer Policy bypass in Blink. Reported by Jun Kokatsu
    - CVE-2018-6135: UI spoofing in Blink. Reported by Jasper Rebane
    - CVE-2018-6136: Out of bounds memory access in V8. Reported by Peter Wong
    - CVE-2018-6137: Leak of visited status of page in Blink. Reported by
      Michael Smith
    - CVE-2018-6138: Overly permissive policy in Extensions. Reported by
      François Lajeunesse-Robert
    - CVE-2018-6139: Restrictions bypass in the debugger extension API.
      Reported by Rob Wu
    - CVE-2018-6140: Restrictions bypass in the debugger extension API.
      Reported by Rob Wu
    - CVE-2018-6141: Heap buffer overflow in Skia. Reported by Yangkang
    - CVE-2018-6142: Out of bounds memory access in V8. Reported by Choongwoo
      Han
    - CVE-2018-6143: Out of bounds memory access in V8. Reported by Guang Gong
    - CVE-2018-6144: Out of bounds memory access in PDFium. Reported by pdknsk
    - CVE-2018-6145: Incorrect escaping of MathML in Blink. Reported by Masato
      Kinugawa
    - CVE-2018-6147: Password fields not taking advantage of OS protections in
      Views. Reported by Michail Pishchagin

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 30 May 2018 13:03:02 +0000

chromium-browser (67.0.3396.57-1) experimental; urgency=medium

  * New upstream beta release.
  * Ignore more compiler warnings.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 29 May 2018 13:06:17 +0000

chromium-browser (67.0.3396.56-1) experimental; urgency=medium

  * New upstream beta release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 May 2018 04:27:00 +0000

chromium-browser (67.0.3396.48-1) experimental; urgency=medium

  * New upstream beta release.
  * Indicate that binary rules do not require root.
  * Change maintainer address to chromium-browser@packages.debian.org.
  * Drop widevine adapter package, no longer supported upstream (chromium
    should automatically detect and use libwidevinecdm.so without the extra
    adapter library now).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 19 May 2018 03:30:20 +0000

chromium-browser (66.0.3359.181-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-6120: Heap buffer overflow in PDFium. Reported by Zhou Aiting
    - CVE-2018-6121: Privilege Escalation in extensions.
    - CVE-2018-6122: Type confusion in V8.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 18 May 2018 21:08:59 +0000

chromium-browser (66.0.3359.139-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-6118: Use after free in Media Cache. Reported by Ned Williamson
  * Enable jumbo build.
  * Recommend libgl1-mesa-dri.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 28 Apr 2018 02:44:15 +0000

chromium-browser (66.0.3359.117-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2018-6085: Use after free in Disk Cache. Reported by Ned Williamson
    - CVE-2018-6086: Use after free in Disk Cache. Reported by Ned Williamson
    - CVE-2018-6087: Use after free in WebAssembly. Reported by Anonymous
    - CVE-2018-6088: Use after free in PDFium. Reported by Anonymous
    - CVE-2018-6089: Same origin policy bypass in Service Worker. Reported by
      Rob Wu
    - CVE-2018-6090: Heap buffer overflow in Skia. Reported by ZhanJia Song
    - CVE-2018-6091: Incorrect handling of plug-ins by Service Worker.
      Reported by Jun Kokatsu
    - CVE-2018-6092: Integer overflow in WebAssembly. Reported by Natalie
      Silvanovich
    - CVE-2018-6093: Same origin bypass in Service Worker. Reported by Jun
      Kokatsu
    - CVE-2018-6094: Exploit hardening regression in Oilpan. Reported by Chris
      Rohlf
    - CVE-2018-6095: Lack of meaningful user interaction requirement before
      file upload. Reported by Abdulrahman Alqabandi
    - CVE-2018-6096: Fullscreen UI spoof. Reported by WenXu Wu
    - CVE-2018-6097: Fullscreen UI spoof. Reported by xisigr
    - CVE-2018-6098: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6099: CORS bypass in ServiceWorker. Reported by Jun Kokatsu
    - CVE-2018-6100: URL spoof in Omnibox. Reported by Lnyas Zhang
    - CVE-2018-6101: Insufficient protection of remote debugging prototol in
      DevTools . Reported by Rob Wu
    - CVE-2018-6102: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6103: UI spoof in Permissions. Reported by Khalil Zhani
    - CVE-2018-6104: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6105: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6106: Incorrect handling of promises in V8. Reported by
      lokihardt
    - CVE-2018-6107: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6108: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-6109: Incorrect handling of files by FileAPI. Reported by
      Dominik Weber
    - CVE-2018-6110: Incorrect handling of plaintext files via file:// .
      Reported by Wenxiang Qian
    - CVE-2018-6111: Heap-use-after-free in DevTools. Reported by Khalil Zhani
    - CVE-2018-6112: Incorrect URL handling in DevTools. Reported by Rob Wu
    - CVE-2018-6113: URL spoof in Navigation. Reported by Khalil Zhani
    - CVE-2018-6114: CSP bypass. Reported by Lnyas Zhang
    - CVE-2018-6115: SmartScreen bypass in downloads. Reported by James Feher
    - CVE-2018-6116: Incorrect low memory handling in WebAssembly. Reported by
      Chengdu Security Response Center
    - CVE-2018-6117: Confusing autofill settings. Reported by Spencer Dailey
    - Fixes proxy time out error (closes: #892994).
    - Removes not implemented messages (closes: #893799).
  * Remove third_party/chromite from the upstream tarball (closes: #895076).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 26 Apr 2018 01:27:39 +0000

chromium-browser (66.0.3359.26-2) unstable; urgency=medium

  [ Michael Gilbert ]
  * Build using gcc6.
  * Move version control to salsa.debian.org.
  * Change maintainer address to chromium-browser@tracker.debian.org.

  [ Riku Voipio ]
  * [arm64/armhf] Fix neon autodetection with patch from upstream
  * [armhf] drop debug symbols

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 08 Apr 2018 03:11:08 +0000

chromium-browser (66.0.3359.26-1) experimental; urgency=medium

  * New upstream release.
  * Use threaded compression while repacking the upstream tarball.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 26 Mar 2018 00:53:25 +0000

chromium-browser (66.0.3359.22-3) experimental; urgency=medium

  * Build pdfium using the system openjpeg library.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Mar 2018 22:53:20 +0000

chromium-browser (66.0.3359.22-2) experimental; urgency=medium

  * Fix typo in vpx patch.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Mar 2018 21:39:20 +0000

chromium-browser (66.0.3359.22-1) experimental; urgency=medium

  * New upstream release.
    - Fixes swiftshader library loading error (closes: #864606).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 19 Mar 2018 01:04:11 +0000

chromium-browser (65.0.3325.146-4) unstable; urgency=medium

  * Fix another incomplete type build error (closes: #892891).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 15 Mar 2018 01:22:51 +0000

chromium-browser (65.0.3325.146-3) unstable; urgency=medium

  * Fix incomplete type build error.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Mar 2018 00:33:12 +0000

chromium-browser (65.0.3325.146-2) unstable; urgency=medium

  * Fix a few gcc build warnings.
  * Apply upstream's fix for a bug in gcc7's handling of non-copyable types
    (closes: #890954).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 10 Mar 2018 00:36:33 +0000

chromium-browser (65.0.3325.146-1) unstable; urgency=medium

  * New upstream stable release release.
    - CVE-2018-6056: Incorrect derived class instantiation in V8. Reported by
      lokihardt
    - CVE-2018-6060: Use after free in Blink. Reported by Omair
    - CVE-2018-6061: Race condition in V8. Reported by Guang Gong
    - CVE-2018-6062: Heap buffer overflow in Skia. Reported by Anonymous
    - CVE-2018-6057: Incorrect permissions on shared memory. Reported by Gal
      Beniamini
    - CVE-2018-6063: Incorrect permissions on shared memory. Reported by Gal
      Beniamini
    - CVE-2018-6064: Type confusion in V8. Reported by lokihardt
    - CVE-2018-6065: Integer overflow in V8. Reported by Mark Brand
    - CVE-2018-6066: Same Origin Bypass via canvas. Reported by Masato Kinugawa
    - CVE-2018-6067: Buffer overflow in Skia. Reported by Ned Williamson
    - CVE-2018-6068: Object lifecycle issues in Chrome Custom Tab. Reported by
      Luan Herrera
    - CVE-2018-6069: Stack buffer overflow in Skia. Reported by Wanglu &
      Yangkang
    - CVE-2018-6070: CSP bypass through extensions. Reported by Rob Wu
    - CVE-2018-6071: Heap bufffer overflow in Skia. Reported by Anonymous
    - CVE-2018-6072: Integer overflow in PDFium. Reported by Atte Kettunen
    - CVE-2018-6073: Heap bufffer overflow in WebGL. Reported by Omair
    - CVE-2018-6074: Mark-of-the-Web bypass. Reported by Abdulrahman Alqabandi
    - CVE-2018-6075: Overly permissive cross origin downloads. Reported by Inti
      De Ceukelaire
    - CVE-2018-6076: Incorrect handling of URL fragment identifiers in Blink.
      Reported by Mateusz Krzeszowiec
    - CVE-2018-6077: Timing attack using SVG filters. Reported by Khalil Zhani
    - CVE-2018-6078: URL Spoof in OmniBox. Reported by Khalil Zhani
    - CVE-2018-6079: Information disclosure via texture data in WebGL. Reported
      by Ivars Atteka
    - CVE-2018-6080: Information disclosure in IPC call. Reported by Gal
      Beniamini
    - CVE-2018-6081: XSS in interstitials. Reported by Rob Wu
    - CVE-2018-6082: Circumvention of port blocking. Reported by WenXu Wu
    - CVE-2018-6083: Incorrect processing of AppManifests. Reported by Jun
      Kokatsu
  * Enable support for vp9 (closes: #891831).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 05 Mar 2018 01:26:31 +0000

chromium-browser (65.0.3325.85-1) experimental; urgency=medium

  * New upstream beta release.
  * Remove third_party/ffmpeg from the upstream tarball.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Feb 2018 08:17:44 +0000

chromium-browser (65.0.3325.74-1) experimental; urgency=medium

  [ Michael Gilbert ]
  * New upstream release.
  * Update to debhelper 11.
  * Update standards version.
  * Remove third_party/llvm from the upstream tarball.
  * Drop -fno-delete-null-pointer from debian/rules, applied upstream now.

  [ Riku Voipio ]
  * Fix skia build on arm64, (closes: #891062)
  * Set some armhf specific gn args to help linking

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Feb 2018 02:36:40 +0000

chromium-browser (65.0.3325.73-1) experimental; urgency=medium

  * New upstream beta release.
  * Recommend libu2f-udev (closes: #890239).
  * Add support for ffmpeg 4.0 (closes: #888387).
  * Remove icc_profiles from the upstream tarball.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 18 Feb 2018 02:22:56 +0000

chromium-browser (64.0.3282.119-2) unstable; urgency=medium

  * Drop chromecast patch (closes: #884173).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Feb 2018 03:00:09 +0000

chromium-browser (64.0.3282.119-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2017-15420: URL spoofing in Omnibox. Reported by Drew Springall
    - CVE-2017-15429: UXSS in V8. Reported by Anonymous
    - CVE-2018-6031: Use after free in PDFium. Reported by Anonymous
    - CVE-2018-6032: Same origin bypass in Shared Worker. Reported by Jun
      Kokatsu
    - CVE-2018-6033: Race when opening downloaded files. Reported by Juho
      Nurminen
    - CVE-2018-6034: Integer overflow in Blink. Reported by Tobias Klein
    - CVE-2018-6035: Insufficient isolation of devtools from extensions.
      Reported by Rob Wu
    - CVE-2018-6036: Integer underflow in WebAssembly. Reported by The UK's
      National Cyber Security Centre
    - CVE-2018-6037: Insufficient user gesture requirements in autofill.
      Reported by Paul Stone
    - CVE-2018-6038: Heap buffer overflow in WebGL. Reported by cloudfuzzer
    - CVE-2018-6039: XSS in DevTools. Reported by Juho Nurminen
    - CVE-2018-6040: Content security policy bypass. Reported by WenXu Wu
    - CVE-2018-6041: URL spoof in Navigation. Reported by Luan Herrera
    - CVE-2018-6042: URL spoof in OmniBox. Reported by Khalil Zhani
    - CVE-2018-6043: Insufficient escaping with external URL handlers. Reported
      by 0x09AL
    - CVE-2018-6045: Insufficient isolation of devtools from extensions.
      Reported by Rob Wu
    - CVE-2018-6046: Insufficient isolation of devtools from extensions.
      Reported by Rob Wu
    - CVE-2018-6047: Cross origin URL leak in WebGL. Reported by Masato
      Kinugawa
    - CVE-2018-6048: Referrer policy bypass in Blink. Reported by Jun Kokatsu
    - CVE-2018-6049: UI spoof in Permissions. Reported by WenXu Wu
    - CVE-2018-6050: URL spoof in OmniBox. Reported by Jonathan Kew
    - CVE-2018-6051: Referrer leak in XSS Auditor. Reported by Antonio Sanso
    - CVE-2018-6052: Incomplete no-referrer policy implementation. Reported by
      Tanner Emek
    - CVE-2018-6053: Leak of page thumbnails in New Tab Page. Reported by Asset
      Kabdenov
    - CVE-2018-6054: Use after free in WebUI. Reported by Rob Wu

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Jan 2018 01:00:12 +0000

chromium-browser (63.0.3239.84-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2017-15407: Out of bounds write in QUIC. Reported by Ned Williamson
    - CVE-2017-15408: Heap buffer overflow in PDFium. Reported by Ke Liu
    - CVE-2017-15409: Out of bounds write in Skia. Reported by Anonymous
    - CVE-2017-15410: Use after free in PDFium. Reported by Luật Nguyễn
    - CVE-2017-15411: Use after free in PDFium. Reported by Luật Nguyễn
    - CVE-2017-15413: Type confusion in WebAssembly. Reported by Gaurav Dewan
    - CVE-2017-15415: Pointer information disclosure in IPC call. Reported by
      Viktor Brange
    - CVE-2017-15416: Out of bounds read in Blink. Reported by Ned Williamson
    - CVE-2017-15417: Cross origin information disclosure in Skia . Reported by
      Max May
    - CVE-2017-15418: Use of uninitialized value in Skia. Reported by Kushal
      Arvind Shah
    - CVE-2017-15419: Cross origin leak of redirect URL in Blink. Reported by
      Jun Kokatsu
    - CVE-2017-15420: URL spoofing in Omnibox. Reported by WenXu Wu
    - CVE-2017-15423: Issue with SPAKE implementation in BoringSSL. Reported by
      Greg Hudson
    - CVE-2017-15424: URL Spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2017-15425: URL Spoof in Omnibox. Reported by xisigr
    - CVE-2017-15426: URL Spoof in Omnibox. Reported by WenXu Wu
    - CVE-2017-15427: Insufficient blocking of JavaScript in Omnibox. Reported
      by Junaid Farhan
  * Update standards version to 4.1.2.
  * Stricter default master preferences.
  * Avoid showing the welcome page (closes: #857767).
  * Switch from gtk2 to gtk3 again (closes: #883364).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Dec 2017 16:05:00 +0000

chromium-browser (63.0.3239.40-1) experimental; urgency=medium

  * New upstream beta release.
  * Disable chromium signin feature.
  * Fix error in icon installation script.
  * Update to the latest standards version.
  * Indicate that the package can be built without root.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Nov 2017 05:36:26 +0000

chromium-browser (63.0.3239.30-1) experimental; urgency=medium

  * New upstream beta release.
  * Install 16 and 32 pixel png icon files (closes: #857071).
  * Improve description for --temp-profile (closes: #881040).
  * Document Debian bug reports in the manpage (closes: #880965).
  * Stricter breaks/replaces to support security uploads (closes: #877970).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 08 Nov 2017 01:54:47 +0000

chromium-browser (62.0.3202.89-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2017-15398: Stack buffer overflow in QUIC. Reported by Ned
      Williamson
    - CVE-2017-15399: Use after free in V8. Reported by Zhao Qixun
  * Revert new dependency on gconf.
  * Link against system lcms2 library (closes: #879153).
  * Disable device notifications by default (closes: #856571).
  * Remove icon extension from the desktop file (closes: #860256).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 07 Nov 2017 02:22:17 +0000

chromium-browser (62.0.3202.75-1) unstable; urgency=medium

  * New upstream stable release (closes: #879451).
    - CVE-2017-5124: UXSS with MHTML. Reported by Anonymous
    - CVE-2017-5125: Heap overflow in Skia. Reported by Anonymous
    - CVE-2017-5126: Use after free in PDFium. Reported by Luat Nguyen
    - CVE-2017-5127: Use after free in PDFium. Reported by Luat Nguyen
    - CVE-2017-5128: Heap overflow in WebGL. Reported by Omair
    - CVE-2017-5129: Use after free in WebAudio. Reported by Omair
    - CVE-2017-5131: Out of bounds write in Skia. Reported by Anonymous
    - CVE-2017-5132: Incorrect stack manipulation in WebAssembly. Reported by
      Gaurav Dewan
    - CVE-2017-5133: Out of bounds write in Skia. Reported by Aleksandar
      Nikolic
    - CVE-2017-15386: UI spoofing in Blink. Reported by WenXu Wu
    - CVE-2017-15387: Content security bypass. Reported by Jun Kokatsu
    - CVE-2017-15388: Out of bounds read in Skia. Reported by Kushal Arvind
      Shah
    - CVE-2017-15389: URL spoofing in OmniBox. Reported by xisigr
    - CVE-2017-15390: URL spoofing in OmniBox. Reported by Haosheng Wang
    - CVE-2017-15391: Extension limitation bypass in Extensions. Reported by
      João Lucas Melo Brasio
    - CVE-2017-15392: Incorrect registry key handling in PlatformIntegration.
      Reported by Xiaoyin Liu
    - CVE-2017-15393: Referrer leak in Devtools. Reported by Svyat Mitin
    - CVE-2017-15394: URL spoofing in extensions UI. Reported by Sam
    - CVE-2017-15395: Null pointer dereference in ImageCapture. Reported by
      Johannes Bergman
    - CVE-2017-15396: Stack overflow in V8. Reported by Yuan Deng
  * Enable chromecast feature switch (closes: #878244).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 04 Nov 2017 19:01:28 +0000

chromium-browser (61.0.3163.100-2) unstable; urgency=medium

  * Add liblcms2-dev as a build dependency (closes: #876804).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 26 Sep 2017 12:54:35 +0000

chromium-browser (61.0.3163.100-1) unstable; urgency=medium

  * New upstream stable release (closes: #876030).
    - CVE-2017-5111: Use after free in PDFium. Reported by Luật Nguyễn
    - CVE-2017-5112: Heap buffer overflow in WebGL. Reported by Tobias Klein
    - CVE-2017-5113: Heap buffer overflow in Skia. Reported by Anonymous
    - CVE-2017-5114: Memory lifecycle issue in PDFium. Reported by Ke Liu
    - CVE-2017-5115: Type confusion in V8. Reported by Marco Giovannini
    - CVE-2017-5116: Type confusion in V8. Reported by Anonymous
    - CVE-2017-5117: Use of uninitialized value in Skia. Reported by Tobias
      Klein
    - CVE-2017-5118: Bypass of Content Security Policy in Blink. Reported by
      WenXu Wu
    - CVE-2017-5119: Use of uninitialized value in Skia. Reported by Anonymous
    - CVE-2017-5120: Potential HTTPS downgrade during redirect navigation.
      Reported by Xiaoyin Liu
    - CVE-2017-5121: Out-of-bounds access in V8. Reported by Jordan Rabet
    - CVE-2017-5122: Out-of-bounds access in V8. Reported by Choongwoo Han
    - Adds support for gcc7 (closes: #853347).
  * Update standards version.
  * Use system libstdc++ instead of chromium's bundled custom libc++.
  * Improve error message when network is unreachable (closes: #864539).
  * Fix a mistake that lead to unstripped binary files (closes: #870531).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Sep 2017 20:26:02 +0000

chromium-browser (60.0.3112.78-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2017-5091: Use after free in IndexedDB. Reported by Ned Williamson
    - CVE-2017-5092: Use after free in PPAPI. Reported by Yu Zhou, Yuan Deng
    - CVE-2017-5093: UI spoofing in Blink. Reported by Luan Herrera
    - CVE-2017-5094: Type confusion in extensions. Reported by Anonymous
    - CVE-2017-5095: Out-of-bounds write in PDFium. Reported by Anonymous
    - CVE-2017-5096: User information leak via Android intents. Reported by
      Takeshi Terada
    - CVE-2017-5097: Out-of-bounds read in Skia. Reported by Anonymous
    - CVE-2017-5098: Use after free in V8. Reported by Jihoon Kim
    - CVE-2017-5099: Out-of-bounds write in PPAPI. Reported by Yuan Deng, Yu
      Zhou
    - CVE-2017-5100: Use after free in Chrome Apps. Reported by Anonymous
    - CVE-2017-5101: URL spoofing in OmniBox. Reported by Luan Herrera
    - CVE-2017-5102: Uninitialized use in Skia. Reported by Anonymous
    - CVE-2017-5103: Uninitialized use in Skia. Reported by Anonymous
    - CVE-2017-5104: UI spoofing in browser. Reported by Khalil Zhani
    - CVE-2017-7000: Pointer disclosure in SQLite. Reported by Chaitin Security
      Research Lab
    - CVE-2017-5105: URL spoofing in OmniBox. Reported by Rayyan Bijoora
    - CVE-2017-5106: URL spoofing in OmniBox. Reported by Jack Zac
    - CVE-2017-5107: User information leak via SVG. Reported by David
      Kohlbrenner
    - CVE-2017-5108: Type confusion in PDFium. Reported by Guang Gong
    - CVE-2017-5109: UI spoofing in browser. Reported by José María Acuña
      Morgado
    - CVE-2017-5110: UI spoofing in payments dialog. Reported by xisigr

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 27 Jul 2017 03:22:03 +0000

chromium-browser (60.0.3112.72-1) unstable; urgency=medium

  * New upstream beta release.
    - Adds support for gcc 6.4 (closes: #868926).
  * Update to debhelper version 10.
  * Update to standards version 4.0.0.
  * Only include pak files that are needed.
  * Drop chromedriver transitional package.
  * Drop ffmpeg.patch, now applied upstream.
  * Drop libgnome-keyring-dev build dependency (closes: #867917).
  * Install chromium-shell to /usr/lib/chromium (closes: #864565).
    - Thanks to Bert Schulze.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 22 Jul 2017 16:41:59 +0000

chromium-browser (59.0.3071.104-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2017-5087: Sandbox Escape in IndexedDB. Reported by Ned Williamson
    - CVE-2017-5088: Out of bounds read in V8. Reported by Xiling Gong
    - CVE-2017-5089: Domain spoofing in Omnibox. Reported by Michał Bentkowski
  * Update get-orig-source to support really long arguments to tar --delete.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 17 Jun 2017 20:03:49 +0000

chromium-browser (59.0.3071.86-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2017-5070: Type confusion in V8. Reported by Zhao Qixun
    - CVE-2017-5071: Out of bounds read in V8. Reported by Choongwoo Han
    - CVE-2017-5072: Address spoofing in Omnibox. Reported by Rayyan Bijoora
    - CVE-2017-5073: Use after free in print preview. Reported by Khalil Zhani
    - CVE-2017-5074: Use after free in Apps Bluetooth. Reported by anonymous
    - CVE-2017-5075: Information leak in CSP reporting. Reported by Emmanuel
      Gil Peyrot
    - CVE-2017-5076: Address spoofing in Omnibox. Reported by Samuel Erb
    - CVE-2017-5077: Heap buffer overflow in Skia. Reported by Sweetchip
    - CVE-2017-5078: Possible command injection in mailto handling. Reported
      by Jose Carlos Exposito Bueno
    - CVE-2017-5079: UI spoofing in Blink. Reported by Khalil Zhani
    - CVE-2017-5080: Use after free in credit card autofill. Reported by
      Khalil Zhani
    - CVE-2017-5081: Extension verification bypass. Reported by Andrey Kovalev
    - CVE-2017-5082: Insufficient hardening in credit card editor. Reported by
      Nightwatch Cybersecurity Research
    - CVE-2017-5083: UI spoofing in Blink. Reported by Khalil Zhani
    - CVE-2017-5085: Inappropriate javascript execution on WebUI pages.
      Reported by Zhiyang Zeng
    - CVE-2017-5086: Address spoofing in Omnibox. Reported by Rayyan Bijoora

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 05 Jun 2017 23:09:28 +0000

chromium-browser (59.0.3071.71-1) experimental; urgency=medium

  * New upstream beta release.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 May 2017 03:30:14 +0000

chromium-browser (59.0.3071.61-1) experimental; urgency=medium

  * New upstream beta release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 21 May 2017 19:34:39 +0000

chromium-browser (59.0.3071.47-1) experimental; urgency=medium

  * New upstream beta release.
  * Simplify approach for disabling vp9.
  * Fix incomplete new interfaces to system ICU library.
  * Remove XML_PARSE_NOXXE flag since system libxml2 does not yet support it.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 May 2017 16:09:05 +0000

chromium-browser (58.0.3029.96-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2017-5068: Race condition in WebRTC. Credit to Philipp Hancke

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 07 May 2017 00:36:22 +0000

chromium-browser (58.0.3029.81-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2017-5057: Type confusion in PDFium. Credit to Guang Gong.
    - CVE-2017-5058: Heap use after free in Print Preview. Credit to Khalil
      Zhani
    - CVE-2017-5059: Type confusion in Blink. Credit to SkyLined
    - CVE-2017-5060: URL spoofing in Omnibox. Credit to Xudong Zheng
    - CVE-2017-5061: URL spoofing in Omnibox. Credit to Haosheng Wang
    - CVE-2017-5062: Use after free in Chrome Apps. Credit to anonymous
    - CVE-2017-5063: Heap overflow in Skia. Credit to Sweetchip
    - CVE-2017-5064: Use after free in Blink. Credit to Wadih Matar
    - CVE-2017-5065: Incorrect UI in Blink. Credit to Khalil Zhani
    - CVE-2017-5066: Incorrect signature handing in Networking. Credit to
      chenchu
    - CVE-2017-5067: URL spoofing in Omnibox. Credit to Khalil Zhani
    - CVE-2017-5069: Cross-origin bypass in Blink. Credit to Michael Reizelman

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 19 Apr 2017 23:20:29 +0000

chromium-browser (58.0.3029.68-1) experimental; urgency=medium

  * New upstream beta release.
    - Drop arm patch, now applied upstream.
    - Add missing file needed to be able to build gn.
    - Update vpx.patch to continue using the system library.
    - Set use_vulcanize=false to avoid bringing in the entire nodejs ecosystem.
  * Enable remote extensions by default (closes: #856183).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 07 Apr 2017 04:51:22 +0000

chromium-browser (57.0.2987.133-1) unstable; urgency=medium

  * New upstream security update.
    - CVE-2017-5055: Use after free in printing. Credit to Wadih Matar
    - CVE-2017-5054: Heap buffer overflow in V8. Credit to Nicolas Trippar
    - CVE-2017-5052: Bad cast in Blink. Credit to JeongHoon Shin
    - CVE-2017-5056: Use after free in Blink. Credit to anonymous
    - CVE-2017-5053: Out of bounds memory access in V8. Credit to Team Sniper

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 07 Apr 2017 01:07:17 +0000

chromium-browser (57.0.2987.98-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2017-5030: Memory corruption in V8. Credit to Brendon Tiszka
    - CVE-2017-5031: Use after free in ANGLE. Credit to Looben Yang
    - CVE-2017-5032: Out of bounds write in PDFium. Credit to Ashfaq Ansari
    - CVE-2017-5029: Integer overflow in libxslt. Credit to Holger Fuhrmannek
    - CVE-2017-5034: Use after free in PDFium. Credit to Ke Liu
    - CVE-2017-5035: Incorrect security UI in Omnibox. Credit to Enzo Aguado
    - CVE-2017-5036: Use after free in PDFium. Credit to Anonymous
    - CVE-2017-5037: Multiple out of bounds writes in ChunkDemuxer. Credit to
      Yongke Wang
    - CVE-2017-5039: Use after free in PDFium. Credit to jinmo123
    - CVE-2017-5040: Information disclosure in V8. Credit to Choongwoo Han
    - CVE-2017-5041: Address spoofing in Omnibox. Credit to Jordi Chancel
    - CVE-2017-5033: Bypass of Content Security Policy in Blink. Credit to
      Nicolai Grødum
    - CVE-2017-5042: Incorrect handling of cookies in Cast. Credit to Mike
      Ruddy
    - CVE-2017-5038: Use after free in GuestView. Credit to Anonymous
    - CVE-2017-5043: Use after free in GuestView. Credit to Anonymous
    - CVE-2017-5044: Heap overflow in Skia. Credit to Kushal Arvind Shah
    - CVE-2017-5045: Information disclosure in XSS Auditor. Credit to Dhaval
      Kapil
    - CVE-2017-5046: Information disclosure in Blink. Credit to Masato Kinugawa
  * Drop arm and MADV_FREE patches, which are now applied upstream.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 10 Mar 2017 22:00:06 +0000

chromium-browser (56.0.2924.76-5) unstable; urgency=medium

  * Configure with fieldtrial_testing_like_official_build=true to avoid
    building with experimental features enabled (closes: #855434).
  * Do not disable background networking when remote extensions are enabled,
    since that option also blocks updates to extensions (closes: #841401).
    - Thanks to Tarmo Huuhka.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 25 Feb 2017 21:41:02 +0000

chromium-browser (56.0.2924.76-4) unstable; urgency=medium

  * Do not create a dbgsym package for widevine (closes: #855529).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 19 Feb 2017 20:17:38 +0000

chromium-browser (56.0.2924.76-3) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Feb 2017 19:47:22 +0000

chromium-browser (56.0.2924.76-2) experimental; urgency=medium

  * Backport upstream bugfix for non-NEON builds (closes: #853108).
  * Fix seccomp sandboxing on arm64 platforms with DRI3

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 02 Feb 2017 09:37:05 +0200

chromium-browser (56.0.2924.76-1) experimental; urgency=medium

  * New upstream stable release:
    - CVE-2017-5007: Universal XSS in Blink. Credit to Mariusz Mlynski
    - CVE-2017-5006: Universal XSS in Blink. Credit to Mariusz Mlynski
    - CVE-2017-5008: Universal XSS in Blink. Credit to Mariusz Mlynski
    - CVE-2017-5010: Universal XSS in Blink. Credit to Mariusz Mlynski
    - CVE-2017-5011: Unauthorised file access in Devtools. Credit to Khalil
      Zhani
    - CVE-2017-5009: Out of bounds memory access in WebRTC. Credit to Sean
      Stanek and Chip Bradford
    - CVE-2017-5012: Heap overflow in V8. Credit to Gergely Nagy
    - CVE-2017-5013: Address spoofing in Omnibox. Credit to Haosheng Wang
    - CVE-2017-5014: Heap overflow in Skia. Credit to sweetchip
    - CVE-2017-5015: Address spoofing in Omnibox. Credit to Armin Razmdjou
    - CVE-2017-5019: Use after free in Renderer. Credit to Wadih Matar
    - CVE-2017-5016: UI spoofing in Blink. Credit to Haosheng Wang
    - CVE-2017-5017: Uninitialised memory access in webm video. Credit to
      danberm
    - CVE-2017-5018: Universal XSS in chrome://apps. Credit to Rob Wu
    - CVE-2017-5020: Universal XSS in chrome://downloads. Credit to Rob Wu
    - CVE-2017-5021: Use after free in Extensions. Credit to Rob Wu
    - CVE-2017-5022: Bypass of Content Security Policy in Blink. Credit to
      PKAV Team.
    - CVE-2017-5023: Type confusion in metrics. Credit to the UK's National
      Cyber Security Centre (NCSC)
    - CVE-2017-5026: UI spoofing. Credit to Ronni Skansing

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 26 Jan 2017 01:42:21 +0000

chromium-browser (55.0.2883.75-6) unstable; urgency=medium

  * Organize patches.
  * Move widevine package to contrib (closes: #851917).
  * Conflict with very old versions of libsecret (closes: #838864).
  * Support --enable-remote-extensions option passed through CHROMIUM_FLAGS
    (closes: #851927).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Jan 2017 00:47:28 +0000

chromium-browser (55.0.2883.75-5) unstable; urgency=medium

  * Fix new lintian warnings.
  * Fix quoting error in run script (closes: #851634).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 19 Jan 2017 01:19:24 +0000

chromium-browser (55.0.2883.75-4) unstable; urgency=medium

  * Add chromium-shell package.
  * Rename chromedriver package to chromium-driver.
  * Add chromium-widevine package (closes: #838515).
    - Thanks to Felix Geyer.
  * Add initial upstream metadata (closes: #848228).
  * Set more options at runtime instead of build time.
  * Install chromedriver to /usr/bin (closes: #845312).
  * Update webkit copyright information (closes: #849264).
    - Thanks to Sandro Knauß.
  * Better handling of browser extensions (closes: #841401).
    - Only support locally installed extensions by default.
    - Add new command line flag --enable-remote-extensions, which bypasses the
      new default, allowing remote extensions and automatic updating.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 02 Jan 2017 02:44:11 +0000

chromium-browser (55.0.2883.75-3) unstable; urgency=medium

  * Merge experimental branch.
  * Respect parallel setting in DEB_BUILD_OPTIONS while bootstrapping gn.
  * Conflict libnettle4 rather than depend on libnettle6 (closes: #841213).
  * Disable builtin media router since it only works with official Google
    Chrome builds, not chromium (closes: #833477).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 18 Dec 2016 23:14:18 +0000

chromium-browser (55.0.2883.75-2+exp3) experimental; urgency=medium

  * Correct typo from last build.

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 16 Dec 2016 14:31:37 +0200

chromium-browser (55.0.2883.75-2+exp2) experimental; urgency=medium

  * Set arm_use_neon=false on armhf until we enable a neon-supporting
    buildd in Debian.

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 15 Dec 2016 14:34:45 +0200

chromium-browser (55.0.2883.75-2+exp1) experimental; urgency=medium

  * Add patches from upstream for gn builds on arm64
  * Enable arm64/armhf builds

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 12 Dec 2016 14:04:19 +0200

chromium-browser (55.0.2883.75-2) unstable; urgency=medium

  * Don't set FF_API_CONVERGENCE_DURATION since it is not a part of ffmpeg's
    public API, and when defined leads to crashes (closes: #846648).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 10 Dec 2016 22:24:06 +0000

chromium-browser (55.0.2883.75-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2016-9651: Private property access in V8. Credit to Guang Gong
    - CVE-2016-5208: Universal XSS in Blink. Credit to Mariusz Mlynski
    - CVE-2016-5207: Universal XSS in Blink. Credit to Mariusz Mlynski
    - CVE-2016-5206: Same-origin bypass in PDFium. Credit to Rob Wu
    - CVE-2016-5205: Universal XSS in Blink. Credit to Anonymous
    - CVE-2016-5204: Universal XSS in Blink. Credit to Mariusz Mlynski
    - CVE-2016-5209: Out of bounds write in Blink. Credit to Giwan Go
    - CVE-2016-5203: Use after free in PDFium. Credit to Anonymous
    - CVE-2016-5210: Out of bounds write in PDFium. Credit to Ke Liu
    - CVE-2016-5212: Local file disclosure in DevTools. Credit to Khalil Zhani
    - CVE-2016-5211: Use after free in PDFium. Credit to Anonymous
    - CVE-2016-5213: Use after free in V8. Credit to Khalil Zhani
    - CVE-2016-5214: File download protection bypass. Credit to Jonathan Birch
      and MSVR
    - CVE-2016-5216: Use after free in PDFium. Credit to Anonymous
    - CVE-2016-5215: Use after free in Webaudio. Credit to Looben Yang
    - CVE-2016-5217: Use of unvalidated data in PDFium. Credit to Rob Wu
    - CVE-2016-5218: Address spoofing in Omnibox. Credit to Abdulrahman
      Alqabandi
    - CVE-2016-5219: Use after free in V8. Credit to Rob Wu
    - CVE-2016-5221: Integer overflow in ANGLE. Credit to Tim Becker
    - CVE-2016-5220: Local file access in PDFium. Credit to Rob Wu
    - CVE-2016-5222: Address spoofing in Omnibox. Credit to xisigr
    - CVE-2016-9650: CSP Referrer disclosure. Credit to Jakub Żoczek
    - CVE-2016-5223: Integer overflow in PDFium. Credit to Hwiwon Lee
    - CVE-2016-5226: Limited XSS in Blink. Credit to Jun Kokatsu
    - CVE-2016-5225: CSP bypass in Blink. Credit to Scott Helme
    - CVE-2016-5224: Same-origin bypass in SVG. Credit to Roeland Krak
    - CVE-2016-9652: Various fixes from internal audits, fuzzing and other
      initiatives
  * Make it possible to pass build flags into gn (closes: #845785).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 02 Dec 2016 02:06:59 +0000

chromium-browser (54.0.2840.101-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2016-5181: Universal XSS in Blink. Credit to Anonymous
    - CVE-2016-5182: Heap overflow in Blink. Credit to Giwan Go
    - CVE-2016-5183: Use after free in PDFium. Credit to Anonymous
    - CVE-2016-5184: Use after free in PDFium. Credit to Anonymous
    - CVE-2016-5185: Use after free in Blink. Credit to cloudfuzzer
    - CVE-2016-5187: URL spoofing. Credit to Luan Herrera
    - CVE-2016-5188: UI spoofing. Credit to Luan Herrera
    - CVE-2016-5192: Cross-origin bypass in Blink. Credit to
      haojunhou@gmail.com
    - CVE-2016-5189: URL spoofing. Credit to xisigr
    - CVE-2016-5186: Out of bounds read in DevTools. Credit to Abdulrahman
      Alqabandi
    - CVE-2016-5191: Universal XSS in Bookmarks. Credit to Gareth Hughes
    - CVE-2016-5190: Use after free in Internals. Credit to Atte Kettunen
    - CVE-2016-5193: Scheme bypass. Credit to Yuyang ZHOU
    - CVE-2016-5194: Various fixes from internal audits, fuzzing and other
      initiatives
    - CVE-2016-5198: Out of bounds memory access in V8. Credit to Tencent Keen
      Security Lab
    - CVE-2016-5200: Out of bounds memory access in V8. Credit to Choongwoo Han
    - CVE-2016-5201: Info leak in extensions. Credit to Rob Wu
    - CVE-2016-5202: Various fixes from internal audits, fuzzing and other
      initiatives
  * Remove libxslt symlinks from the upstream taball.
  * Drop cups patch that's been applied upstream.
  * Build using gn and drop gyp dependency.
  * Update debian/copyright.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 18 Nov 2016 01:36:36 +0000

chromium-browser (53.0.2785.143-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2016-5177: Use after free in V8. Credit to Anonymous
    - CVE-2016-5178: Various fixes from internal audits, fuzzing and other
      initiatives.
  * Change StartupWMClass in the desktop file to chromium (closes: #813079).
  * Support building with cups 2.2 (closes: #839377).
  * Update debian/copyright.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 01 Oct 2016 11:08:42 +0000

chromium-browser (53.0.2785.113-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2016-5170: Use after free in Blink. Credit to Anonymous
    - CVE-2016-5171: Use after free in Blink. Credit to Anonymous
    - CVE-2016-5172: Arbitrary Memory Read in v8. Credit to Choongwoo Han
    - CVE-2016-5173: Extension resource access. Credit to Anonymous
    - CVE-2016-5174: Popup not correctly suppressed. Credit to Andrey Kovalev
    - CVE-2016-5175: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 13 Sep 2016 23:12:03 +0000

chromium-browser (53.0.2785.92-3) unstable; urgency=medium

  * Add -fno-delete-null-pointer checks to the build flags (closes: #833501).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Sep 2016 14:47:55 +0000

chromium-browser (53.0.2785.92-2) unstable; urgency=medium

  * Build with gcc 6 (closes: #835943).
  * Add versioned harfbuzz dependency (closes: #833953).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 06 Sep 2016 00:53:14 +0000

chromium-browser (53.0.2785.92-1) unstable; urgency=medium

  * New upstream stable release.
  * Support building with glibc 2.24 (closes: #836611).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Sep 2016 19:33:10 +0000

chromium-browser (53.0.2785.89-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2016-5147: Universal XSS in Blink. Credit to anonymous
    - CVE-2016-5148: Universal XSS in Blink. Credit to anonymous
    - CVE-2016-5149: Script injection in extensions. Credit to Max Justicz
    - CVE-2016-5150: Use after free in Blink. Credit to anonymous
    - CVE-2016-5151: Use after free in PDFium. Credit to anonymous
    - CVE-2016-5152: Heap overflow in PDFium. Credit to GiWan Go of Stealien
    - CVE-2016-5153: Use after destruction in Blink. Credit to Atte Kettunen
    - CVE-2016-5154: Heap overflow in PDFium. Credit to anonymous
    - CVE-2016-5155: Address bar spoofing. Credit to anonymous
    - CVE-2016-5156: Use after free in event bindings. Credit to jinmo123
    - CVE-2016-5157: Heap overflow in PDFium. Credit to anonymous
    - CVE-2016-5158: Heap overflow in PDFium. Credit to GiWan Go
    - CVE-2016-5159: Heap overflow in PDFium. Credit to GiWan Go
    - CVE-2016-5160: Extensions web accessible resources bypass. Credit to
      @l33terally
    - CVE-2016-5161: Type confusion in Blink.
    - CVE-2016-5162: Extensions web accessible resources bypass. Credit to
      Nicolas Golubovic
    - CVE-2016-5163: Address bar spoofing. Credit to Rafay Baloch
    - CVE-2016-5164: Universal XSS using DevTools. Credit to anonymous
    - CVE-2016-5165: Script injection in DevTools. Credit to Gregory Panakkal
    - CVE-2016-5166: SMB Relay Attack via Save Page As. Credit to Gregory
      Panakkal
    - CVE-2016-5167: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 03 Sep 2016 16:30:44 +0000

chromium-browser (52.0.2743.116-2) unstable; urgency=medium

  * Fix syntax error in debian/copyright.
  * Include compiler info in the build log.
  * Add information about debugging to README.debian.
  * Build with gcc 5 during the gcc 6 transition (closes: #833501).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 07 Aug 2016 01:05:40 +0000

chromium-browser (52.0.2743.116-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2016-5141 Address bar spoofing. Credit to Sergey Glazunov
    - CVE-2016-5142 Use-after-free in Blink. Credit to Sergey Glazunov
    - CVE-2016-5139 Heap overflow in pdfium. Credit to GiWan Go
    - CVE-2016-5140 Heap overflow in pdfium. Credit to Ke Liu
    - CVE-2016-5145 Same origin bypass for images in Blink. Credit to Sergey
      Glazunov
    - CVE-2016-5143 Parameter sanitization failure in DevTools. Credit to
      Gregory Panakkal
    - CVE-2016-5144 Parameter sanitization failure in DevTools. Credit to
      Gregory Panakkal
    - CVE-2016-5146: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 04 Aug 2016 13:01:42 +0000

chromium-browser (52.0.2743.82-4) unstable; urgency=medium

  * Remove menu file.
  * Build with fastbuild=2.
  * Disable background networking features.
  * Link against system harfbuzz library again.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 30 Jul 2016 21:25:30 +0000

chromium-browser (52.0.2743.82-3) unstable; urgency=medium

  * Fix a few lintian warnings.
  * Use gtk3 backend instead of gtk2.
  * Launch as a single process when debugging to get useful symbol info.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 30 Jul 2016 04:07:46 +0000

chromium-browser (52.0.2743.82-2) unstable; urgency=medium

  * Bump standards version.
  * Drop no longer needed speechd patch.
  * Build complete debugging symbols again.
  * Link against libusb 1.0 (closes: #810403).
  * Fix path to master_preferences (closes: #830274).
  * Add an explicit dependency on libnettle6 (closes: #832125).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Jul 2016 22:02:56 +0000

chromium-browser (52.0.2743.82-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2016-1704: Various fixes from internal audits, fuzzing and other
      initiatives.
    - CVE-2016-1705: Various fixes from internal audits, fuzzing and other
      initiatives.
    - CVE-2016-1706: Sandbox escape in PPAPI. Credit to Pinkie Pie
    - CVE-2016-1707: URL spoofing on iOS. Credit to xisigr.
    - CVE-2016-1708: Use-after-free in Extensions. Credit to Adam Varsan
    - CVE-2016-1709: Heap-buffer-overflow in sfntly. Credit to ChenQin.
    - CVE-2016-1710: Same-origin bypass in Blink. Credit to Mariusz Mlynski
    - CVE-2016-1711: Same-origin bypass in Blink. Credit to Mariusz Mlynski
    - CVE-2016-5127: Use-after-free in Blink. Credit to cloudfuzzer
    - CVE-2016-5128: Same-origin bypass in V8. Credit to Anonymous
    - CVE-2016-5129: Memory corruption in V8. Credit to Jeonghoon Shin
    - CVE-2016-5130: URL spoofing. Credit to Wadih Matar
    - CVE-2016-5131: Use-after-free in libxml. Credit to Nick Wellnhofer
    - CVE-2016-5132: Limited same-origin bypass in Service Workers. Credit to
      Ben Kelly
    - CVE-2016-5133: Origin confusion in proxy authentication. Credit to Patch
      Eudor
    - CVE-2016-5134: URL leakage via PAC script. Credit to Paul Stone
    - CVE-2016-5135: Content-Security-Policy bypass. Credit to ShenYeYinJiu
    - CVE-2016-5136: Use after free in extensions. Credit to Rob Wu
    - CVE-2016-5137: History sniffing with HSTS and CSP. Credit to Xiaoyin Liu

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 23 Jul 2016 03:56:18 +0000

chromium-browser (51.0.2704.79-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2016-1696: Cross-origin bypass in Extension bindings. Credit to
      anonymous.
    - CVE-2016-1697: Cross-origin bypass in Blink. Credit to
      Mariusz Mlynski.
    - CVE-2016-1698: Information leak in Extension bindings.  Credit to
      Rob Wu.
    - CVE-2016-1699: Parameter sanitization failure in DevTools. Credit to
      Gregory Panakkal.
    - CVE-2016-1700: Use-after-free in Extensions. Credit to Rob Wu.
    - CVE-2016-1701: Use-after-free in Autofill. Credit to Rob Wu.
    - CVE-2016-1702: Out-of-bounds read in Skia. Credit to cloudfuzzer.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 02 Jun 2016 23:55:13 +0000

chromium-browser (51.0.2704.63-2) unstable; urgency=medium

  * Fix libspeechd build error.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 May 2016 01:42:46 +0000

chromium-browser (51.0.2704.63-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2016-1667: Same origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2016-1668: Same origin bypass in Blink V8 bindings. Credit to
      Mariusz Mlynski.
    - CVE-2016-1669: Buffer overflow in V8. Credit to Choongwoo Han.
    - CVE-2016-1670: Race condition in loader. Credit to anonymous.
    - CVE-2016-1672: Cross-origin bypass in extension bindings. Credit to
      Mariusz Mlynski.
    - CVE-2016-1673: Cross-origin bypass in Blink. Credit to Mariusz Mlynski.
    - CVE-2016-1674: Cross-origin bypass in extensions. Credit to Mariusz
      Mlynski.
    - CVE-2016-1675: Cross-origin bypass in Blink. Credit to Mariusz Mlynski.
    - CVE-2016-1676: Cross-origin bypass in extension bindings. Credit to Rob
      Wu.
    - CVE-2016-1677: Type confusion in V8. Credit to Guang Gong.
    - CVE-2016-1678: Heap overflow in V8. Credit to Christian Holler.
    - CVE-2016-1679: Heap use-after-free in V8 bindings. Credit to Rob Wu.
    - CVE-2016-1680: Heap use-after-free in Skia. Credit to Atte Kettunen.
    - CVE-2016-1681: Heap overflow in PDFium. Credit to Aleksandar Nikolic.
    - CVE-2016-1682: CSP bypass for ServiceWorker. Credit to KingstonTime.
    - CVE-2016-1685: Out-of-bounds read in PDFium. Credit to Ke Liu.
    - CVE-2016-1686: Out-of-bounds read in PDFium. Credit to Ke Liu.
    - CVE-2016-1687: Information leak in extensions. Credit to Rob Wu.
    - CVE-2016-1688: Out-of-bounds read in V8. Credit to Max Korenko.
    - CVE-2016-1689: Heap buffer overflow in media. Credit to Atte Kettunen.
    - CVE-2016-1690: Heap use-after-free in Autofill. Credit to Rob Wu.
    - CVE-2016-1691: Heap buffer-overflow in Skia. Credit to Atte Kettunen.
    - CVE-2016-1692: Limited cross-origin bypass in ServiceWorker. Credit to
      Til Jasper Ullrich.
    - CVE-2016-1693: HTTP Download of Software Removal Tool. Credit to Khalil
      Zhani.
    - CVE-2016-1694: HPKP pins removed on cache clearance. Credit to Ryan
      Lester and Bryant Zadegan.
    - CVE-2016-1695: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 27 May 2016 01:52:42 +0000

chromium-browser (50.0.2661.94-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2016-1660: Out-of-bounds write in Blink. Credit to Atte Kettunen.
    - CVE-2016-1661: Memory corruption in cross-process frames. Credit to Wadih
      Matar.
    - CVE-2016-1662: Use-after-free in extensions. Credit to Rob Wu.
    - CVE-2016-1663: Use-after-free in Blink’s V8 bindings. Credit to anonymous.
    - CVE-2016-1664: Address bar spoofing. Credit to Wadih Matar.
    - CVE-2016-1665: Information leak in V8. Credit to gksgudtjr456.
    - CVE-2016-1666: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 30 Apr 2016 03:39:44 +0000

chromium-browser (50.0.2661.75-2) unstable; urgency=medium

  * Fix problem with linking to ffmpeg (closes: #821154).
    - Thanks to Sebastian Ramacher.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 23 Apr 2016 00:55:40 +0000

chromium-browser (50.0.2661.75-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2016-1652: Universal XSS in extension bindings. Credit to anonymous.
    - CVE-2016-1653: Out-of-bounds write in V8. Credit to Choongwoo Han.
    - CVE-2016-1651: Out-of-bounds read in Pdfium JPEG2000 decoding.
    - CVE-2016-1654: Uninitialized memory read in media.  Credit to Atte
      Kettunen.
    - CVE-2016-1655: Use-after-free related to extensions.  Credit to Rob Wu.
    - CVE-2016-1657: Address bar spoofing. Credit to Luan Herrera.
    - CVE-2016-1658: Potential leak of sensitive information to malicious
      extensions. Credit to Antonio Sanso.
    - CVE-2015-1659: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 14 Apr 2016 01:04:58 +0000

chromium-browser (49.0.2623.108-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2016-1646: Out-of-bounds read in V8. Credit to Wen Xu.
    - CVE-2016-1647: Use-after-free in Navigation. Credit to anonymous.
    - CVE-2016-1648: Use-after-free in Extensions. Credit to anonymous.
    - CVE-2016-1649: Buffer overflow in libANGLE. Credit to lokihardt.
    - CVE-2016-1650: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 12 Mar 2016 20:12:03 +0000

chromium-browser (49.0.2623.87-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2016-1643: Type confusion in Blink. Credit to cloudfuzzer.
    - CVE-2016-1644: Use-after-free in Blink. Credit to Atte Kettunen.
    - CVE-2016-1645: Out-of-bounds write in PDFium.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 09 Mar 2016 02:27:50 +0000

chromium-browser (49.0.2623.75-2) unstable; urgency=medium

  * Update standards version.
  * Add libffi-dev build dependency.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 04 Mar 2016 00:14:12 +0000

chromium-browser (49.0.2623.75-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2016-1630: Same-origin bypass in Blink. Credit to Mariusz Mlynski.
    - CVE-2016-1631: Same-origin bypass in Pepper Plugin. Credit to Mariusz
      Mlynski.
    - CVE-2016-1632: Bad cast in Extensions. Credit to anonymous.
    - CVE-2016-1633: Use-after-free in Blink. Credit to cloudfuzzer.
    - CVE-2016-1634: Use-after-free in Blink. Credit to cloudfuzzer.
    - CVE-2016-1635: Use-after-free in Blink. Credit to Rob Wu.
    - CVE-2016-1636: SRI Validation Bypass. Credit to ryan@cyph.com.
    - CVE-2015-8126: Out-of-bounds access in libpng. Credit to joerg.bornemann.
    - CVE-2016-1637: Information Leak in Skia. Credit to Keve Nagy.
    - CVE-2016-1638: WebAPI Bypass. Credit to Rob Wu.
    - CVE-2016-1639: Use-after-free in WebRTC. Credit to Khalil Zhani.
    - CVE-2016-1640: Origin confusion in Extensions UI. Credit to Luan Herrera.
    - CVE-2016-1641: Use-after-free in Favicon. Credit to Atte Kettunen.
    - CVE-2016-1642: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in libv8 (version 4.9.385.26).
  * Set use_sysroot=0 to continue using system libraries.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 02 Mar 2016 23:47:54 +0000

chromium-browser (48.0.2564.116-1) unstable; urgency=medium

  * New stable security release:
    - CVE-2016-1622: Same-origin bypass in Extensions. Credit to anonymous.
    - CVE-2016-1623: Same-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2016-1624: Buffer overflow in Brotli. Credit to lukezli.
    - CVE-2016-1625: Navigation bypass in Chrome Instant. Credit to Jann Horn.
    - CVE-2016-1626: Out-of-bounds read in PDFium. Credit to anonymous.
    - CVE-2016-1627: Various fixes from internal audits, fuzzing and other
      initiatives.
    - CVE-2016-1628: Out-of-bounds read in PDFium. Credit to anonymous.
    - CVE-2016-1629: Same-origin bypass in Blink and Sandbox escape in Chrome.
      Credit to anonymous.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 12 Feb 2016 02:53:42 +0000

chromium-browser (48.0.2564.82-2) unstable; urgency=medium

  * Build with gcc instead of clang.
  * Use ld.gold to avoid memory exhaustion while linking (closes: #812569).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Jan 2016 21:35:33 +0000

chromium-browser (48.0.2564.82-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2016-1612: Bad cast in V8. Credit to cloudfuzzer.
    - CVE-2016-1613: Use-after-free in PDFium. Credit to anonymous.
    - CVE-2016-1614: Information leak in Blink. Credit to Christoph Diehl.
    - CVE-2016-1615: Origin confusion in Omnibox. Credit to Ron Masas.
    - CVE-2016-1616: URL Spoofing. Credit to Luan Herrera.
    - CVE-2016-1617: History sniffing with HSTS and CSP. Credit to jenuis.
    - CVE-2016-1618: Weak random number generator in Blink. Credit to Aaron
      Toponce.
    - CVE-2016-1619: Out-of-bounds read in PDFium. Credit to Keve Nagy.
    - CVE-2016-1620: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in V8 fixed at the tip of the 4.8 branch
      (currently 4.8.271.17).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 21 Jan 2016 00:06:10 +0000

chromium-browser (47.0.2526.111-1) unstable; urgency=medium

  * New upstream stable release:
    - Removes native_client/toolchain files introduced in the previous upstream
      version (closes: #807973)
  * Drop libssl-dev build dependency.
  * Migrate to dbgsym debug packages.
  * Recommend fonts-liberation (closes: #808106).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 29 Dec 2015 02:45:48 +0000

chromium-browser (47.0.2526.80-3) unstable; urgency=medium

  * Drop change to the fullscreen UI (closes: #808076).
  * Fix installation of the English language pak (closes: #808046).
  * Avoid symbol conflicts between the jpeg library embedded in pdfium and
    the system jpeg library (closes: #794031).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 16 Dec 2015 02:27:17 +0000

chromium-browser (47.0.2526.80-2) unstable; urgency=medium

  * Greatly simplify the arch:all build.
  * Don't hide the UI in fullscreen mode.
  * Ignore the GPU blacklist (closes: #802933).
  * Fix WMClass in the desktop launcher (closes: #803989).
  * Set the correct file name for the desktop launcher (closes: #806402).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 13 Dec 2015 06:16:19 +0000

chromium-browser (47.0.2526.80-1) unstable; urgency=medium

  * New upstream stable release:
    - Multiple vulnerabilities fixed in libv8 4.7.80.23.
    - CVE-2015-6788: Type confusion in extensions. Credit to anonymous.
    - CVE-2015-6789: Use-after-free in Blink. Credit to cloudfuzzer.
    - CVE-2015-6790: Escaping issue in saved pages. Credit to Inti De
      Ceukelaire.
    - CVE-2015-6791: Various fixes from internal audits, fuzzing and other
      initiatives.
  * Add support for ffmpeg 2.9 (closes: #803806).
  * Disable accelerated video decoding (closes: #804901).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 12 Dec 2015 22:37:45 +0000

chromium-browser (47.0.2526.73-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1302: Information leak in PDF viewer. Credit to Rob Wu.
    - CVE-2015-6765: Use-after-free in AppCache. Credit to anonymous.
    - CVE-2015-6766: Use-after-free in AppCache. Credit to anonymous.
    - CVE-2015-6767: Use-after-free in AppCache. Credit to anonymous.
    - CVE-2015-6768: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-6769: Cross-origin bypass in core. Credit to Mariusz Mlynski.
    - CVE-2015-6770: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-6771: Out of bounds access in v8. Credit to anonymous.
    - CVE-2015-6772: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-6764: Out of bounds access in v8. Credit to Guang Gong.
    - CVE-2015-6773: Out of bounds access in Skia. Credit to cloudfuzzer.
    - CVE-2015-6774: Use-after-free in Extensions. Credit to anonymous.
    - CVE-2015-6775: Type confusion in PDFium. Credit to Atte Kettunen.
    - CVE-2015-6776: Out of bounds access in PDFium. Credit to Hanno Böck.
    - CVE-2015-6777: Use-after-free in DOM. Credit to Long Liu.
    - CVE-2015-6778: Out of bounds access in PDFium. Credit to Karl Skomski.
    - CVE-2015-6779: Scheme bypass in PDFium. Credit to Til Jasper Ullrich.
    - CVE-2015-6780: Use-after-free in Infobars. Credit to Khalil Zhani.
    - CVE-2015-6781: Integer overflow in Sfntly. Credit to miaubiz.
    - CVE-2015-6782: Content spoofing in Omnibox. Credit to Luan Herrera.
    - CVE-2015-6784: Escaping issue in saved pages. Credit to Inti De
      Ceukelaire.
    - CVE-2015-6785: Wildcard matching issue in CSP. Credit to Michael
      Ficarra.
    - CVE-2015-6786: Scheme bypass in CSP. Credit to Michael Ficarra.
  * Lengthen GPU timeout (closes: #781940).
  * Enable accelerated video decoding (closes: #793815).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 03 Dec 2015 00:59:47 +0000

chromium-browser (46.0.2490.71-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-6755: Cross-origin bypass in Blink. Credit to Mariusz Mlynski.
    - CVE-2015-6756: Use-after-free in PDFium. Credit to anonymous.
    - CVE-2015-6757: Use-after-free in ServiceWorker. Credit to Collin Payne.
    - CVE-2015-6758: Bad-cast in PDFium. Credit to Atte Kettunen of OUSPG.
    - CVE-2015-6759: Information leakage in LocalStorage. Credit to Muneaki
      Nishimura.
    - CVE-2015-6760: Improper error handling in libANGLE. Credit to Ronald
      Crane, an independent security researcher.
    - CVE-2015-6762: CORS bypass via CSS fonts. Credit to Muneaki Nishimura.
    - CVE-2015-6763: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in V8 fixed at the tip of the 4.6 branch
      (currently 4.6.85.23).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 16 Oct 2015 01:43:28 +0000

chromium-browser (45.0.2454.101-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1303: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-1304: Cross-origin bypass in V8. Credit to Mariusz Mlynski.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Sep 2015 15:57:23 +0000

chromium-browser (45.0.2454.85-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1291: Cross-origin bypass in DOM. Credit to anonymous.
    - CVE-2015-1292: Cross-origin bypass in ServiceWorker. Credit to Mariusz
      Mlynski.
    - CVE-2015-1293: Cross-origin bypass in DOM. Credit to Mariusz Mlynski.
    - CVE-2015-1294: Use-after-free in Skia. Credit to cloudfuzzer.
    - CVE-2015-1295: Use-after-free in Printing. Credit to anonymous.
    - CVE-2015-1296: Character spoofing in omnibox. Credit to zcorpan.
    - CVE-2015-1297: Permission scoping error in WebRequest. Credit to
      Alexander Kashev.
    - CVE-2015-1298: URL validation error in extensions. Credit to Rob Wu.
    - CVE-2015-1299: Use-after-free in Blink. Credit to taro.suzuki.dev.
    - CVE-2015-1300: Information leak in Blink. Credit to cgvwzq.
    - CVE-2015-1301: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in the libv8 library (updated to 4.5.103.29).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 01 Sep 2015 22:07:59 +0000

chromium-browser (44.0.2403.157-1) unstable; urgency=medium

  * New upstream stable release:
    - GPU process race condition fixed (closes: #794472).
  * Use system ffmpeg (closes: #763632):
    - Thanks to Andreas Cadhalpun.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 23 Aug 2015 22:43:20 +0000

chromium-browser (44.0.2403.107-2) unstable; urgency=medium

  * More updates to debian/copyright.
  * Add some more instructions for bug presubmission.
  * Remove no longer needed mainscript and preinst scripts.
  * Use chromium.png in the desktop launcher (closes: #794818).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Aug 2015 23:03:26 +0000

chromium-browser (44.0.2403.107-1) unstable; urgency=medium

  * New upstream stable release.
  * More updates to debian/copyright.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Jul 2015 01:41:55 +0000

chromium-browser (44.0.2403.89-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1270: Uninitialized memory read in ICU. Credit to Atte Kettunen.
    - CVE-2015-1271: Heap-buffer-overflow in pdfium. Credit to cloudfuzzer.
    - CVE-2015-1272: Use-after-free related to unexpected GPU process
      termination. Credit to Chamal de Silva.
    - CVE-2015-1273: Heap-buffer-overflow in pdfium. Credit to makosoft.
    - CVE-2015-1274: Settings allowed executable files to run immediately after
      download. Credit to  andrewm.bpi.
    - CVE-2015-1275: UXSS in Chrome for Android. Credit to WangTao(neobyte).
    - CVE-2015-1276: Use-after-free in IndexedDB. Credit to Collin Payne.
    - CVE-2015-1277: Use-after-free in accessibility. Credit to SkyLined.
    - CVE-2015-1278: URL spoofing using pdf files. Credit to Chamal de Silva.
    - CVE-2015-1279: Heap-buffer-overflow in pdfium. Credit to mlafon.
    - CVE-2015-1280: Memory corruption in skia. Credit to cloudfuzzer.
    - CVE-2015-1281: CSP bypass. Credit to Masato Kinugawa.
    - CVE-2015-1282: Use-after-free in pdfium. Credit to Chamal de Silva.
    - CVE-2015-1283: Heap-buffer-overflow in expat. Credit to Huzaifa
      Sidhpurwala.
    - CVE-2015-1284: Use-after-free in blink. Credit to Atte Kettunen.
    - CVE-2015-1285: Information leak in XSS auditor. Credit to gazheyes.
    - CVE-2015-1286: UXSS in blink. Credit to anonymous.
    - CVE-2015-1287: SOP bypass with CSS. Credit to filedescriptor.
    - CVE-2015-1288: Spell checking dictionaries fetched over HTTP. Credit to
      Mike Ruddy.
    - CVE-2015-1289: Various fixes from internal audits, fuzzing and other
      initiatives.
  * Remove hotword patch, now disabled by default upstream.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 21 Jul 2015 22:33:06 +0000

chromium-browser (43.0.2357.130-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2015-1266: Scheme validation error in WebUI. Credit to anonymous.
    - CVE-2015-1268: Cross-origin bypass in Blink. Credit to Mariusz Mlynski.
    - CVE-2015-1267: Cross-origin bypass in Blink. Credit to anonymous.
    - CVE-2015-1269: Normalization error in HSTS/HPKP preload list. Credit to
      Mike Ruddy.
  * Don't build the Google Now extension.
  * More updates to debian/copyright.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 23 Jun 2015 21:43:54 +0000

chromium-browser (43.0.2357.124-3) unstable; urgency=medium

  * Fix syntax error in default-flags (closes: #789310).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 19 Jun 2015 22:04:28 +0000

chromium-browser (43.0.2357.124-2) unstable; urgency=medium

  * More updates to debian/copyright.
  * Disable all external component loading.
  * Set flag to avoid hidden items in the about:extensions dialog.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 19 Jun 2015 05:31:48 +0000

chromium-browser (43.0.2357.124-1) unstable; urgency=medium

  * New upstream release.
  * Disable wallet extension.
  * Remove more sourceless files.
  * Remove files no longer included from debian/copright.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 17 Jun 2015 03:00:44 +0000

chromium-browser (43.0.2357.81-1) unstable; urgency=medium

  * New upstream release fixing missing icon (closes: #786490).
  * Disable hotword (closes: #786909).
  * Remove some sourceless files.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 15 Jun 2015 04:04:34 +0000

chromium-browser (43.0.2357.65-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1252: Sandbox escape in Chrome. Credit to anonymous.
    - CVE-2015-1253: Cross-origin bypass in DOM. Credit to anonymous.
    - CVE-2015-1254: Cross-origin bypass in Editing. Credit to
      armin@rawsec.net.
    - CVE-2015-1255: Use-after-free in WebAudio. Credit to Khalil Zhani.
    - CVE-2015-1256: Use-after-free in SVG. Credit to Atte Kettunen.
    - CVE-2015-1251: Use-after-free in Speech. Credit to SkyLined.
    - CVE-2015-1257: Container-overflow in SVG. Credit to miaubiz.
    - CVE-2015-1258: Negative-size parameter in Libvpx.  Credit to cloudfuzzer
    - CVE-2015-1259: Uninitialized value in PDFium. Credit to Atte Kettunen.
    - CVE-2015-1260: Use-after-free in WebRTC. Credit to Khalil Zhani.
    - CVE-2015-1261: URL bar spoofing. Credit to Juho Nurminen.
    - CVE-2015-1262: Uninitialized value in Blink. Credit to miaubiz.
    - CVE-2015-1263: Insecure download of spellcheck dictionary.  Credit to
      Mike Ruddy.
    - CVE-2015-1264: Cross-site scripting in bookmarks. Credit to K0r3Ph1L.
    - Fix for gzip file downloading (closes: #677948).
    - Fix for bookmark navigation (closes: #756211).
  * Enable HiDPI (closes: #763421).
  * Make chromium-l10n binnmuable.
  * Fix Built-Using fields.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 May 2015 22:37:06 +0000

chromium-browser (42.0.2311.135-2) unstable; urgency=medium

  * Remove src/ prefix in debian/copyright.
  * Fix path to default configuration files.
  * Describe omnibox search in README.debian (closes: 781591).
  * Fix application name in the launcher script (closes: #783858).
  * Set CHROME_WRAPPER to /usr/bin/chromium by default (closes: #783097).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 May 2015 14:53:34 +0000

chromium-browser (42.0.2311.135-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * Remove some unneeded files from the upstream tarball.
  * Move default configuration files to /usr/share/chromium.
  * New upstream stable release:
    - CVE-2015-1243: Use-after-free in DOM. Credit to Saif El-Sherei.
    - CVE-2015-1250: Various fixes from internal audits, fuzzing and other
      initiatives.

  [ Shawn Landden ]
  * Suppress first run welcome page.
  * Turn off safebrowsing.
  * Turn off pinging Google on 404 and other HTTP errors.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 30 Apr 2015 01:08:53 +0000

chromium-browser (42.0.2311.90-2) unstable; urgency=medium

  * Update debian/copyright.
  * Drop some unused patches.
  * Drop chromium-inspector package.
  * Remove Giuseppe from the uploaders.
    - Many thanks for the prior contributions.
  * Fix built on text (closes: #782052).
  * Fix path to master_preferences (closes: #777708).
  * Disable default browser warning (closes: #777265).
  * Conflict with libgl1-mesa-swx11 (closes: #776388).
  * Add MHTML mimetype to chromium.desktop (closes: #769039).
  * Tighten chromium-l10n versioned dependency (closes: #781505).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Apr 2015 18:49:52 +0000

chromium-browser (42.0.2311.90-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1235: Cross-origin-bypass in HTML parser. Credit to anonymous.
    - CVE-2015-1236: Cross-origin-bypass in Blink. Credit to Amitay Dobo.
    - CVE-2015-1237: Use-after-free in IPC. Credit to Khalil Zhani.
    - CVE-2015-1238: Out-of-bounds write in Skia. Credit to cloudfuzzer.
    - CVE-2015-1240: Out-of-bounds read in WebGL. Credit to w3bd3vil.
    - CVE-2015-1241: Tap-Jacking. Credit to Phillip Moon and Matt Weston.
    - CVE-2015-1242: Type confusion in V8. Credit to fcole@onshape.com.
    - CVE-2015-1244: HSTS bypass in WebSockets. Credit to Mike Ruddy.
    - CVE-2015-1245: Use-after-free in PDFium. Credit to Khalil Zhani.
    - CVE-2015-1246: Out-of-bounds read in Blink. Credit to Atte Kettunen.
    - CVE-2015-1247: Scheme issues in OpenSearch. Credit to Jann Horn.
    - CVE-2015-1248: SafeBrowsing bypass. Credit to Vittorio Gambaletta.
    - CVE-2015-1249: Various fixes from internal audits, fuzzing and other
      initiatives.  Also multiple issues in v8 4.2.77.14.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 16 Apr 2015 00:12:00 +0000

chromium-browser (41.0.2272.118-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1233: A combination of V8, Gamepad and IPC bugs that can lead
      to remote code execution outside of the sandbox.
    - CVE-2015-1234: Buffer overflow via race condition in GPU. Credit to
      lokihardt working with Pwn2Own and HP’s Zero Day Initiative.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 02 Apr 2015 00:33:12 +0000

chromium-browser (41.0.2272.76-2) unstable; urgency=medium

  * Install v8 natives and snapshot blob files (closes: #779717).
    - Thanks to Jason Rhinelander.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 06 Mar 2015 00:59:50 +0000

chromium-browser (41.0.2272.76-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1212: Out-of-bounds write in media. Credit to anonymous.
    - CVE-2015-1213: Out-of-bounds write in skia filters. Credit to
      cloudfuzzer.
    - CVE-2015-1214: Out-of-bounds write in skia filters. Credit to
      cloudfuzzer.
    - CVE-2015-1215: Out-of-bounds write in skia filters. Credit to
      cloudfuzzer.
    - CVE-2015-1216: Use-after-free in v8 bindings. Credit to anonymous.
    - CVE-2015-1217: Type confusion in v8 bindings. Credit to anonymous.
    - CVE-2015-1218: Use-after-free in dom. Credit to cloudfuzzer.
    - CVE-2015-1219: Integer overflow in webgl. Credit to Chen Zhang.
    - CVE-2015-1220: Use-after-free in gif decoder. Credit to Aki Helin.
    - CVE-2015-1221: Use-after-free in web databases. Credit to Collin Payne.
    - CVE-2015-1222: Use-after-free in service workers. Credit to Collin Payne.
    - CVE-2015-1223: Use-after-free in dom. Credit to Maksymillian Motyl.
    - CVE-2015-1224: Out-of-bounds read in vpxdecoder. Credit to Aki Helin.
    - CVE-2015-1225: Out-of-bounds read in pdfium. Credit to cloudfuzzer.
    - CVE-2015-1226: Validation issue in debugger. Credit to Rob Wu.
    - CVE-2015-1227: Uninitialized value in blink. Credit to Christoph Diehl.
    - CVE-2015-1228: Uninitialized value in rendering. Credit to miaubiz.
    - CVE-2015-1229: Cookie injection via proxies. Credit to iliwoy.
    - CVE-2015-1230: Type confusion in v8. Credit to Skylined.
    - CVE-2015-1231: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 04 Mar 2015 00:11:46 +0000

chromium-browser (40.0.2214.111-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1209: Use-after-free in DOM. Credit to Maksymillian Motyl.
    - CVE-2015-1210: Cross-origin-bypass in V8 bindings. Credit to anonymous.
    - CVE-2015-1211: Privilege escalation using service workers.  Credit to
      anonymous.
    - CVE-2015-1212: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 13 Feb 2015 02:32:16 +0000

chromium-browser (40.0.2214.91-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2014-7923: Memory corruption in ICU. Credit to yangdingning.
    - CVE-2014-7924: Use-after-free in IndexedDB. Credit to Collin Payne.
    - CVE-2014-7925: Use-after-free in WebAudio. Credit to mark.buer.
    - CVE-2014-7926: Memory corruption in ICU. Credit to yangdingning.
    - CVE-2014-7927: Memory corruption in V8. Credit to Christian Holler.
    - CVE-2014-7928: Memory corruption in V8. Credit to Christian Holler.
    - CVE-2014-7929: Use-after-free in DOM. Credit to cloudfuzzer.
    - CVE-2014-7930: Use-after-free in DOM. Credit to cloudfuzzer.
    - CVE-2014-7931: Memory corruption in V8. Credit to cloudfuzzer.
    - CVE-2014-7932: Use-after-free in DOM. Credit to Atte Kettunen.
    - CVE-2014-7933: Use-after-free in FFmpeg. Credit to aohelin.
    - CVE-2014-7934: Use-after-free in DOM. Credit to cloudfuzzer.
    - CVE-2014-7935: Use-after-free in Speech. Credit to Khalil Zhani.
    - CVE-2014-7936: Use-after-free in Views. Credit to Christoph Diehl.
    - CVE-2014-7937: Use-after-free in FFmpeg. Credit to Atte Kettunen.
    - CVE-2014-7938: Memory corruption in Fonts. Credit to Atte Kettunen.
    - CVE-2014-7939: Same-origin-bypass in V8. Credit to Takeshi Terada.
    - CVE-2014-7940: Uninitialized-value in ICU. Credit to miaubiz.
    - CVE-2014-7941: Out-of-bounds read in UI. Credit to Atte Kettunen and
      Christoph Diehl.
    - CVE-2014-7942: Uninitialized-value in Fonts. Credit to miaubiz.
    - CVE-2014-7943: Out-of-bounds read in Skia. Credit to Atte Kettunen.
    - CVE-2014-7944: Out-of-bounds read in PDFium. Credit to cloudfuzzer.
    - CVE-2014-7945: Out-of-bounds read in PDFium. Credit to cloudfuzzer.
    - CVE-2014-7946: Out-of-bounds read in Fonts. Credit to miaubiz.
    - CVE-2014-7947: Out-of-bounds read in PDFium. Credit to fuzztercluck.
    - CVE-2014-7948: Caching error in AppCache. Credit to jiayaoqijia.
    - CVE-2015-1205: Various fixes from internal audits, fuzzing and other
      initiatives.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 22 Jan 2015 04:42:18 +0000

chromium-browser (39.0.2171.71-2) unstable; urgency=medium

  * Add missing test to chromium.preinst (closes: #771684).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 02 Dec 2014 01:30:33 +0000

chromium-browser (39.0.2171.71-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2014-3566: SSLv3 support is now disabled by default.
    - CVE-2014-7899: Address bar spoofing. Credit to Eli Grey.
    - CVE-2014-7900: Use-after-free in pdfium. Credit to Atte Kettunen.
    - CVE-2014-7901: Integer overflow in pdfium. Credit to cloudfuzzer.
    - CVE-2014-7902: Use-after-free in pdfium. Credit to cloudfuzzer.
    - CVE-2014-7903: Buffer overflow in pdfium. Credit to cloudfuzzer.
    - CVE-2014-7904: Buffer overflow in Skia. Credit to Atte Kettunen.
    - CVE-2014-7905: Flaw allowing navigation to intents that do not have the
      BROWSABLE category. Credit to WangTao(neobyte).
    - CVE-2014-7906: Use-after-free in pepper plugins. Credit to Chen Zhang.
    - CVE-2014-0574: Double-free in Flash. Credit to biloulehibou.
    - CVE-2014-7907: Use-after-free in blink. Credit to Chen Zhang.
    - CVE-2014-7908: Integer overflow in media. Credit to Christoph Diehl.
    - CVE-2014-7909: Uninitialized memory read in Skia. Credit to miaubiz.
  * Display info about upstream ending support for non-sse2 (closes: #769836).
  * Remove non-free RFCs from the upstream tarball (closes: #771640).
  * Include a conf file for Google's API keys (closes: #748867).
  * Handle dangling chromium icon directory (closes: #766420).
  * Install icons into the correct path (closes: #767697).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 01 Dec 2014 01:13:44 +0000

chromium-browser (38.0.2125.101-3) unstable; urgency=medium

  * Ignore dpkg files in /etc/chromium.d (closes: #765959).
  * Remove trailing maintscript arguments (closes: #765528).
  * Use libjpeg-dev instead of libjpeg8-dev (closes: #765821).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 17 Oct 2014 21:27:05 +0000

chromium-browser (38.0.2125.101-2) unstable; urgency=medium

  * Disable HiDPI (closes: #764883).
  * Fix conffile handling (closes: #764769).
  * Correct icon installation logic (closes: #764828).
  * Use embedded protobuf code copy (closes: #764911).
  * Support larger set of html5 video formats again (closes: #764793).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Oct 2014 21:34:26 +0000

chromium-browser (38.0.2125.101-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2014-3188: A special thanks to Jüri Aedla for a combination of V8
      and IPC bugs that can lead to remote code execution outside of the
      sandbox.
    - CVE-2014-3189: Out-of-bounds read in PDFium. Credit to cloudfuzzer.
    - CVE-2014-3190: Use-after-free in Events. Credit to cloudfuzzer, Chen
      Zhang.
    - CVE-2014-3191: Use-after-free in Rendering. Credit to cloudfuzzer.
    - CVE-2014-3192: Use-after-free in DOM. Credit to cloudfuzzer.
